import enum
from django.utils.translation import gettext_lazy as _
from django.db import models

class UnitType(enum.Enum):
	VOLUME="Volume"
	MASS="Mass"

class IngredientName(models.TextChoices):
	I_ABSINTHE = 'ABSINTHE', _('Absinthe') #absinthe
	I_ACCENT = 'ACCENT', _('Accent') #accent
	I_ACCENT_SEASONING = 'ACCENT_SEASONING', _('Accent Seasoning') #accent seasoning
	I_ACCOMPANIMENT = 'ACCOMPANIMENT', _('Accompaniment') #accompaniment
	I_ACHIOTE = 'ACHIOTE', _('Achiote') #achiote
	I_ACORN_SQUASH = 'ACORN_SQUASH', _('Acorn Squash') #acorn squash
	I_ACTIVE_DRY_YEAST = 'ACTIVE_DRY_YEAST', _('Active Dry Yeast') #active dry yeast
	I_ACTIVE_YEAST = 'ACTIVE_YEAST', _('Active Yeast') #active yeast
	I_ADOBO = 'ADOBO', _('Adobo') #adobo
	I_ADOBO_SAUCE = 'ADOBO_SAUCE', _('Adobo Sauce') #adobo sauce
	I_ADOBO_SEASONING = 'ADOBO_SEASONING', _('Adobo Seasoning') #adobo seasoning
	I_AGAVE = 'AGAVE', _('Agave') #agave
	I_AGAVE_NECTAR = 'AGAVE_NECTAR', _('Agave Nectar') #agave nectar
	I_AGAVE_SYRUP = 'AGAVE_SYRUP', _('Agave Syrup') #agave syrup
	I_AGED_BALSAMIC_VINEGAR = 'AGED_BALSAMIC_VINEGAR', _('Aged Balsamic Vinegar') #aged balsamic vinegar
	I_AGED_CHEDDAR = 'AGED_CHEDDAR', _('Aged Cheddar') #aged cheddar
	I_AHI = 'AHI', _('Ahi') #ahi
	I_AIOLI = 'AIOLI', _('Aioli') #aioli
	I_AJWAIN = 'AJWAIN', _('Ajwain') #ajwain
	I_ALBACORE = 'ALBACORE', _('Albacore') #albacore
	I_ALBACORE_TUNA = 'ALBACORE_TUNA', _('Albacore Tuna') #albacore tuna
	I_ALCOHOL = 'ALCOHOL', _('Alcohol') #alcohol
	I_ALE = 'ALE', _('Ale') #ale
	I_ALEPPO_PEPPER = 'ALEPPO_PEPPER', _('Aleppo Pepper') #aleppo pepper
	I_ALFALFA = 'ALFALFA', _('Alfalfa') #alfalfa
	I_ALFALFA_SPROUTS = 'ALFALFA_SPROUTS', _('Alfalfa Sprouts') #alfalfa sprouts
	I_ALFREDO_SAUCE = 'ALFREDO_SAUCE', _('Alfredo Sauce') #alfredo sauce
	I_ALL_NATURAL = 'ALL_NATURAL', _('All Natural') #all natural
	I_ALLPURPOSE_FLOUR = 'ALLPURPOSE_FLOUR', _('All-Purpose Flour') #all-purpose flour
	I_ALLSPICE = 'ALLSPICE', _('Allspice') #allspice
	I_ALLSPICE_BERRIES = 'ALLSPICE_BERRIES', _('Allspice Berries') #allspice berries
	I_ALMOND = 'ALMOND', _('Almond') #almond
	I_ALMOND_BUTTER = 'ALMOND_BUTTER', _('Almond Butter') #almond butter
	I_ALMOND_EXTRACT = 'ALMOND_EXTRACT', _('Almond Extract') #almond extract
	I_ALMOND_FILLING = 'ALMOND_FILLING', _('Almond Filling') #almond filling
	I_ALMOND_FLOUR = 'ALMOND_FLOUR', _('Almond Flour') #almond flour
	I_ALMOND_LIQUEUR = 'ALMOND_LIQUEUR', _('Almond Liqueur') #almond liqueur
	I_ALMOND_MEAL = 'ALMOND_MEAL', _('Almond Meal') #almond meal
	I_ALMOND_MILK = 'ALMOND_MILK', _('Almond Milk') #almond milk
	I_ALMOND_PASTE = 'ALMOND_PASTE', _('Almond Paste') #almond paste
	I_ALMONDS = 'ALMONDS', _('Almonds') #almonds
	I_AMARANTH = 'AMARANTH', _('Amaranth') #amaranth
	I_AMARETTI = 'AMARETTI', _('Amaretti') #amaretti
	I_AMARETTO = 'AMARETTO', _('Amaretto') #amaretto
	I_AMARETTO_LIQUEUR = 'AMARETTO_LIQUEUR', _('Amaretto Liqueur') #amaretto liqueur
	I_AMBER = 'AMBER', _('Amber') #amber
	I_AMCHUR = 'AMCHUR', _('Amchur') #amchur
	I_AMERICAN = 'AMERICAN', _('American') #american
	I_AMERICAN_CHEESE = 'AMERICAN_CHEESE', _('American Cheese') #american cheese
	I_ANAHEIM_CHILE = 'ANAHEIM_CHILE', _('Anaheim Chile') #anaheim chile
	I_ANCHO = 'ANCHO', _('Ancho') #ancho
	I_ANCHOVIES = 'ANCHOVIES', _('Anchovies') #anchovies
	I_ANCHOVY = 'ANCHOVY', _('Anchovy') #anchovy
	I_ANCHOVY_FILLETS = 'ANCHOVY_FILLETS', _('Anchovy Fillets') #anchovy fillets
	I_ANCHOVY_PASTE = 'ANCHOVY_PASTE', _('Anchovy Paste') #anchovy paste
	I_ANDOUILLE_SAUSAGE = 'ANDOUILLE_SAUSAGE', _('Andouille Sausage') #andouille sausage
	I_ANGEL_FOOD_CAKE = 'ANGEL_FOOD_CAKE', _('Angel Food Cake') #angel food cake
	I_ANGEL_FOOD_CAKE_MIX = 'ANGEL_FOOD_CAKE_MIX', _('Angel Food Cake Mix') #angel food cake mix
	I_ANGEL_HAIR = 'ANGEL_HAIR', _('Angel Hair') #angel hair
	I_ANGOSTURA_BITTERS = 'ANGOSTURA_BITTERS', _('Angostura Bitters') #angostura bitters
	I_ANISE = 'ANISE', _('Anise') #anise
	I_ANISE_EXTRACT = 'ANISE_EXTRACT', _('Anise Extract') #anise extract
	I_ANISE_SEED = 'ANISE_SEED', _('Anise Seed') #anise seed
	I_ANISEED = 'ANISEED', _('Aniseed') #aniseed
	I_ANISETTE = 'ANISETTE', _('Anisette') #anisette
	I_ANJOU_PEARS = 'ANJOU_PEARS', _('Anjou Pears') #anjou pears
	I_ANNATTO = 'ANNATTO', _('Annatto') #annatto
	I_ANY = 'ANY', _('Any') #any
	I_APPLE = 'APPLE', _('Apple') #apple
	I_APPLE_BRANDY = 'APPLE_BRANDY', _('Apple Brandy') #apple brandy
	I_APPLE_BUTTER = 'APPLE_BUTTER', _('Apple Butter') #apple butter
	I_APPLE_CIDER = 'APPLE_CIDER', _('Apple Cider') #apple cider
	I_APPLE_CIDER_VINEGAR = 'APPLE_CIDER_VINEGAR', _('Apple Cider Vinegar') #apple cider vinegar
	I_APPLE_JELLY = 'APPLE_JELLY', _('Apple Jelly') #apple jelly
	I_APPLE_JUICE = 'APPLE_JUICE', _('Apple Juice') #apple juice
	I_APPLE_JUICE_CONCENTRATE = 'APPLE_JUICE_CONCENTRATE', _('Apple Juice Concentrate') #apple juice concentrate
	I_APPLE_PIE_FILLING = 'APPLE_PIE_FILLING', _('Apple Pie Filling') #apple pie filling
	I_APPLE_PIE_SPICE = 'APPLE_PIE_SPICE', _('Apple Pie Spice') #apple pie spice
	I_APPLES = 'APPLES', _('Apples') #apples
	I_APPLESAUCE = 'APPLESAUCE', _('Applesauce') #applesauce
	I_APPLEWOOD_SMOKED_BACON = 'APPLEWOOD_SMOKED_BACON', _('Applewood Smoked Bacon') #applewood smoked bacon
	I_APRICOT = 'APRICOT', _('Apricot') #apricot
	I_APRICOT_BRANDY = 'APRICOT_BRANDY', _('Apricot Brandy') #apricot brandy
	I_APRICOT_HALVES = 'APRICOT_HALVES', _('Apricot Halves') #apricot halves
	I_APRICOT_JAM = 'APRICOT_JAM', _('Apricot Jam') #apricot jam
	I_APRICOT_NECTAR = 'APRICOT_NECTAR', _('Apricot Nectar') #apricot nectar
	I_APRICOT_PRESERVES = 'APRICOT_PRESERVES', _('Apricot Preserves') #apricot preserves
	I_APRICOTS = 'APRICOTS', _('Apricots') #apricots
	I_AQUAVIT = 'AQUAVIT', _('Aquavit') #aquavit
	I_ARBOL_CHILE = 'ARBOL_CHILE', _('Arbol Chile') #arbol chile
	I_ARBORIO_RICE = 'ARBORIO_RICE', _('Arborio Rice') #arborio rice
	I_ARMAGNAC = 'ARMAGNAC', _('Armagnac') #armagnac
	I_ARROW_ROOT = 'ARROW_ROOT', _('Arrow Root') #arrow root
	I_ARROWROOT = 'ARROWROOT', _('Arrowroot') #arrowroot
	I_ARROWROOT_POWDER = 'ARROWROOT_POWDER', _('Arrowroot Powder') #arrowroot powder
	I_ARTICHOKE_HEARTS = 'ARTICHOKE_HEARTS', _('Artichoke Hearts') #artichoke hearts
	I_ARTICHOKES = 'ARTICHOKES', _('Artichokes') #artichokes
	I_ARTIFICIAL = 'ARTIFICIAL', _('Artificial') #artificial
	I_ARTIFICIAL_SWEETENER = 'ARTIFICIAL_SWEETENER', _('Artificial Sweetener') #artificial sweetener
	I_ARUGULA = 'ARUGULA', _('Arugula') #arugula
	I_ASADERO = 'ASADERO', _('Asadero') #asadero
	I_ASAFETIDA = 'ASAFETIDA', _('Asafetida') #asafetida
	I_ASAFETIDA_POWDER = 'ASAFETIDA_POWDER', _('Asafetida Powder') #asafetida powder
	I_ASAFOETIDA = 'ASAFOETIDA', _('Asafoetida') #asafoetida
	I_ASAFOETIDA_POWDER = 'ASAFOETIDA_POWDER', _('Asafoetida Powder') #asafoetida powder
	I_ASIAGO = 'ASIAGO', _('Asiago') #asiago
	I_ASIAGO_CHEESE = 'ASIAGO_CHEESE', _('Asiago Cheese') #asiago cheese
	I_ASIAN = 'ASIAN', _('Asian') #asian
	I_ASIAN_CHILI_SAUCE = 'ASIAN_CHILI_SAUCE', _('Asian Chili Sauce') #asian chili sauce
	I_ASIAN_FISH_SAUCE = 'ASIAN_FISH_SAUCE', _('Asian Fish Sauce') #asian fish sauce
	I_ASIAN_PEAR = 'ASIAN_PEAR', _('Asian Pear') #asian pear
	I_ASPARAGUS = 'ASPARAGUS', _('Asparagus') #asparagus
	I_ASPARAGUS_SPEARS = 'ASPARAGUS_SPEARS', _('Asparagus Spears') #asparagus spears
	I_ASPARAGUS_TIPS = 'ASPARAGUS_TIPS', _('Asparagus Tips') #asparagus tips
	I_AUBERGINE = 'AUBERGINE', _('Aubergine') #aubergine
	I_AVOCADO = 'AVOCADO', _('Avocado') #avocado
	I_AVOCADO_OIL = 'AVOCADO_OIL', _('Avocado Oil') #avocado oil
	I_AVOCADOS = 'AVOCADOS', _('Avocados') #avocados
	I_BABY_ARTICHOKES = 'BABY_ARTICHOKES', _('Baby Artichokes') #baby artichokes
	I_BABY_ARUGULA = 'BABY_ARUGULA', _('Baby Arugula') #baby arugula
	I_BABY_BACK_RIBS = 'BABY_BACK_RIBS', _('Baby Back Ribs') #baby back ribs
	I_BABY_BEETS = 'BABY_BEETS', _('Baby Beets') #baby beets
	I_BABY_BOK_CHOY = 'BABY_BOK_CHOY', _('Baby Bok Choy') #baby bok choy
	I_BABY_CARROTS = 'BABY_CARROTS', _('Baby Carrots') #baby carrots
	I_BABY_CORN = 'BABY_CORN', _('Baby Corn') #baby corn
	I_BABY_GREENS = 'BABY_GREENS', _('Baby Greens') #baby greens
	I_BABY_LIMA_BEANS = 'BABY_LIMA_BEANS', _('Baby Lima Beans') #baby lima beans
	I_BABY_POTATOES = 'BABY_POTATOES', _('Baby Potatoes') #baby potatoes
	I_BABY_SPINACH = 'BABY_SPINACH', _('Baby Spinach') #baby spinach
	I_BABY_SPINACH_LEAVES = 'BABY_SPINACH_LEAVES', _('Baby Spinach Leaves') #baby spinach leaves
	I_BACARDI = 'BACARDI', _('Bacardi') #bacardi
	I_BACK_RIBS = 'BACK_RIBS', _('Back Ribs') #back ribs
	I_BACON = 'BACON', _('Bacon') #bacon
	I_BACON_BITS = 'BACON_BITS', _('Bacon Bits') #bacon bits
	I_BACON_DRIPPINGS = 'BACON_DRIPPINGS', _('Bacon Drippings') #bacon drippings
	I_BACON_FAT = 'BACON_FAT', _('Bacon Fat') #bacon fat
	I_BACON_GREASE = 'BACON_GREASE', _('Bacon Grease') #bacon grease
	I_BACON_SLICES = 'BACON_SLICES', _('Bacon Slices') #bacon slices
	I_BAGEL = 'BAGEL', _('Bagel') #bagel
	I_BAGELS = 'BAGELS', _('Bagels') #bagels
	I_BAGUETTE = 'BAGUETTE', _('Baguette') #baguette
	I_BAKED_BEANS = 'BAKED_BEANS', _('Baked Beans') #baked beans
	I_BAKED_CORN_TORTILLA_CHIPS = 'BAKED_CORN_TORTILLA_CHIPS', _('Baked Corn Tortilla Chips') #baked corn tortilla chips
	I_BAKED_HAM = 'BAKED_HAM', _('Baked Ham') #baked ham
	I_BAKERS = 'BAKERS', _('Bakers') #bakers
	I_BAKING_APPLES = 'BAKING_APPLES', _('Baking Apples') #baking apples
	I_BAKING_CHOCOLATE = 'BAKING_CHOCOLATE', _('Baking Chocolate') #baking chocolate
	I_BAKING_MIX = 'BAKING_MIX', _('Baking Mix') #baking mix
	I_BAKING_POTATOES = 'BAKING_POTATOES', _('Baking Potatoes') #baking potatoes
	I_BAKING_POWDER = 'BAKING_POWDER', _('Baking Powder') #baking powder
	I_BAKING_SODA = 'BAKING_SODA', _('Baking Soda') #baking soda
	I_BAKING_SPRAY = 'BAKING_SPRAY', _('Baking Spray') #baking spray
	I_BALSAMIC_VINAIGRETTE = 'BALSAMIC_VINAIGRETTE', _('Balsamic Vinaigrette') #balsamic vinaigrette
	I_BALSAMIC_VINEGAR = 'BALSAMIC_VINEGAR', _('Balsamic Vinegar') #balsamic vinegar
	I_BAMBOO_SHOOTS = 'BAMBOO_SHOOTS', _('Bamboo Shoots') #bamboo shoots
	I_BANANA = 'BANANA', _('Banana') #banana
	I_BANANA_EXTRACT = 'BANANA_EXTRACT', _('Banana Extract') #banana extract
	I_BANANA_LEAVES = 'BANANA_LEAVES', _('Banana Leaves') #banana leaves
	I_BANANA_LIQUEUR = 'BANANA_LIQUEUR', _('Banana Liqueur') #banana liqueur
	I_BANANA_PEPPERS = 'BANANA_PEPPERS', _('Banana Peppers') #banana peppers
	I_BANANA_PUDDING = 'BANANA_PUDDING', _('Banana Pudding') #banana pudding
	I_BANANAS = 'BANANAS', _('Bananas') #bananas
	I_BARBECUE_RUB = 'BARBECUE_RUB', _('Barbecue Rub') #barbecue rub
	I_BARBECUE_SAUCE = 'BARBECUE_SAUCE', _('Barbecue Sauce') #barbecue sauce
	I_BARILLA = 'BARILLA', _('Barilla') #barilla
	I_BARLEY = 'BARLEY', _('Barley') #barley
	I_BARLEY_MALT = 'BARLEY_MALT', _('Barley Malt') #barley malt
	I_BARTLETT_PEARS = 'BARTLETT_PEARS', _('Bartlett Pears') #bartlett pears
	I_BASE = 'BASE', _('Base') #base
	I_BASIL = 'BASIL', _('Basil') #basil
	I_BASIL_LEAF = 'BASIL_LEAF', _('Basil Leaf') #basil leaf
	I_BASIL_LEAVES = 'BASIL_LEAVES', _('Basil Leaves') #basil leaves
	I_BASMATI = 'BASMATI', _('Basmati') #basmati
	I_BASMATI_RICE = 'BASMATI_RICE', _('Basmati Rice') #basmati rice
	I_BASS = 'BASS', _('Bass') #bass
	I_BASS_FILLETS = 'BASS_FILLETS', _('Bass Fillets') #bass fillets
	I_BATTER = 'BATTER', _('Batter') #batter
	I_BAY = 'BAY', _('Bay') #bay
	I_BAY_LEAF = 'BAY_LEAF', _('Bay Leaf') #bay leaf
	I_BAY_LEAVES = 'BAY_LEAVES', _('Bay Leaves') #bay leaves
	I_BAY_SCALLOPS = 'BAY_SCALLOPS', _('Bay Scallops') #bay scallops
	I_BBQ_SAUCE = 'BBQ_SAUCE', _('Bbq Sauce') #bbq sauce
	I_BEAN_DIP = 'BEAN_DIP', _('Bean Dip') #bean dip
	I_BEAN_FLOUR = 'BEAN_FLOUR', _('Bean Flour') #bean flour
	I_BEAN_PASTE = 'BEAN_PASTE', _('Bean Paste') #bean paste
	I_BEAN_SAUCE = 'BEAN_SAUCE', _('Bean Sauce') #bean sauce
	I_BEAN_SPROUTS = 'BEAN_SPROUTS', _('Bean Sprouts') #bean sprouts
	I_BEANS = 'BEANS', _('Beans') #beans
	I_BEANSPROUTS = 'BEANSPROUTS', _('Beansprouts') #beansprouts
	I_BEATEN_EGGS = 'BEATEN_EGGS', _('Beaten Eggs') #beaten eggs
	I_BECHAMEL = 'BECHAMEL', _('Bechamel') #bechamel
	I_BEEF = 'BEEF', _('Beef') #beef
	I_BEEF_BASE = 'BEEF_BASE', _('Beef Base') #beef base
	I_BEEF_BOUILLON = 'BEEF_BOUILLON', _('Beef Bouillon') #beef bouillon
	I_BEEF_BOUILLON_GRANULES = 'BEEF_BOUILLON_GRANULES', _('Beef Bouillon Granules') #beef bouillon granules
	I_BEEF_BRISKET = 'BEEF_BRISKET', _('Beef Brisket') #beef brisket
	I_BEEF_BROTH = 'BEEF_BROTH', _('Beef Broth') #beef broth
	I_BEEF_CONSOMME = 'BEEF_CONSOMME', _('Beef Consomme') #beef consomme
	I_BEEF_FAT = 'BEEF_FAT', _('Beef Fat') #beef fat
	I_BEEF_GRAVY = 'BEEF_GRAVY', _('Beef Gravy') #beef gravy
	I_BEEF_LIVER = 'BEEF_LIVER', _('Beef Liver') #beef liver
	I_BEEF_RIB_ROAST = 'BEEF_RIB_ROAST', _('Beef Rib Roast') #beef rib roast
	I_BEEF_ROAST = 'BEEF_ROAST', _('Beef Roast') #beef roast
	I_BEEF_ROUND = 'BEEF_ROUND', _('Beef Round') #beef round
	I_BEEF_RUMP = 'BEEF_RUMP', _('Beef Rump') #beef rump
	I_BEEF_SAUSAGE = 'BEEF_SAUSAGE', _('Beef Sausage') #beef sausage
	I_BEEF_SHANK = 'BEEF_SHANK', _('Beef Shank') #beef shank
	I_BEEF_SHOULDER = 'BEEF_SHOULDER', _('Beef Shoulder') #beef shoulder
	I_BEEF_SIRLOIN = 'BEEF_SIRLOIN', _('Beef Sirloin') #beef sirloin
	I_BEEF_STEAK = 'BEEF_STEAK', _('Beef Steak') #beef steak
	I_BEEF_STEW = 'BEEF_STEW', _('Beef Stew') #beef stew
	I_BEEF_STEW_MEAT = 'BEEF_STEW_MEAT', _('Beef Stew Meat') #beef stew meat
	I_BEEF_STOCK = 'BEEF_STOCK', _('Beef Stock') #beef stock
	I_BEEF_STOCK_CUBES = 'BEEF_STOCK_CUBES', _('Beef Stock Cubes') #beef stock cubes
	I_BEEF_TENDERLOIN = 'BEEF_TENDERLOIN', _('Beef Tenderloin') #beef tenderloin
	I_BEEF_TENDERLOIN_STEAKS = 'BEEF_TENDERLOIN_STEAKS', _('Beef Tenderloin Steaks') #beef tenderloin steaks
	I_BEEFSTEAK_TOMATOES = 'BEEFSTEAK_TOMATOES', _('Beefsteak Tomatoes') #beefsteak tomatoes
	I_BEER = 'BEER', _('Beer') #beer
	I_BEET = 'BEET', _('Beet') #beet
	I_BEET_GREENS = 'BEET_GREENS', _('Beet Greens') #beet greens
	I_BEET_SUGAR = 'BEET_SUGAR', _('Beet Sugar') #beet sugar
	I_BEETROOT = 'BEETROOT', _('Beetroot') #beetroot
	I_BEETS = 'BEETS', _('Beets') #beets
	I_BELGIAN_ENDIVE = 'BELGIAN_ENDIVE', _('Belgian Endive') #belgian endive
	I_BELL_PEPPER = 'BELL_PEPPER', _('Bell Pepper') #bell pepper
	I_BELL_PEPPERS = 'BELL_PEPPERS', _('Bell Peppers') #bell peppers
	I_BERRIES = 'BERRIES', _('Berries') #berries
	I_BERRY = 'BERRY', _('Berry') #berry
	I_BIBB_LETTUCE = 'BIBB_LETTUCE', _('Bibb Lettuce') #bibb lettuce
	I_BICARBONATE = 'BICARBONATE', _('Bicarbonate') #bicarbonate
	I_BICARBONATE_OF_SODA = 'BICARBONATE_OF_SODA', _('Bicarbonate Of Soda') #bicarbonate of soda
	I_BING_CHERRIES = 'BING_CHERRIES', _('Bing Cherries') #bing cherries
	I_BIRD_CHILE = 'BIRD_CHILE', _('Bird Chile') #bird chile
	I_BISCUIT_BAKING_MIX = 'BISCUIT_BAKING_MIX', _('Biscuit Baking Mix') #biscuit baking mix
	I_BISCUIT_DOUGH = 'BISCUIT_DOUGH', _('Biscuit Dough') #biscuit dough
	I_BISCUIT_MIX = 'BISCUIT_MIX', _('Biscuit Mix') #biscuit mix
	I_BISCUITS = 'BISCUITS', _('Biscuits') #biscuits
	I_BISQUICK = 'BISQUICK', _('Bisquick') #bisquick
	I_BISQUICK_BAKING_MIX = 'BISQUICK_BAKING_MIX', _('Bisquick Baking Mix') #bisquick baking mix
	I_BITTERS = 'BITTERS', _('Bitters') #bitters
	I_BITTERSWEET_CHOCOLATE = 'BITTERSWEET_CHOCOLATE', _('Bittersweet Chocolate') #bittersweet chocolate
	I_BITTERSWEET_CHOCOLATE_CHIPS = 'BITTERSWEET_CHOCOLATE_CHIPS', _('Bittersweet Chocolate Chips') #bittersweet chocolate chips
	I_BLACK = 'BLACK', _('Black') #black
	I_BLACK_BASS = 'BLACK_BASS', _('Black Bass') #black bass
	I_BLACK_BEAN_SAUCE = 'BLACK_BEAN_SAUCE', _('Black Bean Sauce') #black bean sauce
	I_BLACK_BEANS = 'BLACK_BEANS', _('Black Beans') #black beans
	I_BLACK_CARDAMOM_PODS = 'BLACK_CARDAMOM_PODS', _('Black Cardamom Pods') #black cardamom pods
	I_BLACK_FOREST_HAM = 'BLACK_FOREST_HAM', _('Black Forest Ham') #black forest ham
	I_BLACK_MISSION_FIGS = 'BLACK_MISSION_FIGS', _('Black Mission Figs') #black mission figs
	I_BLACK_MUSHROOMS = 'BLACK_MUSHROOMS', _('Black Mushrooms') #black mushrooms
	I_BLACK_MUSTARD_SEEDS = 'BLACK_MUSTARD_SEEDS', _('Black Mustard Seeds') #black mustard seeds
	I_BLACK_OLIVES = 'BLACK_OLIVES', _('Black Olives') #black olives
	I_BLACK_PEPPER = 'BLACK_PEPPER', _('Black Pepper') #black pepper
	I_BLACK_PEPPER_GROUND = 'BLACK_PEPPER_GROUND', _('Black Pepper Ground') #black pepper ground
	I_BLACK_PEPPERCORNS = 'BLACK_PEPPERCORNS', _('Black Peppercorns') #black peppercorns
	I_BLACK_RICE = 'BLACK_RICE', _('Black Rice') #black rice
	I_BLACK_SESAME_SEED = 'BLACK_SESAME_SEED', _('Black Sesame Seed') #black sesame seed
	I_BLACK_SESAME_SEEDS = 'BLACK_SESAME_SEEDS', _('Black Sesame Seeds') #black sesame seeds
	I_BLACK_TEA = 'BLACK_TEA', _('Black Tea') #black tea
	I_BLACK_TRUFFLE_OIL = 'BLACK_TRUFFLE_OIL', _('Black Truffle Oil') #black truffle oil
	I_BLACK_VINEGAR = 'BLACK_VINEGAR', _('Black Vinegar') #black vinegar
	I_BLACKBERRIES = 'BLACKBERRIES', _('Blackberries') #blackberries
	I_BLACKBERRY = 'BLACKBERRY', _('Blackberry') #blackberry
	I_BLACKBERRY_JAM = 'BLACKBERRY_JAM', _('Blackberry Jam') #blackberry jam
	I_BLANCHED = 'BLANCHED', _('Blanched') #blanched
	I_BLANCHED_ALMOND_FLOUR = 'BLANCHED_ALMOND_FLOUR', _('Blanched Almond Flour') #blanched almond flour
	I_BLANCHED_ALMONDS = 'BLANCHED_ALMONDS', _('Blanched Almonds') #blanched almonds
	I_BLANCHED_HAZELNUTS = 'BLANCHED_HAZELNUTS', _('Blanched Hazelnuts') #blanched hazelnuts
	I_BLEACHED = 'BLEACHED', _('Bleached') #bleached
	I_BLEND = 'BLEND', _('Blend') #blend
	I_BLOOD = 'BLOOD', _('Blood') #blood
	I_BLOOD_ORANGE = 'BLOOD_ORANGE', _('Blood Orange') #blood orange
	I_BLOOD_ORANGE_JUICE = 'BLOOD_ORANGE_JUICE', _('Blood Orange Juice') #blood orange juice
	I_BLUE = 'BLUE', _('Blue') #blue
	I_BLUE_CHEESE = 'BLUE_CHEESE', _('Blue Cheese') #blue cheese
	I_BLUE_CHEESE_DRESSING = 'BLUE_CHEESE_DRESSING', _('Blue Cheese Dressing') #blue cheese dressing
	I_BLUE_CRABS = 'BLUE_CRABS', _('Blue Crabs') #blue crabs
	I_BLUEBERRIES = 'BLUEBERRIES', _('Blueberries') #blueberries
	I_BLUEBERRY = 'BLUEBERRY', _('Blueberry') #blueberry
	I_BLUEBERRY_JAM = 'BLUEBERRY_JAM', _('Blueberry Jam') #blueberry jam
	I_BLUEBERRY_PIE_FILLING = 'BLUEBERRY_PIE_FILLING', _('Blueberry Pie Filling') #blueberry pie filling
	I_BOCCONCINI = 'BOCCONCINI', _('Bocconcini') #bocconcini
	I_BOILED_EGGS = 'BOILED_EGGS', _('Boiled Eggs') #boiled eggs
	I_BOILED_HAM = 'BOILED_HAM', _('Boiled Ham') #boiled ham
	I_BOILING_POTATOES = 'BOILING_POTATOES', _('Boiling Potatoes') #boiling potatoes
	I_BOILING_WATER = 'BOILING_WATER', _('Boiling Water') #boiling water
	I_BOK_CHOY = 'BOK_CHOY', _('Bok Choy') #bok choy
	I_BOLILLO = 'BOLILLO', _('Bolillo') #bolillo
	I_BOLOGNA = 'BOLOGNA', _('Bologna') #bologna
	I_BONE_IN = 'BONE_IN', _('Bone In') #bone in
	I_BONELESS = 'BONELESS', _('Boneless') #boneless
	I_BONELESS_BEEF_CHUCK_ROAST = 'BONELESS_BEEF_CHUCK_ROAST', _('Boneless Beef Chuck Roast') #boneless beef chuck roast
	I_BONELESS_BEEF_ROUND_STEAK = 'BONELESS_BEEF_ROUND_STEAK', _('Boneless Beef Round Steak') #boneless beef round steak
	I_BONELESS_BEEF_SIRLOIN_STEAK = 'BONELESS_BEEF_SIRLOIN_STEAK', _('Boneless Beef Sirloin Steak') #boneless beef sirloin steak
	I_BONELESS_CHICKEN = 'BONELESS_CHICKEN', _('Boneless Chicken') #boneless chicken
	I_BONELESS_CHICKEN_BREAST = 'BONELESS_CHICKEN_BREAST', _('Boneless Chicken Breast') #boneless chicken breast
	I_BONELESS_CHICKEN_BREAST_HALVES = 'BONELESS_CHICKEN_BREAST_HALVES', _('Boneless Chicken Breast Halves') #boneless chicken breast halves
	I_BONELESS_CHICKEN_SKINLESS_THIGH = 'BONELESS_CHICKEN_SKINLESS_THIGH', _('Boneless Chicken Skinless Thigh') #boneless chicken skinless thigh
	I_BONELESS_CHICKEN_THIGHS = 'BONELESS_CHICKEN_THIGHS', _('Boneless Chicken Thighs') #boneless chicken thighs
	I_BONELESS_CHUCK_ROAST = 'BONELESS_CHUCK_ROAST', _('Boneless Chuck Roast') #boneless chuck roast
	I_BONELESS_LAMB = 'BONELESS_LAMB', _('Boneless Lamb') #boneless lamb
	I_BONELESS_PORK = 'BONELESS_PORK', _('Boneless Pork') #boneless pork
	I_BONELESS_PORK_LOIN = 'BONELESS_PORK_LOIN', _('Boneless Pork Loin') #boneless pork loin
	I_BONELESS_PORK_SHOULDER = 'BONELESS_PORK_SHOULDER', _('Boneless Pork Shoulder') #boneless pork shoulder
	I_BONELESS_SIRLOIN = 'BONELESS_SIRLOIN', _('Boneless Sirloin') #boneless sirloin
	I_BONELESS_SKINLESS_CHICKEN = 'BONELESS_SKINLESS_CHICKEN', _('Boneless Skinless Chicken') #boneless skinless chicken
	I_BONELESS_SKINLESS_CHICKEN_BREAST_HALVES = 'BONELESS_SKINLESS_CHICKEN_BREAST_HALVES', _('Boneless Skinless Chicken Breast Halves') #boneless skinless chicken breast halves
	I_BONELESS_SKINLESS_CHICKEN_BREASTS = 'BONELESS_SKINLESS_CHICKEN_BREASTS', _('Boneless Skinless Chicken Breasts') #boneless skinless chicken breasts
	I_BONELESS_SKINLESS_CHICKEN_THIGHS = 'BONELESS_SKINLESS_CHICKEN_THIGHS', _('Boneless Skinless Chicken Thighs') #boneless skinless chicken thighs
	I_BONITO = 'BONITO', _('Bonito') #bonito
	I_BONITO_FLAKES = 'BONITO_FLAKES', _('Bonito Flakes') #bonito flakes
	I_BORLOTTI = 'BORLOTTI', _('Borlotti') #borlotti
	I_BOSC_PEARS = 'BOSC_PEARS', _('Bosc Pears') #bosc pears
	I_BOSTON_BUTT = 'BOSTON_BUTT', _('Boston Butt') #boston butt
	I_BOSTON_LETTUCE = 'BOSTON_LETTUCE', _('Boston Lettuce') #boston lettuce
	I_BOTTLE = 'BOTTLE', _('Bottle') #bottle
	I_BOTTLED_CLAM_JUICE = 'BOTTLED_CLAM_JUICE', _('Bottled Clam Juice') #bottled clam juice
	I_BOTTOM_ROUND = 'BOTTOM_ROUND', _('Bottom Round') #bottom round
	I_BOUILLON = 'BOUILLON', _('Bouillon') #bouillon
	I_BOUILLON_GRANULES = 'BOUILLON_GRANULES', _('Bouillon Granules') #bouillon granules
	I_BOUILLON_POWDER = 'BOUILLON_POWDER', _('Bouillon Powder') #bouillon powder
	I_BOUQUET = 'BOUQUET', _('Bouquet') #bouquet
	I_BOUQUET_GARNI = 'BOUQUET_GARNI', _('Bouquet Garni') #bouquet garni
	I_BOURBON = 'BOURBON', _('Bourbon') #bourbon
	I_BOURBON_WHISKEY = 'BOURBON_WHISKEY', _('Bourbon Whiskey') #bourbon whiskey
	I_BOURSIN = 'BOURSIN', _('Boursin') #boursin
	I_BOWTIE_PASTA = 'BOWTIE_PASTA', _('Bow-Tie Pasta') #bow-tie pasta
	I_BOYSENBERRIES = 'BOYSENBERRIES', _('Boysenberries') #boysenberries
	I_BRAGGS_LIQUID_AMINOS = 'BRAGGS_LIQUID_AMINOS', _('Braggs Liquid Aminos') #braggs liquid aminos
	I_BRAN = 'BRAN', _('Bran') #bran
	I_BRAN_FLAKES = 'BRAN_FLAKES', _('Bran Flakes') #bran flakes
	I_BRANDY = 'BRANDY', _('Brandy') #brandy
	I_BRAZIL = 'BRAZIL', _('Brazil') #brazil
	I_BRAZIL_NUTS = 'BRAZIL_NUTS', _('Brazil Nuts') #brazil nuts
	I_BREAD = 'BREAD', _('Bread') #bread
	I_BREAD_AND_BUTTER_PICKLES = 'BREAD_AND_BUTTER_PICKLES', _('Bread And Butter Pickles') #bread and butter pickles
	I_BREAD_CRUMB_FRESH = 'BREAD_CRUMB_FRESH', _('Bread Crumb Fresh') #bread crumb fresh
	I_BREAD_CRUMBS = 'BREAD_CRUMBS', _('Bread Crumbs') #bread crumbs
	I_BREAD_DOUGH = 'BREAD_DOUGH', _('Bread Dough') #bread dough
	I_BREAD_FLOUR = 'BREAD_FLOUR', _('Bread Flour') #bread flour
	I_BREAD_MACHINE_YEAST = 'BREAD_MACHINE_YEAST', _('Bread Machine Yeast') #bread machine yeast
	I_BREAD_MIX = 'BREAD_MIX', _('Bread Mix') #bread mix
	I_BREAD_ROLLS = 'BREAD_ROLLS', _('Bread Rolls') #bread rolls
	I_BREAD_SLICES = 'BREAD_SLICES', _('Bread Slices') #bread slices
	I_BREADCRUMBS = 'BREADCRUMBS', _('Breadcrumbs') #breadcrumbs
	I_BREADSTICK = 'BREADSTICK', _('Breadstick') #breadstick
	I_BREAKFAST_SAUSAGE_LINKS = 'BREAKFAST_SAUSAGE_LINKS', _('Breakfast Sausage Links') #breakfast sausage links
	I_BREAST = 'BREAST', _('Breast') #breast
	I_BRESAOLA = 'BRESAOLA', _('Bresaola') #bresaola
	I_BREWED_COFFEE = 'BREWED_COFFEE', _('Brewed Coffee') #brewed coffee
	I_BREWED_ESPRESSO = 'BREWED_ESPRESSO', _('Brewed Espresso') #brewed espresso
	I_BRIE_CHEESE = 'BRIE_CHEESE', _('Brie Cheese') #brie cheese
	I_BRINE = 'BRINE', _('Brine') #brine
	I_BRIOCHE = 'BRIOCHE', _('Brioche') #brioche
	I_BRIOCHE_BREAD = 'BRIOCHE_BREAD', _('Brioche Bread') #brioche bread
	I_BRISKET = 'BRISKET', _('Brisket') #brisket
	I_BROAD_BEANS = 'BROAD_BEANS', _('Broad Beans') #broad beans
	I_BROCCOLI = 'BROCCOLI', _('Broccoli') #broccoli
	I_BROCCOLI_FLORETS = 'BROCCOLI_FLORETS', _('Broccoli Florets') #broccoli florets
	I_BROCCOLI_RABE = 'BROCCOLI_RABE', _('Broccoli Rabe') #broccoli rabe
	I_BROCCOLI_STEMS = 'BROCCOLI_STEMS', _('Broccoli Stems') #broccoli stems
	I_BROCCOLINI = 'BROCCOLINI', _('Broccolini') #broccolini
	I_BROILER = 'BROILER', _('Broiler') #broiler
	I_BROTH = 'BROTH', _('Broth') #broth
	I_BROWN = 'BROWN', _('Brown') #brown
	I_BROWN_BASMATI_RICE = 'BROWN_BASMATI_RICE', _('Brown Basmati Rice') #brown basmati rice
	I_BROWN_CARDAMOM = 'BROWN_CARDAMOM', _('Brown Cardamom') #brown cardamom
	I_BROWN_GRAVY = 'BROWN_GRAVY', _('Brown Gravy') #brown gravy
	I_BROWN_GRAVY_MIX = 'BROWN_GRAVY_MIX', _('Brown Gravy Mix') #brown gravy mix
	I_BROWN_LENTILS = 'BROWN_LENTILS', _('Brown Lentils') #brown lentils
	I_BROWN_MUSTARD = 'BROWN_MUSTARD', _('Brown Mustard') #brown mustard
	I_BROWN_MUSTARD_SEEDS = 'BROWN_MUSTARD_SEEDS', _('Brown Mustard Seeds') #brown mustard seeds
	I_BROWN_RICE = 'BROWN_RICE', _('Brown Rice') #brown rice
	I_BROWN_RICE_FLOUR = 'BROWN_RICE_FLOUR', _('Brown Rice Flour') #brown rice flour
	I_BROWN_SUGAR = 'BROWN_SUGAR', _('Brown Sugar') #brown sugar
	I_BROWNIE = 'BROWNIE', _('Brownie') #brownie
	I_BROWNIES = 'BROWNIES', _('Brownies') #brownies
	I_BROWNING = 'BROWNING', _('Browning') #browning
	I_BRUSSELS_SPROUTS = 'BRUSSELS_SPROUTS', _('Brussels Sprouts') #brussels sprouts
	I_BUCATINI = 'BUCATINI', _('Bucatini') #bucatini
	I_BUCKWHEAT = 'BUCKWHEAT', _('Buckwheat') #buckwheat
	I_BUCKWHEAT_FLOUR = 'BUCKWHEAT_FLOUR', _('Buckwheat Flour') #buckwheat flour
	I_BUCKWHEAT_GROATS = 'BUCKWHEAT_GROATS', _('Buckwheat Groats') #buckwheat groats
	I_BUDWEISER = 'BUDWEISER', _('Budweiser') #budweiser
	I_BUFFALO = 'BUFFALO', _('Buffalo') #buffalo
	I_BUFFALO_MOZZARELLA = 'BUFFALO_MOZZARELLA', _('Buffalo Mozzarella') #buffalo mozzarella
	I_BULB = 'BULB', _('Bulb') #bulb
	I_BULB_FENNEL = 'BULB_FENNEL', _('Bulb Fennel') #bulb fennel
	I_BULGAR_WHEAT = 'BULGAR_WHEAT', _('Bulgar Wheat') #bulgar wheat
	I_BULGUR = 'BULGUR', _('Bulgur') #bulgur
	I_BULGUR_WHEAT = 'BULGUR_WHEAT', _('Bulgur Wheat') #bulgur wheat
	I_BUNS = 'BUNS', _('Buns') #buns
	I_BURDOCK = 'BURDOCK', _('Burdock') #burdock
	I_BURGER_BUNS = 'BURGER_BUNS', _('Burger Buns') #burger buns
	I_BURGERS = 'BURGERS', _('Burgers') #burgers
	I_BURGUNDY = 'BURGUNDY', _('Burgundy') #burgundy
	I_BURGUNDY_WINE = 'BURGUNDY_WINE', _('Burgundy Wine') #burgundy wine
	I_BURRATA = 'BURRATA', _('Burrata') #burrata
	I_BUTTER = 'BUTTER', _('Butter') #butter
	I_BUTTER_BEANS = 'BUTTER_BEANS', _('Butter Beans') #butter beans
	I_BUTTER_COOKING_SPRAY = 'BUTTER_COOKING_SPRAY', _('Butter Cooking Spray') #butter cooking spray
	I_BUTTER_FLAVOR = 'BUTTER_FLAVOR', _('Butter Flavor') #butter flavor
	I_BUTTER_FLAVOR_SHORTENING = 'BUTTER_FLAVOR_SHORTENING', _('Butter Flavor Shortening') #butter flavor shortening
	I_BUTTER_LETTUCE = 'BUTTER_LETTUCE', _('Butter Lettuce') #butter lettuce
	I_BUTTER_OIL = 'BUTTER_OIL', _('Butter Oil') #butter oil
	I_BUTTER_SALT = 'BUTTER_SALT', _('Butter Salt') #butter salt
	I_BUTTERCREAM_FROSTING = 'BUTTERCREAM_FROSTING', _('Buttercream Frosting') #buttercream frosting
	I_BUTTERFINGER = 'BUTTERFINGER', _('Butterfinger') #butterfinger
	I_BUTTERMILK = 'BUTTERMILK', _('Buttermilk') #buttermilk
	I_BUTTERMILK_BISCUITS = 'BUTTERMILK_BISCUITS', _('Buttermilk Biscuits') #buttermilk biscuits
	I_BUTTERNUT = 'BUTTERNUT', _('Butternut') #butternut
	I_BUTTERNUT_SQUASH = 'BUTTERNUT_SQUASH', _('Butternut Squash') #butternut squash
	I_BUTTERSCOTCH = 'BUTTERSCOTCH', _('Butterscotch') #butterscotch
	I_BUTTERSCOTCH_CHIPS = 'BUTTERSCOTCH_CHIPS', _('Butterscotch Chips') #butterscotch chips
	I_BUTTON_MUSHROOMS = 'BUTTON_MUSHROOMS', _('Button Mushrooms') #button mushrooms
	I_CABBAGE = 'CABBAGE', _('Cabbage') #cabbage
	I_CABBAGE_LEAVES = 'CABBAGE_LEAVES', _('Cabbage Leaves') #cabbage leaves
	I_CABERNET = 'CABERNET', _('Cabernet') #cabernet
	I_CABERNET_SAUVIGNON = 'CABERNET_SAUVIGNON', _('Cabernet Sauvignon') #cabernet sauvignon
	I_CACAO_POWDER = 'CACAO_POWDER', _('Cacao Powder') #cacao powder
	I_CACHACA = 'CACHACA', _('Cachaca') #cachaca
	I_CACTUS = 'CACTUS', _('Cactus') #cactus
	I_CAESAR_SALAD_DRESSING = 'CAESAR_SALAD_DRESSING', _('Caesar Salad Dressing') #caesar salad dressing
	I_CAJUN_SEASONING = 'CAJUN_SEASONING', _('Cajun Seasoning') #cajun seasoning
	I_CAKE = 'CAKE', _('Cake') #cake
	I_CAKE_FLOUR = 'CAKE_FLOUR', _('Cake Flour') #cake flour
	I_CAKE_MIX = 'CAKE_MIX', _('Cake Mix') #cake mix
	I_CAKE_YEAST = 'CAKE_YEAST', _('Cake Yeast') #cake yeast
	I_CAKES = 'CAKES', _('Cakes') #cakes
	I_CALAMARI = 'CALAMARI', _('Calamari') #calamari
	I_CALAMATA_OLIVES = 'CALAMATA_OLIVES', _('Calamata Olives') #calamata olives
	I_CALORIES = 'CALORIES', _('Calories') #calories
	I_CALVADOS = 'CALVADOS', _('Calvados') #calvados
	I_CAMEMBERT = 'CAMEMBERT', _('Camembert') #camembert
	I_CAMPANELLE = 'CAMPANELLE', _('Campanelle') #campanelle
	I_CAMPARI = 'CAMPARI', _('Campari') #campari
	I_CANADIAN_BACON = 'CANADIAN_BACON', _('Canadian Bacon') #canadian bacon
	I_CANDIED_CHERRIES = 'CANDIED_CHERRIES', _('Candied Cherries') #candied cherries
	I_CANDIED_FRUIT = 'CANDIED_FRUIT', _('Candied Fruit') #candied fruit
	I_CANDIED_GINGER = 'CANDIED_GINGER', _('Candied Ginger') #candied ginger
	I_CANDIED_ORANGE_PEEL = 'CANDIED_ORANGE_PEEL', _('Candied Orange Peel') #candied orange peel
	I_CANDIED_PEEL = 'CANDIED_PEEL', _('Candied Peel') #candied peel
	I_CANDIED_PINEAPPLE = 'CANDIED_PINEAPPLE', _('Candied Pineapple') #candied pineapple
	I_CANDY = 'CANDY', _('Candy') #candy
	I_CANDY_BAR = 'CANDY_BAR', _('Candy Bar') #candy bar
	I_CANDY_CANES = 'CANDY_CANES', _('Candy Canes') #candy canes
	I_CANDY_SPRINKLES = 'CANDY_SPRINKLES', _('Candy Sprinkles') #candy sprinkles
	I_CANE_SUGAR = 'CANE_SUGAR', _('Cane Sugar') #cane sugar
	I_CANE_SYRUP = 'CANE_SYRUP', _('Cane Syrup') #cane syrup
	I_CANELA = 'CANELA', _('Canela') #canela
	I_CANNED_BEEF_BROTH = 'CANNED_BEEF_BROTH', _('Canned Beef Broth') #canned beef broth
	I_CANNED_BLACK_BEANS = 'CANNED_BLACK_BEANS', _('Canned Black Beans') #canned black beans
	I_CANNED_CHICKEN = 'CANNED_CHICKEN', _('Canned Chicken') #canned chicken
	I_CANNED_CHICKEN_BROTH = 'CANNED_CHICKEN_BROTH', _('Canned Chicken Broth') #canned chicken broth
	I_CANNED_COCONUT_MILK = 'CANNED_COCONUT_MILK', _('Canned Coconut Milk') #canned coconut milk
	I_CANNED_CORN = 'CANNED_CORN', _('Canned Corn') #canned corn
	I_CANNED_SALMON = 'CANNED_SALMON', _('Canned Salmon') #canned salmon
	I_CANNED_TOMATOES = 'CANNED_TOMATOES', _('Canned Tomatoes') #canned tomatoes
	I_CANNED_TUNA = 'CANNED_TUNA', _('Canned Tuna') #canned tuna
	I_CANNELLINI = 'CANNELLINI', _('Cannellini') #cannellini
	I_CANNELLINI_BEANS = 'CANNELLINI_BEANS', _('Cannellini Beans') #cannellini beans
	I_CANOLA = 'CANOLA', _('Canola') #canola
	I_CANOLA_MAYONNAISE = 'CANOLA_MAYONNAISE', _('Canola Mayonnaise') #canola mayonnaise
	I_CANOLA_OIL = 'CANOLA_OIL', _('Canola Oil') #canola oil
	I_CANTALOUPE = 'CANTALOUPE', _('Cantaloupe') #cantaloupe
	I_CAPELLINI = 'CAPELLINI', _('Capellini') #capellini
	I_CAPERS = 'CAPERS', _('Capers') #capers
	I_CAPSICUM = 'CAPSICUM', _('Capsicum') #capsicum
	I_CARAMEL = 'CARAMEL', _('Caramel') #caramel
	I_CARAMEL_ICE_CREAM = 'CARAMEL_ICE_CREAM', _('Caramel Ice Cream') #caramel ice cream
	I_CARAMEL_ICE_CREAM_TOPPING = 'CARAMEL_ICE_CREAM_TOPPING', _('Caramel Ice Cream Topping') #caramel ice cream topping
	I_CARAMEL_SAUCE = 'CARAMEL_SAUCE', _('Caramel Sauce') #caramel sauce
	I_CARAMEL_SYRUP = 'CARAMEL_SYRUP', _('Caramel Syrup') #caramel syrup
	I_CARAMEL_TOPPING = 'CARAMEL_TOPPING', _('Caramel Topping') #caramel topping
	I_CARAMELS = 'CARAMELS', _('Caramels') #caramels
	I_CARAWAY = 'CARAWAY', _('Caraway') #caraway
	I_CARAWAY_SEED = 'CARAWAY_SEED', _('Caraway Seed') #caraway seed
	I_CARAWAY_SEEDS = 'CARAWAY_SEEDS', _('Caraway Seeds') #caraway seeds
	I_CARBONATED = 'CARBONATED', _('Carbonated') #carbonated
	I_CARBONATED_WATER = 'CARBONATED_WATER', _('Carbonated Water') #carbonated water
	I_CARCASS = 'CARCASS', _('Carcass') #carcass
	I_CARDAMOM = 'CARDAMOM', _('Cardamom') #cardamom
	I_CARDAMOM_PODS = 'CARDAMOM_PODS', _('Cardamom Pods') #cardamom pods
	I_CARDAMOM_SEED = 'CARDAMOM_SEED', _('Cardamom Seed') #cardamom seed
	I_CARDAMOM_SEEDS = 'CARDAMOM_SEEDS', _('Cardamom Seeds') #cardamom seeds
	I_CARNAROLI_RICE = 'CARNAROLI_RICE', _('Carnaroli Rice') #carnaroli rice
	I_CARNATION = 'CARNATION', _('Carnation') #carnation
	I_CAROB = 'CAROB', _('Carob') #carob
	I_CAROB_POWDER = 'CAROB_POWDER', _('Carob Powder') #carob powder
	I_CARROT = 'CARROT', _('Carrot') #carrot
	I_CARROT_STICKS = 'CARROT_STICKS', _('Carrot Sticks') #carrot sticks
	I_CARROTS = 'CARROTS', _('Carrots') #carrots
	I_CASHEW = 'CASHEW', _('Cashew') #cashew
	I_CASHEW_NUTS = 'CASHEW_NUTS', _('Cashew Nuts') #cashew nuts
	I_CASHEWS = 'CASHEWS', _('Cashews') #cashews
	I_CASINGS = 'CASINGS', _('Casings') #casings
	I_CASSAVA = 'CASSAVA', _('Cassava') #cassava
	I_CASSIS = 'CASSIS', _('Cassis') #cassis
	I_CASTER = 'CASTER', _('Caster') #caster
	I_CASTER_SUGAR = 'CASTER_SUGAR', _('Caster Sugar') #caster sugar
	I_CATALINA_DRESSING = 'CATALINA_DRESSING', _('Catalina Dressing') #catalina dressing
	I_CATFISH = 'CATFISH', _('Catfish') #catfish
	I_CATFISH_FILLETS = 'CATFISH_FILLETS', _('Catfish Fillets') #catfish fillets
	I_CATSUP = 'CATSUP', _('Catsup') #catsup
	I_CAULIFLOWER = 'CAULIFLOWER', _('Cauliflower') #cauliflower
	I_CAULIFLOWER_FLORETS = 'CAULIFLOWER_FLORETS', _('Cauliflower Florets') #cauliflower florets
	I_CAVATAPPI = 'CAVATAPPI', _('Cavatappi') #cavatappi
	I_CAVIAR = 'CAVIAR', _('Caviar') #caviar
	I_CAYENNE = 'CAYENNE', _('Cayenne') #cayenne
	I_CAYENNE_PEPPER = 'CAYENNE_PEPPER', _('Cayenne Pepper') #cayenne pepper
	I_CAYENNE_PEPPER_SAUCE = 'CAYENNE_PEPPER_SAUCE', _('Cayenne Pepper Sauce') #cayenne pepper sauce
	I_CELERY = 'CELERY', _('Celery') #celery
	I_CELERY_FLAKES = 'CELERY_FLAKES', _('Celery Flakes') #celery flakes
	I_CELERY_HEART = 'CELERY_HEART', _('Celery Heart') #celery heart
	I_CELERY_HEARTS = 'CELERY_HEARTS', _('Celery Hearts') #celery hearts
	I_CELERY_LEAVES = 'CELERY_LEAVES', _('Celery Leaves') #celery leaves
	I_CELERY_RIBS = 'CELERY_RIBS', _('Celery Ribs') #celery ribs
	I_CELERY_ROOT = 'CELERY_ROOT', _('Celery Root') #celery root
	I_CELERY_SALT = 'CELERY_SALT', _('Celery Salt') #celery salt
	I_CELERY_SEED = 'CELERY_SEED', _('Celery Seed') #celery seed
	I_CELERY_SEEDS = 'CELERY_SEEDS', _('Celery Seeds') #celery seeds
	I_CELTIC_SEA_SALT = 'CELTIC_SEA_SALT', _('Celtic Sea Salt') #celtic sea salt
	I_CENTER_CUT_BACON = 'CENTER_CUT_BACON', _('Center Cut Bacon') #center cut bacon
	I_CEREAL = 'CEREAL', _('Cereal') #cereal
	I_CEREAL_FLAKES = 'CEREAL_FLAKES', _('Cereal Flakes') #cereal flakes
	I_CHAAT_MASALA = 'CHAAT_MASALA', _('Chaat Masala') #chaat masala
	I_CHABLIS = 'CHABLIS', _('Chablis') #chablis
	I_CHAI = 'CHAI', _('Chai') #chai
	I_CHAI_TEA = 'CHAI_TEA', _('Chai Tea') #chai tea
	I_CHAMBORD = 'CHAMBORD', _('Chambord') #chambord
	I_CHAMPAGNE = 'CHAMPAGNE', _('Champagne') #champagne
	I_CHAMPAGNE_VINEGAR = 'CHAMPAGNE_VINEGAR', _('Champagne Vinegar') #champagne vinegar
	I_CHANTERELLE = 'CHANTERELLE', _('Chanterelle') #chanterelle
	I_CHAR = 'CHAR', _('Char') #char
	I_CHAR_SIU = 'CHAR_SIU', _('Char Siu') #char siu
	I_CHARD = 'CHARD', _('Chard') #chard
	I_CHARDONNAY = 'CHARDONNAY', _('Chardonnay') #chardonnay
	I_CHAYOTES = 'CHAYOTES', _('Chayotes') #chayotes
	I_CHEDDAR = 'CHEDDAR', _('Cheddar') #cheddar
	I_CHEDDAR_CHEESE = 'CHEDDAR_CHEESE', _('Cheddar Cheese') #cheddar cheese
	I_CHEDDAR_CHEESE_BLEND = 'CHEDDAR_CHEESE_BLEND', _('Cheddar Cheese Blend') #cheddar cheese blend
	I_CHEDDAR_CHEESE_SOUP = 'CHEDDAR_CHEESE_SOUP', _('Cheddar Cheese Soup') #cheddar cheese soup
	I_CHEESE = 'CHEESE', _('Cheese') #cheese
	I_CHEESE_BLEND = 'CHEESE_BLEND', _('Cheese Blend') #cheese blend
	I_CHEESE_CUBES = 'CHEESE_CUBES', _('Cheese Cubes') #cheese cubes
	I_CHEESE_DIP = 'CHEESE_DIP', _('Cheese Dip') #cheese dip
	I_CHEESE_RAVIOLI = 'CHEESE_RAVIOLI', _('Cheese Ravioli') #cheese ravioli
	I_CHEESE_SAUCE = 'CHEESE_SAUCE', _('Cheese Sauce') #cheese sauce
	I_CHEESE_SLICES = 'CHEESE_SLICES', _('Cheese Slices') #cheese slices
	I_CHEESE_SOUP = 'CHEESE_SOUP', _('Cheese Soup') #cheese soup
	I_CHEESE_SPREAD = 'CHEESE_SPREAD', _('Cheese Spread') #cheese spread
	I_CHEESE_TORTELLINI = 'CHEESE_TORTELLINI', _('Cheese Tortellini') #cheese tortellini
	I_CHEESES = 'CHEESES', _('Cheeses') #cheeses
	I_CHERRIES = 'CHERRIES', _('Cherries') #cherries
	I_CHERRY = 'CHERRY', _('Cherry') #cherry
	I_CHERRY_BRANDY = 'CHERRY_BRANDY', _('Cherry Brandy') #cherry brandy
	I_CHERRY_GELATIN = 'CHERRY_GELATIN', _('Cherry Gelatin') #cherry gelatin
	I_CHERRY_JUICE = 'CHERRY_JUICE', _('Cherry Juice') #cherry juice
	I_CHERRY_PEPPERS = 'CHERRY_PEPPERS', _('Cherry Peppers') #cherry peppers
	I_CHERRY_PIE_FILLING = 'CHERRY_PIE_FILLING', _('Cherry Pie Filling') #cherry pie filling
	I_CHERRY_PRESERVES = 'CHERRY_PRESERVES', _('Cherry Preserves') #cherry preserves
	I_CHERRY_TOMATOES = 'CHERRY_TOMATOES', _('Cherry Tomatoes') #cherry tomatoes
	I_CHERVIL = 'CHERVIL', _('Chervil') #chervil
	I_CHESTNUT = 'CHESTNUT', _('Chestnut') #chestnut
	I_CHESTNUT_MUSHROOMS = 'CHESTNUT_MUSHROOMS', _('Chestnut Mushrooms') #chestnut mushrooms
	I_CHESTNUTS = 'CHESTNUTS', _('Chestnuts') #chestnuts
	I_CHIA_SEEDS = 'CHIA_SEEDS', _('Chia Seeds') #chia seeds
	I_CHIANTI = 'CHIANTI', _('Chianti') #chianti
	I_CHICK_PEAS = 'CHICK_PEAS', _('Chick Peas') #chick peas
	I_CHICKEN = 'CHICKEN', _('Chicken') #chicken
	I_CHICKEN_BASE = 'CHICKEN_BASE', _('Chicken Base') #chicken base
	I_CHICKEN_BOUILLON = 'CHICKEN_BOUILLON', _('Chicken Bouillon') #chicken bouillon
	I_CHICKEN_BOUILLON_GRANULES = 'CHICKEN_BOUILLON_GRANULES', _('Chicken Bouillon Granules') #chicken bouillon granules
	I_CHICKEN_BREAST = 'CHICKEN_BREAST', _('Chicken Breast') #chicken breast
	I_CHICKEN_BREAST_FILLETS = 'CHICKEN_BREAST_FILLETS', _('Chicken Breast Fillets') #chicken breast fillets
	I_CHICKEN_BREAST_HALVES = 'CHICKEN_BREAST_HALVES', _('Chicken Breast Halves') #chicken breast halves
	I_CHICKEN_BREAST_STRIPS = 'CHICKEN_BREAST_STRIPS', _('Chicken Breast Strips') #chicken breast strips
	I_CHICKEN_BREAST_TENDERS = 'CHICKEN_BREAST_TENDERS', _('Chicken Breast Tenders') #chicken breast tenders
	I_CHICKEN_BREASTS = 'CHICKEN_BREASTS', _('Chicken Breasts') #chicken breasts
	I_CHICKEN_BROTH = 'CHICKEN_BROTH', _('Chicken Broth') #chicken broth
	I_CHICKEN_CUTLETS = 'CHICKEN_CUTLETS', _('Chicken Cutlets') #chicken cutlets
	I_CHICKEN_DRUMSTICKS = 'CHICKEN_DRUMSTICKS', _('Chicken Drumsticks') #chicken drumsticks
	I_CHICKEN_FAT = 'CHICKEN_FAT', _('Chicken Fat') #chicken fat
	I_CHICKEN_FLAVOR = 'CHICKEN_FLAVOR', _('Chicken Flavor') #chicken flavor
	I_CHICKEN_FLAVOR_STUFFING_MIX = 'CHICKEN_FLAVOR_STUFFING_MIX', _('Chicken Flavor Stuffing Mix') #chicken flavor stuffing mix
	I_CHICKEN_GRAVY = 'CHICKEN_GRAVY', _('Chicken Gravy') #chicken gravy
	I_CHICKEN_LEG_QUARTERS = 'CHICKEN_LEG_QUARTERS', _('Chicken Leg Quarters') #chicken leg quarters
	I_CHICKEN_LEGS = 'CHICKEN_LEGS', _('Chicken Legs') #chicken legs
	I_CHICKEN_LIVER = 'CHICKEN_LIVER', _('Chicken Liver') #chicken liver
	I_CHICKEN_LIVERS = 'CHICKEN_LIVERS', _('Chicken Livers') #chicken livers
	I_CHICKEN_MEAT = 'CHICKEN_MEAT', _('Chicken Meat') #chicken meat
	I_CHICKEN_PARTS = 'CHICKEN_PARTS', _('Chicken Parts') #chicken parts
	I_CHICKEN_PIECES = 'CHICKEN_PIECES', _('Chicken Pieces') #chicken pieces
	I_CHICKEN_SAUSAGE = 'CHICKEN_SAUSAGE', _('Chicken Sausage') #chicken sausage
	I_CHICKEN_SKIN = 'CHICKEN_SKIN', _('Chicken Skin') #chicken skin
	I_CHICKEN_STOCK = 'CHICKEN_STOCK', _('Chicken Stock') #chicken stock
	I_CHICKEN_STOCK_CUBES = 'CHICKEN_STOCK_CUBES', _('Chicken Stock Cubes') #chicken stock cubes
	I_CHICKEN_STRIPS = 'CHICKEN_STRIPS', _('Chicken Strips') #chicken strips
	I_CHICKEN_TENDERLOINS = 'CHICKEN_TENDERLOINS', _('Chicken Tenderloins') #chicken tenderloins
	I_CHICKEN_THIGHS = 'CHICKEN_THIGHS', _('Chicken Thighs') #chicken thighs
	I_CHICKEN_WINGS = 'CHICKEN_WINGS', _('Chicken Wings') #chicken wings
	I_CHICKPEA = 'CHICKPEA', _('Chickpea') #chickpea
	I_CHICKPEA_FLOUR = 'CHICKPEA_FLOUR', _('Chickpea Flour') #chickpea flour
	I_CHICKPEAS = 'CHICKPEAS', _('Chickpeas') #chickpeas
	I_CHICORY = 'CHICORY', _('Chicory') #chicory
	I_CHIFFONADE = 'CHIFFONADE', _('Chiffonade') #chiffonade
	I_CHILE = 'CHILE', _('Chile') #chile
	I_CHILE_DE_ARBOL = 'CHILE_DE_ARBOL', _('Chile De Arbol') #chile de arbol
	I_CHILE_PASTE = 'CHILE_PASTE', _('Chile Paste') #chile paste
	I_CHILE_PEPPER = 'CHILE_PEPPER', _('Chile Pepper') #chile pepper
	I_CHILE_PEPPERS = 'CHILE_PEPPERS', _('Chile Peppers') #chile peppers
	I_CHILE_POWDER = 'CHILE_POWDER', _('Chile Powder') #chile powder
	I_CHILE_SAUCE = 'CHILE_SAUCE', _('Chile Sauce') #chile sauce
	I_CHILEGARLIC_SAUCE = 'CHILEGARLIC_SAUCE', _('Chilegarlic Sauce') #chilegarlic sauce
	I_CHILES = 'CHILES', _('Chiles') #chiles
	I_CHILI = 'CHILI', _('Chili') #chili
	I_CHILI_BEANS = 'CHILI_BEANS', _('Chili Beans') #chili beans
	I_CHILI_FLAKES = 'CHILI_FLAKES', _('Chili Flakes') #chili flakes
	I_CHILI_OIL = 'CHILI_OIL', _('Chili Oil') #chili oil
	I_CHILI_PASTE = 'CHILI_PASTE', _('Chili Paste') #chili paste
	I_CHILI_PASTE_WITH_GARLIC = 'CHILI_PASTE_WITH_GARLIC', _('Chili Paste With Garlic') #chili paste with garlic
	I_CHILI_PEPPER = 'CHILI_PEPPER', _('Chili Pepper') #chili pepper
	I_CHILI_PEPPER_FLAKES = 'CHILI_PEPPER_FLAKES', _('Chili Pepper Flakes') #chili pepper flakes
	I_CHILI_PEPPERS = 'CHILI_PEPPERS', _('Chili Peppers') #chili peppers
	I_CHILI_POWDER = 'CHILI_POWDER', _('Chili Powder') #chili powder
	I_CHILI_SAUCE = 'CHILI_SAUCE', _('Chili Sauce') #chili sauce
	I_CHILI_SEASONING = 'CHILI_SEASONING', _('Chili Seasoning') #chili seasoning
	I_CHILI_SEASONING_MIX = 'CHILI_SEASONING_MIX', _('Chili Seasoning Mix') #chili seasoning mix
	I_CHILIES = 'CHILIES', _('Chilies') #chilies
	I_CHILIS = 'CHILIS', _('Chilis') #chilis
	I_CHILLI = 'CHILLI', _('Chilli') #chilli
	I_CHILLI_POWDER = 'CHILLI_POWDER', _('Chilli Powder') #chilli powder
	I_CHILLIES = 'CHILLIES', _('Chillies') #chillies
	I_CHINESE_CABBAGE = 'CHINESE_CABBAGE', _('Chinese Cabbage') #chinese cabbage
	I_CHINESE_CHIVES = 'CHINESE_CHIVES', _('Chinese Chives') #chinese chives
	I_CHINESE_EGG_NOODLES = 'CHINESE_EGG_NOODLES', _('Chinese Egg Noodles') #chinese egg noodles
	I_CHINESE_FIVESPICE_POWDER = 'CHINESE_FIVESPICE_POWDER', _('Chinese Five-Spice Powder') #chinese five-spice powder
	I_CHINESE_NOODLES = 'CHINESE_NOODLES', _('Chinese Noodles') #chinese noodles
	I_CHINESE_RICE_WINE = 'CHINESE_RICE_WINE', _('Chinese Rice Wine') #chinese rice wine
	I_CHINESE_SAUSAGE = 'CHINESE_SAUSAGE', _('Chinese Sausage') #chinese sausage
	I_CHIPOTLE = 'CHIPOTLE', _('Chipotle') #chipotle
	I_CHIPOTLE_CHILE = 'CHIPOTLE_CHILE', _('Chipotle Chile') #chipotle chile
	I_CHIPOTLE_CHILE_PEPPER = 'CHIPOTLE_CHILE_PEPPER', _('Chipotle Chile Pepper') #chipotle chile pepper
	I_CHIPOTLE_CHILE_POWDER = 'CHIPOTLE_CHILE_POWDER', _('Chipotle Chile Powder') #chipotle chile powder
	I_CHIPOTLE_PEPPER = 'CHIPOTLE_PEPPER', _('Chipotle Pepper') #chipotle pepper
	I_CHIPOTLE_PEPPERS = 'CHIPOTLE_PEPPERS', _('Chipotle Peppers') #chipotle peppers
	I_CHIPOTLE_POWDER = 'CHIPOTLE_POWDER', _('Chipotle Powder') #chipotle powder
	I_CHIPOTLE_SALSA = 'CHIPOTLE_SALSA', _('Chipotle Salsa') #chipotle salsa
	I_CHIPOTLES_IN_ADOBO = 'CHIPOTLES_IN_ADOBO', _('Chipotles In Adobo') #chipotles in adobo
	I_CHIPS = 'CHIPS', _('Chips') #chips
	I_CHIVES = 'CHIVES', _('Chives') #chives
	I_CHOCOLATE = 'CHOCOLATE', _('Chocolate') #chocolate
	I_CHOCOLATE_BARS = 'CHOCOLATE_BARS', _('Chocolate Bars') #chocolate bars
	I_CHOCOLATE_CAKE_MIX = 'CHOCOLATE_CAKE_MIX', _('Chocolate Cake Mix') #chocolate cake mix
	I_CHOCOLATE_CANDY = 'CHOCOLATE_CANDY', _('Chocolate Candy') #chocolate candy
	I_CHOCOLATE_CANDY_BARS = 'CHOCOLATE_CANDY_BARS', _('Chocolate Candy Bars') #chocolate candy bars
	I_CHOCOLATE_CHIPS = 'CHOCOLATE_CHIPS', _('Chocolate Chips') #chocolate chips
	I_CHOCOLATE_CHUNKS = 'CHOCOLATE_CHUNKS', _('Chocolate Chunks') #chocolate chunks
	I_CHOCOLATE_COOKIE = 'CHOCOLATE_COOKIE', _('Chocolate Cookie') #chocolate cookie
	I_CHOCOLATE_COOKIE_CRUMBS = 'CHOCOLATE_COOKIE_CRUMBS', _('Chocolate Cookie Crumbs') #chocolate cookie crumbs
	I_CHOCOLATE_CURLS = 'CHOCOLATE_CURLS', _('Chocolate Curls') #chocolate curls
	I_CHOCOLATE_DRINK = 'CHOCOLATE_DRINK', _('Chocolate Drink') #chocolate drink
	I_CHOCOLATE_FLAVORED_SYRUP = 'CHOCOLATE_FLAVORED_SYRUP', _('Chocolate Flavored Syrup') #chocolate flavored syrup
	I_CHOCOLATE_FROSTING = 'CHOCOLATE_FROSTING', _('Chocolate Frosting') #chocolate frosting
	I_CHOCOLATE_GRAHAM_CRACKERS = 'CHOCOLATE_GRAHAM_CRACKERS', _('Chocolate Graham Crackers') #chocolate graham crackers
	I_CHOCOLATE_ICE_CREAM = 'CHOCOLATE_ICE_CREAM', _('Chocolate Ice Cream') #chocolate ice cream
	I_CHOCOLATE_INSTANT_PUDDING = 'CHOCOLATE_INSTANT_PUDDING', _('Chocolate Instant Pudding') #chocolate instant pudding
	I_CHOCOLATE_LIQUEUR = 'CHOCOLATE_LIQUEUR', _('Chocolate Liqueur') #chocolate liqueur
	I_CHOCOLATE_MILK = 'CHOCOLATE_MILK', _('Chocolate Milk') #chocolate milk
	I_CHOCOLATE_MORSELS = 'CHOCOLATE_MORSELS', _('Chocolate Morsels') #chocolate morsels
	I_CHOCOLATE_POWDER = 'CHOCOLATE_POWDER', _('Chocolate Powder') #chocolate powder
	I_CHOCOLATE_SANDWICH_COOKIES = 'CHOCOLATE_SANDWICH_COOKIES', _('Chocolate Sandwich Cookies') #chocolate sandwich cookies
	I_CHOCOLATE_SAUCE = 'CHOCOLATE_SAUCE', _('Chocolate Sauce') #chocolate sauce
	I_CHOCOLATE_SHAVINGS = 'CHOCOLATE_SHAVINGS', _('Chocolate Shavings') #chocolate shavings
	I_CHOCOLATE_SPRINKLES = 'CHOCOLATE_SPRINKLES', _('Chocolate Sprinkles') #chocolate sprinkles
	I_CHOCOLATE_SYRUP = 'CHOCOLATE_SYRUP', _('Chocolate Syrup') #chocolate syrup
	I_CHOCOLATE_WAFER_COOKIES = 'CHOCOLATE_WAFER_COOKIES', _('Chocolate Wafer Cookies') #chocolate wafer cookies
	I_CHOCOLATES = 'CHOCOLATES', _('Chocolates') #chocolates
	I_CHOPPED = 'CHOPPED', _('Chopped') #chopped
	I_CHOPPED_CELERY = 'CHOPPED_CELERY', _('Chopped Celery') #chopped celery
	I_CHOPPED_CILANTRO = 'CHOPPED_CILANTRO', _('Chopped Cilantro') #chopped cilantro
	I_CHOPPED_CILANTRO_FRESH = 'CHOPPED_CILANTRO_FRESH', _('Chopped Cilantro Fresh') #chopped cilantro fresh
	I_CHOPPED_FRESH_CHIVES = 'CHOPPED_FRESH_CHIVES', _('Chopped Fresh Chives') #chopped fresh chives
	I_CHOPPED_FRESH_MINT = 'CHOPPED_FRESH_MINT', _('Chopped Fresh Mint') #chopped fresh mint
	I_CHOPPED_FRESH_SAGE = 'CHOPPED_FRESH_SAGE', _('Chopped Fresh Sage') #chopped fresh sage
	I_CHOPPED_FRESH_THYME = 'CHOPPED_FRESH_THYME', _('Chopped Fresh Thyme') #chopped fresh thyme
	I_CHOPPED_GARLIC = 'CHOPPED_GARLIC', _('Chopped Garlic') #chopped garlic
	I_CHOPPED_GREEN_BELL_PEPPER = 'CHOPPED_GREEN_BELL_PEPPER', _('Chopped Green Bell Pepper') #chopped green bell pepper
	I_CHOPPED_ONION = 'CHOPPED_ONION', _('Chopped Onion') #chopped onion
	I_CHOPPED_PARSLEY = 'CHOPPED_PARSLEY', _('Chopped Parsley') #chopped parsley
	I_CHOPPED_PECANS = 'CHOPPED_PECANS', _('Chopped Pecans') #chopped pecans
	I_CHOPPED_TOMATOES = 'CHOPPED_TOMATOES', _('Chopped Tomatoes') #chopped tomatoes
	I_CHOPPED_WALNUTS = 'CHOPPED_WALNUTS', _('Chopped Walnuts') #chopped walnuts
	I_CHORIZO = 'CHORIZO', _('Chorizo') #chorizo
	I_CHORIZO_SAUSAGE = 'CHORIZO_SAUSAGE', _('Chorizo Sausage') #chorizo sausage
	I_CHOW_MEIN_NOODLES = 'CHOW_MEIN_NOODLES', _('Chow Mein Noodles') #chow mein noodles
	I_CHRYSANTHEMUM = 'CHRYSANTHEMUM', _('Chrysanthemum') #chrysanthemum
	I_CHUCK = 'CHUCK', _('Chuck') #chuck
	I_CHUCK_ROAST = 'CHUCK_ROAST', _('Chuck Roast') #chuck roast
	I_CHUNKY = 'CHUNKY', _('Chunky') #chunky
	I_CHUNKY_PEANUT_BUTTER = 'CHUNKY_PEANUT_BUTTER', _('Chunky Peanut Butter') #chunky peanut butter
	I_CHUNKY_SALSA = 'CHUNKY_SALSA', _('Chunky Salsa') #chunky salsa
	I_CHUTNEY = 'CHUTNEY', _('Chutney') #chutney
	I_CIABATTA = 'CIABATTA', _('Ciabatta') #ciabatta
	I_CIABATTA_LOAF = 'CIABATTA_LOAF', _('Ciabatta Loaf') #ciabatta loaf
	I_CIABATTA_ROLLS = 'CIABATTA_ROLLS', _('Ciabatta Rolls') #ciabatta rolls
	I_CIDER = 'CIDER', _('Cider') #cider
	I_CIDER_VINEGAR = 'CIDER_VINEGAR', _('Cider Vinegar') #cider vinegar
	I_CILANTRO = 'CILANTRO', _('Cilantro') #cilantro
	I_CILANTRO_LEAVES = 'CILANTRO_LEAVES', _('Cilantro Leaves') #cilantro leaves
	I_CILANTRO_SPRIGS = 'CILANTRO_SPRIGS', _('Cilantro Sprigs') #cilantro sprigs
	I_CILANTRO_STEMS = 'CILANTRO_STEMS', _('Cilantro Stems') #cilantro stems
	I_CINNAMON = 'CINNAMON', _('Cinnamon') #cinnamon
	I_CINNAMON_GROUND = 'CINNAMON_GROUND', _('Cinnamon Ground') #cinnamon ground
	I_CINNAMON_POWDER = 'CINNAMON_POWDER', _('Cinnamon Powder') #cinnamon powder
	I_CINNAMON_ROLLS = 'CINNAMON_ROLLS', _('Cinnamon Rolls') #cinnamon rolls
	I_CINNAMON_STICKS = 'CINNAMON_STICKS', _('Cinnamon Sticks') #cinnamon sticks
	I_CINNAMON_SUGAR = 'CINNAMON_SUGAR', _('Cinnamon Sugar') #cinnamon sugar
	I_CIPOLLINI = 'CIPOLLINI', _('Cipollini') #cipollini
	I_CITRIC = 'CITRIC', _('Citric') #citric
	I_CITRIC_ACID = 'CITRIC_ACID', _('Citric Acid') #citric acid
	I_CITRON = 'CITRON', _('Citron') #citron
	I_CITRUS = 'CITRUS', _('Citrus') #citrus
	I_CITRUS_JUICE = 'CITRUS_JUICE', _('Citrus Juice') #citrus juice
	I_CLAM_JUICE = 'CLAM_JUICE', _('Clam Juice') #clam juice
	I_CLAMS = 'CLAMS', _('Clams') #clams
	I_CLARIFIED_BUTTER = 'CLARIFIED_BUTTER', _('Clarified Butter') #clarified butter
	I_CLAWS = 'CLAWS', _('Claws') #claws
	I_CLEAN = 'CLEAN', _('Clean') #clean
	I_CLEAR_HONEY = 'CLEAR_HONEY', _('Clear Honey') #clear honey
	I_CLEMENTINES = 'CLEMENTINES', _('Clementines') #clementines
	I_CLOVE = 'CLOVE', _('Clove') #clove
	I_CLOVE_GROUND = 'CLOVE_GROUND', _('Clove Ground') #clove ground
	I_CLOVER = 'CLOVER', _('Clover') #clover
	I_CLOVER_HONEY = 'CLOVER_HONEY', _('Clover Honey') #clover honey
	I_CLOVES = 'CLOVES', _('Cloves') #cloves
	I_CLUB_SODA = 'CLUB_SODA', _('Club Soda') #club soda
	I_COARSE_BLACK_PEPPER = 'COARSE_BLACK_PEPPER', _('Coarse Black Pepper') #coarse black pepper
	I_COARSE_GRAIN_MUSTARD = 'COARSE_GRAIN_MUSTARD', _('Coarse Grain Mustard') #coarse grain mustard
	I_COARSE_KOSHER_SALT = 'COARSE_KOSHER_SALT', _('Coarse Kosher Salt') #coarse kosher salt
	I_COARSE_SALT = 'COARSE_SALT', _('Coarse Salt') #coarse salt
	I_COARSE_SEA_SALT = 'COARSE_SEA_SALT', _('Coarse Sea Salt') #coarse sea salt
	I_COARSE_SUGAR = 'COARSE_SUGAR', _('Coarse Sugar') #coarse sugar
	I_COATING = 'COATING', _('Coating') #coating
	I_COCKLES = 'COCKLES', _('Cockles') #cockles
	I_COCKTAIL_PEANUTS = 'COCKTAIL_PEANUTS', _('Cocktail Peanuts') #cocktail peanuts
	I_COCKTAIL_SAUCE = 'COCKTAIL_SAUCE', _('Cocktail Sauce') #cocktail sauce
	I_COCOA = 'COCOA', _('Cocoa') #cocoa
	I_COCOA_BUTTER = 'COCOA_BUTTER', _('Cocoa Butter') #cocoa butter
	I_COCOA_POWDER = 'COCOA_POWDER', _('Cocoa Powder') #cocoa powder
	I_COCOA_SOLIDS = 'COCOA_SOLIDS', _('Cocoa Solids') #cocoa solids
	I_COCONUT = 'COCONUT', _('Coconut') #coconut
	I_COCONUT_CREAM = 'COCONUT_CREAM', _('Coconut Cream') #coconut cream
	I_COCONUT_EXTRACT = 'COCONUT_EXTRACT', _('Coconut Extract') #coconut extract
	I_COCONUT_FLAKES = 'COCONUT_FLAKES', _('Coconut Flakes') #coconut flakes
	I_COCONUT_FLOUR = 'COCONUT_FLOUR', _('Coconut Flour') #coconut flour
	I_COCONUT_MILK = 'COCONUT_MILK', _('Coconut Milk') #coconut milk
	I_COCONUT_OIL = 'COCONUT_OIL', _('Coconut Oil') #coconut oil
	I_COCONUT_RUM = 'COCONUT_RUM', _('Coconut Rum') #coconut rum
	I_COCONUT_SUGAR = 'COCONUT_SUGAR', _('Coconut Sugar') #coconut sugar
	I_COCONUT_WATER = 'COCONUT_WATER', _('Coconut Water') #coconut water
	I_COD = 'COD', _('Cod') #cod
	I_COD_FILLETS = 'COD_FILLETS', _('Cod Fillets') #cod fillets
	I_COD_FISH = 'COD_FISH', _('Cod Fish') #cod fish
	I_COFFEE = 'COFFEE', _('Coffee') #coffee
	I_COFFEE_BEANS = 'COFFEE_BEANS', _('Coffee Beans') #coffee beans
	I_COFFEE_CREAMER = 'COFFEE_CREAMER', _('Coffee Creamer') #coffee creamer
	I_COFFEE_GRANULES = 'COFFEE_GRANULES', _('Coffee Granules') #coffee granules
	I_COFFEE_ICE_CREAM = 'COFFEE_ICE_CREAM', _('Coffee Ice Cream') #coffee ice cream
	I_COFFEE_LIQUEUR = 'COFFEE_LIQUEUR', _('Coffee Liqueur') #coffee liqueur
	I_COFFEE_POWDER = 'COFFEE_POWDER', _('Coffee Powder') #coffee powder
	I_COGNAC = 'COGNAC', _('Cognac') #cognac
	I_COINTREAU = 'COINTREAU', _('Cointreau') #cointreau
	I_COINTREAU_LIQUEUR = 'COINTREAU_LIQUEUR', _('Cointreau Liqueur') #cointreau liqueur
	I_COKE = 'COKE', _('Coke') #coke
	I_COLA = 'COLA', _('Cola') #cola
	I_COLBY_CHEESE = 'COLBY_CHEESE', _('Colby Cheese') #colby cheese
	I_COLBY_JACK_CHEESE = 'COLBY_JACK_CHEESE', _('Colby Jack Cheese') #colby jack cheese
	I_COLD_CUT = 'COLD_CUT', _('Cold Cut') #cold cut
	I_COLD_MILK = 'COLD_MILK', _('Cold Milk') #cold milk
	I_COLD_WATER = 'COLD_WATER', _('Cold Water') #cold water
	I_COLESLAW = 'COLESLAW', _('Coleslaw') #coleslaw
	I_COLESLAW_DRESSING = 'COLESLAW_DRESSING', _('Coleslaw Dressing') #coleslaw dressing
	I_COLLARD_GREENS = 'COLLARD_GREENS', _('Collard Greens') #collard greens
	I_COLOR = 'COLOR', _('Color') #color
	I_COLORING = 'COLORING', _('Coloring') #coloring
	I_COLORS = 'COLORS', _('Colors') #colors
	I_COMBINED = 'COMBINED', _('Combined') #combined
	I_COMPRESSED_YEAST = 'COMPRESSED_YEAST', _('Compressed Yeast') #compressed yeast
	I_CONCENTRATE = 'CONCENTRATE', _('Concentrate') #concentrate
	I_CONCENTRATED = 'CONCENTRATED', _('Concentrated') #concentrated
	I_CONDENSED_CHEDDAR_CHEESE_SOUP = 'CONDENSED_CHEDDAR_CHEESE_SOUP', _('Condensed Cheddar Cheese Soup') #condensed cheddar cheese soup
	I_CONDENSED_CHICKEN_BROTH = 'CONDENSED_CHICKEN_BROTH', _('Condensed Chicken Broth') #condensed chicken broth
	I_CONDENSED_CREAM = 'CONDENSED_CREAM', _('Condensed Cream') #condensed cream
	I_CONDENSED_CREAM_OF_CELERY_SOUP = 'CONDENSED_CREAM_OF_CELERY_SOUP', _('Condensed Cream Of Celery Soup') #condensed cream of celery soup
	I_CONDENSED_CREAM_OF_CHICKEN_SOUP = 'CONDENSED_CREAM_OF_CHICKEN_SOUP', _('Condensed Cream Of Chicken Soup') #condensed cream of chicken soup
	I_CONDENSED_CREAM_OF_MUSHROOM_SOUP = 'CONDENSED_CREAM_OF_MUSHROOM_SOUP', _('Condensed Cream Of Mushroom Soup') #condensed cream of mushroom soup
	I_CONDENSED_CREAM_OF_POTATO_SOUP = 'CONDENSED_CREAM_OF_POTATO_SOUP', _('Condensed Cream Of Potato Soup') #condensed cream of potato soup
	I_CONDENSED_FRENCH_ONION_SOUP = 'CONDENSED_FRENCH_ONION_SOUP', _('Condensed French Onion Soup') #condensed french onion soup
	I_CONDENSED_GOLDEN_MUSHROOM_SOUP = 'CONDENSED_GOLDEN_MUSHROOM_SOUP', _('Condensed Golden Mushroom Soup') #condensed golden mushroom soup
	I_CONDENSED_MILK = 'CONDENSED_MILK', _('Condensed Milk') #condensed milk
	I_CONDENSED_TOMATO_SOUP = 'CONDENSED_TOMATO_SOUP', _('Condensed Tomato Soup') #condensed tomato soup
	I_CONDIMENTS = 'CONDIMENTS', _('Condiments') #condiments
	I_CONES = 'CONES', _('Cones') #cones
	I_CONFECTIONERS_SUGAR = 'CONFECTIONERS_SUGAR', _('Confectioners Sugar') #confectioners sugar
	I_CONFIT = 'CONFIT', _('Confit') #confit
	I_COOKED_BACON = 'COOKED_BACON', _('Cooked Bacon') #cooked bacon
	I_COOKED_BEEF = 'COOKED_BEEF', _('Cooked Beef') #cooked beef
	I_COOKED_BLACK_BEANS = 'COOKED_BLACK_BEANS', _('Cooked Black Beans') #cooked black beans
	I_COOKED_BROWN_RICE = 'COOKED_BROWN_RICE', _('Cooked Brown Rice') #cooked brown rice
	I_COOKED_CHICKEN = 'COOKED_CHICKEN', _('Cooked Chicken') #cooked chicken
	I_COOKED_CHICKEN_BREASTS = 'COOKED_CHICKEN_BREASTS', _('Cooked Chicken Breasts') #cooked chicken breasts
	I_COOKED_CHICKPEAS = 'COOKED_CHICKPEAS', _('Cooked Chickpeas') #cooked chickpeas
	I_COOKED_CORNED_BEEF = 'COOKED_CORNED_BEEF', _('Cooked Corned Beef') #cooked corned beef
	I_COOKED_HAM = 'COOKED_HAM', _('Cooked Ham') #cooked ham
	I_COOKED_MACARONI = 'COOKED_MACARONI', _('Cooked Macaroni') #cooked macaroni
	I_COOKED_MEATBALLS = 'COOKED_MEATBALLS', _('Cooked Meatballs') #cooked meatballs
	I_COOKED_PASTA = 'COOKED_PASTA', _('Cooked Pasta') #cooked pasta
	I_COOKED_POTATOES = 'COOKED_POTATOES', _('Cooked Potatoes') #cooked potatoes
	I_COOKED_PUMPKIN = 'COOKED_PUMPKIN', _('Cooked Pumpkin') #cooked pumpkin
	I_COOKED_QUINOA = 'COOKED_QUINOA', _('Cooked Quinoa') #cooked quinoa
	I_COOKED_RICE = 'COOKED_RICE', _('Cooked Rice') #cooked rice
	I_COOKED_SHRIMP = 'COOKED_SHRIMP', _('Cooked Shrimp') #cooked shrimp
	I_COOKED_TURKEY = 'COOKED_TURKEY', _('Cooked Turkey') #cooked turkey
	I_COOKED_WHITE_RICE = 'COOKED_WHITE_RICE', _('Cooked White Rice') #cooked white rice
	I_COOKIE = 'COOKIE', _('Cookie') #cookie
	I_COOKIE_CRUMBS = 'COOKIE_CRUMBS', _('Cookie Crumbs') #cookie crumbs
	I_COOKIES = 'COOKIES', _('Cookies') #cookies
	I_COOKING_APPLES = 'COOKING_APPLES', _('Cooking Apples') #cooking apples
	I_COOKING_LIQUID = 'COOKING_LIQUID', _('Cooking Liquid') #cooking liquid
	I_COOKING_OIL = 'COOKING_OIL', _('Cooking Oil') #cooking oil
	I_COOKING_SHERRY = 'COOKING_SHERRY', _('Cooking Sherry') #cooking sherry
	I_COOKING_SPRAY = 'COOKING_SPRAY', _('Cooking Spray') #cooking spray
	I_COOKING_WINE = 'COOKING_WINE', _('Cooking Wine') #cooking wine
	I_COOL_WHIP = 'COOL_WHIP', _('Cool Whip') #cool whip
	I_CORIANDER = 'CORIANDER', _('Coriander') #coriander
	I_CORIANDER_POWDER = 'CORIANDER_POWDER', _('Coriander Powder') #coriander powder
	I_CORIANDER_SEEDS = 'CORIANDER_SEEDS', _('Coriander Seeds') #coriander seeds
	I_CORN = 'CORN', _('Corn') #corn
	I_CORN_BREAD = 'CORN_BREAD', _('Corn Bread') #corn bread
	I_CORN_CEREAL = 'CORN_CEREAL', _('Corn Cereal') #corn cereal
	I_CORN_CHIPS = 'CORN_CHIPS', _('Corn Chips') #corn chips
	I_CORN_FLAKES = 'CORN_FLAKES', _('Corn Flakes') #corn flakes
	I_CORN_FLAKES_CEREAL = 'CORN_FLAKES_CEREAL', _('Corn Flakes Cereal') #corn flakes cereal
	I_CORN_FLOUR = 'CORN_FLOUR', _('Corn Flour') #corn flour
	I_CORN_GRITS = 'CORN_GRITS', _('Corn Grits') #corn grits
	I_CORN_HUSKS = 'CORN_HUSKS', _('Corn Husks') #corn husks
	I_CORN_KERNELS = 'CORN_KERNELS', _('Corn Kernels') #corn kernels
	I_CORN_MEAL = 'CORN_MEAL', _('Corn Meal') #corn meal
	I_CORN_MUFFIN = 'CORN_MUFFIN', _('Corn Muffin') #corn muffin
	I_CORN_OIL = 'CORN_OIL', _('Corn Oil') #corn oil
	I_CORN_STARCH = 'CORN_STARCH', _('Corn Starch') #corn starch
	I_CORN_SYRUP = 'CORN_SYRUP', _('Corn Syrup') #corn syrup
	I_CORN_TORTILLA_CHIPS = 'CORN_TORTILLA_CHIPS', _('Corn Tortilla Chips') #corn tortilla chips
	I_CORN_TORTILLAS = 'CORN_TORTILLAS', _('Corn Tortillas') #corn tortillas
	I_CORNBREAD_MIX = 'CORNBREAD_MIX', _('Cornbread Mix') #cornbread mix
	I_CORNBREAD_STUFFING_MIX = 'CORNBREAD_STUFFING_MIX', _('Cornbread Stuffing Mix') #cornbread stuffing mix
	I_CORNED_BEEF = 'CORNED_BEEF', _('Corned Beef') #corned beef
	I_CORNFLOUR = 'CORNFLOUR', _('Cornflour') #cornflour
	I_CORNICHONS = 'CORNICHONS', _('Cornichons') #cornichons
	I_CORNISH_GAME_HENS = 'CORNISH_GAME_HENS', _('Cornish Game Hens') #cornish game hens
	I_CORNISH_HENS = 'CORNISH_HENS', _('Cornish Hens') #cornish hens
	I_CORNMEAL = 'CORNMEAL', _('Cornmeal') #cornmeal
	I_CORNSTARCH = 'CORNSTARCH', _('Cornstarch') #cornstarch
	I_COTIJA = 'COTIJA', _('Cotija') #cotija
	I_COTTAGE_CHEESE = 'COTTAGE_CHEESE', _('Cottage Cheese') #cottage cheese
	I_COUNTRY_BREAD = 'COUNTRY_BREAD', _('Country Bread') #country bread
	I_COUNTRY_HAM = 'COUNTRY_HAM', _('Country Ham') #country ham
	I_COUSCOUS = 'COUSCOUS', _('Couscous') #couscous
	I_CRAB = 'CRAB', _('Crab') #crab
	I_CRAB_BOIL = 'CRAB_BOIL', _('Crab Boil') #crab boil
	I_CRAB_MEAT = 'CRAB_MEAT', _('Crab Meat') #crab meat
	I_CRAB_STICKS = 'CRAB_STICKS', _('Crab Sticks') #crab sticks
	I_CRABMEAT = 'CRABMEAT', _('Crabmeat') #crabmeat
	I_CRACKED_BLACK_PEPPER = 'CRACKED_BLACK_PEPPER', _('Cracked Black Pepper') #cracked black pepper
	I_CRACKED_PEPPER = 'CRACKED_PEPPER', _('Cracked Pepper') #cracked pepper
	I_CRACKED_WHEAT = 'CRACKED_WHEAT', _('Cracked Wheat') #cracked wheat
	I_CRACKER_CRUMBS = 'CRACKER_CRUMBS', _('Cracker Crumbs') #cracker crumbs
	I_CRACKERS = 'CRACKERS', _('Crackers') #crackers
	I_CRANBERRIES = 'CRANBERRIES', _('Cranberries') #cranberries
	I_CRANBERRY = 'CRANBERRY', _('Cranberry') #cranberry
	I_CRANBERRY_BEANS = 'CRANBERRY_BEANS', _('Cranberry Beans') #cranberry beans
	I_CRANBERRY_JUICE = 'CRANBERRY_JUICE', _('Cranberry Juice') #cranberry juice
	I_CRANBERRY_JUICE_COCKTAIL = 'CRANBERRY_JUICE_COCKTAIL', _('Cranberry Juice Cocktail') #cranberry juice cocktail
	I_CRANBERRY_SAUCE = 'CRANBERRY_SAUCE', _('Cranberry Sauce') #cranberry sauce
	I_CRAWFISH = 'CRAWFISH', _('Crawfish') #crawfish
	I_CREAM = 'CREAM', _('Cream') #cream
	I_CREAM_BUTTER = 'CREAM_BUTTER', _('Cream Butter') #cream butter
	I_CREAM_CHEESE = 'CREAM_CHEESE', _('Cream Cheese') #cream cheese
	I_CREAM_CHEESE_FROSTING = 'CREAM_CHEESE_FROSTING', _('Cream Cheese Frosting') #cream cheese frosting
	I_CREAM_CHEESE_SPREAD = 'CREAM_CHEESE_SPREAD', _('Cream Cheese Spread') #cream cheese spread
	I_CREAM_OF_CELERY_SOUP = 'CREAM_OF_CELERY_SOUP', _('Cream Of Celery Soup') #cream of celery soup
	I_CREAM_OF_CHICKEN_SOUP = 'CREAM_OF_CHICKEN_SOUP', _('Cream Of Chicken Soup') #cream of chicken soup
	I_CREAM_OF_COCONUT = 'CREAM_OF_COCONUT', _('Cream Of Coconut') #cream of coconut
	I_CREAM_OF_MUSHROOM_SOUP = 'CREAM_OF_MUSHROOM_SOUP', _('Cream Of Mushroom Soup') #cream of mushroom soup
	I_CREAM_OF_POTATO_SOUP = 'CREAM_OF_POTATO_SOUP', _('Cream Of Potato Soup') #cream of potato soup
	I_CREAM_OF_TARTAR = 'CREAM_OF_TARTAR', _('Cream Of Tartar') #cream of tartar
	I_CREAM_SHERRY = 'CREAM_SHERRY', _('Cream Sherry') #cream sherry
	I_CREAM_STYLE_CORN = 'CREAM_STYLE_CORN', _('Cream Style Corn') #cream style corn
	I_CREAMER = 'CREAMER', _('Creamer') #creamer
	I_CREAMY_PEANUT_BUTTER = 'CREAMY_PEANUT_BUTTER', _('Creamy Peanut Butter') #creamy peanut butter
	I_CREMA = 'CREMA', _('Crema') #crema
	I_CREME_DE_CACAO = 'CREME_DE_CACAO', _('Creme De Cacao') #creme de cacao
	I_CREME_FRAICHE = 'CREME_FRAICHE', _('Creme Fraiche') #creme fraiche
	I_CREMINI = 'CREMINI', _('Cremini') #cremini
	I_CREMINI_MUSHROOMS = 'CREMINI_MUSHROOMS', _('Cremini Mushrooms') #cremini mushrooms
	I_CREOLE_MUSTARD = 'CREOLE_MUSTARD', _('Creole Mustard') #creole mustard
	I_CREOLE_SEASONING = 'CREOLE_SEASONING', _('Creole Seasoning') #creole seasoning
	I_CREPES = 'CREPES', _('Crepes') #crepes
	I_CRESCENT_DINNER_ROLLS = 'CRESCENT_DINNER_ROLLS', _('Crescent Dinner Rolls') #crescent dinner rolls
	I_CRESCENT_ROLLS = 'CRESCENT_ROLLS', _('Crescent Rolls') #crescent rolls
	I_CRIMINI_MUSHROOMS = 'CRIMINI_MUSHROOMS', _('Crimini Mushrooms') #crimini mushrooms
	I_CRISCO = 'CRISCO', _('Crisco') #crisco
	I_CRISCO_PURE_VEGETABLE_OIL = 'CRISCO_PURE_VEGETABLE_OIL', _('Crisco Pure Vegetable Oil') #crisco pure vegetable oil
	I_CRISCO_SHORTENING = 'CRISCO_SHORTENING', _('Crisco Shortening') #crisco shortening
	I_CRISP_RICE = 'CRISP_RICE', _('Crisp Rice') #crisp rice
	I_CRISPY_RICE_CEREAL = 'CRISPY_RICE_CEREAL', _('Crispy Rice Cereal') #crispy rice cereal
	I_CROISSANTS = 'CROISSANTS', _('Croissants') #croissants
	I_CROSSWISE = 'CROSSWISE', _('Crosswise') #crosswise
	I_CROSTINI = 'CROSTINI', _('Crostini') #crostini
	I_CROUTONS = 'CROUTONS', _('Croutons') #croutons
	I_CRUMB_CRUST = 'CRUMB_CRUST', _('Crumb Crust') #crumb crust
	I_CRUMBLED_BLUE_CHEESE = 'CRUMBLED_BLUE_CHEESE', _('Crumbled Blue Cheese') #crumbled blue cheese
	I_CRUMBLED_CORNBREAD = 'CRUMBLED_CORNBREAD', _('Crumbled Cornbread') #crumbled cornbread
	I_CRUMBLED_GOAT_CHEESE = 'CRUMBLED_GOAT_CHEESE', _('Crumbled Goat Cheese') #crumbled goat cheese
	I_CRUMBLED_GORGONZOLA = 'CRUMBLED_GORGONZOLA', _('Crumbled Gorgonzola') #crumbled gorgonzola
	I_CRUMBLES = 'CRUMBLES', _('Crumbles') #crumbles
	I_CRUMBS = 'CRUMBS', _('Crumbs') #crumbs
	I_CRUSHED_RED_PEPPER = 'CRUSHED_RED_PEPPER', _('Crushed Red Pepper') #crushed red pepper
	I_CRUSHED_RED_PEPPER_FLAKES = 'CRUSHED_RED_PEPPER_FLAKES', _('Crushed Red Pepper Flakes') #crushed red pepper flakes
	I_CRUSHED_TOMATOES = 'CRUSHED_TOMATOES', _('Crushed Tomatoes') #crushed tomatoes
	I_CRUST = 'CRUST', _('Crust') #crust
	I_CRUSTY_BREAD = 'CRUSTY_BREAD', _('Crusty Bread') #crusty bread
	I_CRUSTY_ROLLS = 'CRUSTY_ROLLS', _('Crusty Rolls') #crusty rolls
	I_CRYSTAL_HOT_SAUCE = 'CRYSTAL_HOT_SAUCE', _('Crystal Hot Sauce') #crystal hot sauce
	I_CRYSTALLIZED_GINGER = 'CRYSTALLIZED_GINGER', _('Crystallized Ginger') #crystallized ginger
	I_CUBED_BEEF = 'CUBED_BEEF', _('Cubed Beef') #cubed beef
	I_CUBED_BREAD = 'CUBED_BREAD', _('Cubed Bread') #cubed bread
	I_CUBED_HAM = 'CUBED_HAM', _('Cubed Ham') #cubed ham
	I_CUBED_POTATOES = 'CUBED_POTATOES', _('Cubed Potatoes') #cubed potatoes
	I_CUCUMBER = 'CUCUMBER', _('Cucumber') #cucumber
	I_CUCUMBERS = 'CUCUMBERS', _('Cucumbers') #cucumbers
	I_CUMIN = 'CUMIN', _('Cumin') #cumin
	I_CUMIN_GROUND = 'CUMIN_GROUND', _('Cumin Ground') #cumin ground
	I_CUMIN_POWDER = 'CUMIN_POWDER', _('Cumin Powder') #cumin powder
	I_CUMIN_SEED = 'CUMIN_SEED', _('Cumin Seed') #cumin seed
	I_CUPCAKES = 'CUPCAKES', _('Cupcakes') #cupcakes
	I_CURDS = 'CURDS', _('Curds') #curds
	I_CURLY_ENDIVE = 'CURLY_ENDIVE', _('Curly Endive') #curly endive
	I_CURLY_KALE = 'CURLY_KALE', _('Curly Kale') #curly kale
	I_CURRANT = 'CURRANT', _('Currant') #currant
	I_CURRANT_JELLY = 'CURRANT_JELLY', _('Currant Jelly') #currant jelly
	I_CURRANTS = 'CURRANTS', _('Currants') #currants
	I_CURRY = 'CURRY', _('Curry') #curry
	I_CURRY_LEAF = 'CURRY_LEAF', _('Curry Leaf') #curry leaf
	I_CURRY_LEAVES = 'CURRY_LEAVES', _('Curry Leaves') #curry leaves
	I_CURRY_PASTE = 'CURRY_PASTE', _('Curry Paste') #curry paste
	I_CURRY_POWDER = 'CURRY_POWDER', _('Curry Powder') #curry powder
	I_CUSTARD = 'CUSTARD', _('Custard') #custard
	I_CUSTARD_POWDER = 'CUSTARD_POWDER', _('Custard Powder') #custard powder
	I_CUT_UP_CHICKEN = 'CUT_UP_CHICKEN', _('Cut Up Chicken') #cut up chicken
	I_CUTLET = 'CUTLET', _('Cutlet') #cutlet
	I_DAIKON = 'DAIKON', _('Daikon') #daikon
	I_DAIRY = 'DAIRY', _('Dairy') #dairy
	I_DAL = 'DAL', _('Dal') #dal
	I_DANDELION = 'DANDELION', _('Dandelion') #dandelion
	I_DANDELION_GREENS = 'DANDELION_GREENS', _('Dandelion Greens') #dandelion greens
	I_DARK_BEER = 'DARK_BEER', _('Dark Beer') #dark beer
	I_DARK_BROWN_SUGAR = 'DARK_BROWN_SUGAR', _('Dark Brown Sugar') #dark brown sugar
	I_DARK_CHOCOLATE = 'DARK_CHOCOLATE', _('Dark Chocolate') #dark chocolate
	I_DARK_CHOCOLATE_CHIPS = 'DARK_CHOCOLATE_CHIPS', _('Dark Chocolate Chips') #dark chocolate chips
	I_DARK_CORN_SYRUP = 'DARK_CORN_SYRUP', _('Dark Corn Syrup') #dark corn syrup
	I_DARK_MEAT = 'DARK_MEAT', _('Dark Meat') #dark meat
	I_DARK_MOLASSES = 'DARK_MOLASSES', _('Dark Molasses') #dark molasses
	I_DARK_RAISINS = 'DARK_RAISINS', _('Dark Raisins') #dark raisins
	I_DARK_RED_KIDNEY_BEANS = 'DARK_RED_KIDNEY_BEANS', _('Dark Red Kidney Beans') #dark red kidney beans
	I_DARK_RUM = 'DARK_RUM', _('Dark Rum') #dark rum
	I_DARK_SESAME_OIL = 'DARK_SESAME_OIL', _('Dark Sesame Oil') #dark sesame oil
	I_DARK_SOY = 'DARK_SOY', _('Dark Soy') #dark soy
	I_DARK_SOY_SAUCE = 'DARK_SOY_SAUCE', _('Dark Soy Sauce') #dark soy sauce
	I_DASHI = 'DASHI', _('Dashi') #dashi
	I_DASHI_POWDER = 'DASHI_POWDER', _('Dashi Powder') #dashi powder
	I_DATES = 'DATES', _('Dates') #dates
	I_DAY_OLD_BREAD = 'DAY_OLD_BREAD', _('Day Old Bread') #day old bread
	I_DEEP_DISH_PIE_CRUST = 'DEEP_DISH_PIE_CRUST', _('Deep Dish Pie Crust') #deep dish pie crust
	I_DEHYDRATED = 'DEHYDRATED', _('Dehydrated') #dehydrated
	I_DEHYDRATED_ONION = 'DEHYDRATED_ONION', _('Dehydrated Onion') #dehydrated onion
	I_DELI_HAM = 'DELI_HAM', _('Deli Ham') #deli ham
	I_DEMERARA_SUGAR = 'DEMERARA_SUGAR', _('Demerara Sugar') #demerara sugar
	I_DESICCATED_COCONUT = 'DESICCATED_COCONUT', _('Desiccated Coconut') #desiccated coconut
	I_DESSERT_WINE = 'DESSERT_WINE', _('Dessert Wine') #dessert wine
	I_DESSICATED_COCONUT = 'DESSICATED_COCONUT', _('Dessicated Coconut') #dessicated coconut
	I_DEVEINED_SHRIMP = 'DEVEINED_SHRIMP', _('Deveined Shrimp') #deveined shrimp
	I_DICED_ONIONS = 'DICED_ONIONS', _('Diced Onions') #diced onions
	I_DICED_TOMATOES = 'DICED_TOMATOES', _('Diced Tomatoes') #diced tomatoes
	I_DIJON = 'DIJON', _('Dijon') #dijon
	I_DIJON_MUSTARD = 'DIJON_MUSTARD', _('Dijon Mustard') #dijon mustard
	I_DILL = 'DILL', _('Dill') #dill
	I_DILL_PICKLE = 'DILL_PICKLE', _('Dill Pickle') #dill pickle
	I_DILL_PICKLES = 'DILL_PICKLES', _('Dill Pickles') #dill pickles
	I_DILL_SEED = 'DILL_SEED', _('Dill Seed') #dill seed
	I_DILL_WEED = 'DILL_WEED', _('Dill Weed') #dill weed
	I_DINNER_ROLLS = 'DINNER_ROLLS', _('Dinner Rolls') #dinner rolls
	I_DIPPING_CHOCOLATE = 'DIPPING_CHOCOLATE', _('Dipping Chocolate') #dipping chocolate
	I_DISTILLED = 'DISTILLED', _('Distilled') #distilled
	I_DISTILLED_VINEGAR = 'DISTILLED_VINEGAR', _('Distilled Vinegar') #distilled vinegar
	I_DISTILLED_WATER = 'DISTILLED_WATER', _('Distilled Water') #distilled water
	I_DISTILLED_WHITE_VINEGAR = 'DISTILLED_WHITE_VINEGAR', _('Distilled White Vinegar') #distilled white vinegar
	I_DITALINI = 'DITALINI', _('Ditalini') #ditalini
	I_DITALINI_PASTA = 'DITALINI_PASTA', _('Ditalini Pasta') #ditalini pasta
	I_DORITOS = 'DORITOS', _('Doritos') #doritos
	I_DOUBANJIANG = 'DOUBANJIANG', _('Doubanjiang') #doubanjiang
	I_DOUBLE_CREAM = 'DOUBLE_CREAM', _('Double Cream') #double cream
	I_DOUBLE_CRUST = 'DOUBLE_CRUST', _('Double Crust') #double crust
	I_DOUBLE_CRUST_PIE = 'DOUBLE_CRUST_PIE', _('Double Crust Pie') #double crust pie
	I_DOUGH = 'DOUGH', _('Dough') #dough
	I_DREAM_WHIP = 'DREAM_WHIP', _('Dream Whip') #dream whip
	I_DRESSING = 'DRESSING', _('Dressing') #dressing
	I_DRIED_APPLE = 'DRIED_APPLE', _('Dried Apple') #dried apple
	I_DRIED_APPLES = 'DRIED_APPLES', _('Dried Apples') #dried apples
	I_DRIED_APRICOT = 'DRIED_APRICOT', _('Dried Apricot') #dried apricot
	I_DRIED_APRICOTS = 'DRIED_APRICOTS', _('Dried Apricots') #dried apricots
	I_DRIED_BASIL = 'DRIED_BASIL', _('Dried Basil') #dried basil
	I_DRIED_BEANS = 'DRIED_BEANS', _('Dried Beans') #dried beans
	I_DRIED_BEEF = 'DRIED_BEEF', _('Dried Beef') #dried beef
	I_DRIED_BLACK_BEANS = 'DRIED_BLACK_BEANS', _('Dried Black Beans') #dried black beans
	I_DRIED_BLUEBERRIES = 'DRIED_BLUEBERRIES', _('Dried Blueberries') #dried blueberries
	I_DRIED_CELERY = 'DRIED_CELERY', _('Dried Celery') #dried celery
	I_DRIED_CHERRIES = 'DRIED_CHERRIES', _('Dried Cherries') #dried cherries
	I_DRIED_CHICKPEAS = 'DRIED_CHICKPEAS', _('Dried Chickpeas') #dried chickpeas
	I_DRIED_CHILES = 'DRIED_CHILES', _('Dried Chiles') #dried chiles
	I_DRIED_CHILI = 'DRIED_CHILI', _('Dried Chili') #dried chili
	I_DRIED_CHILI_PEPPER = 'DRIED_CHILI_PEPPER', _('Dried Chili Pepper') #dried chili pepper
	I_DRIED_CHIVES = 'DRIED_CHIVES', _('Dried Chives') #dried chives
	I_DRIED_COCONUT = 'DRIED_COCONUT', _('Dried Coconut') #dried coconut
	I_DRIED_CORN = 'DRIED_CORN', _('Dried Corn') #dried corn
	I_DRIED_CRANBERRIES = 'DRIED_CRANBERRIES', _('Dried Cranberries') #dried cranberries
	I_DRIED_CURRANTS = 'DRIED_CURRANTS', _('Dried Currants') #dried currants
	I_DRIED_DATES = 'DRIED_DATES', _('Dried Dates') #dried dates
	I_DRIED_DILL = 'DRIED_DILL', _('Dried Dill') #dried dill
	I_DRIED_DILL_WEED = 'DRIED_DILL_WEED', _('Dried Dill Weed') #dried dill weed
	I_DRIED_EGG = 'DRIED_EGG', _('Dried Egg') #dried egg
	I_DRIED_FETTUCCINE = 'DRIED_FETTUCCINE', _('Dried Fettuccine') #dried fettuccine
	I_DRIED_FIG = 'DRIED_FIG', _('Dried Fig') #dried fig
	I_DRIED_FIGS = 'DRIED_FIGS', _('Dried Figs') #dried figs
	I_DRIED_FRUIT = 'DRIED_FRUIT', _('Dried Fruit') #dried fruit
	I_DRIED_GARLIC = 'DRIED_GARLIC', _('Dried Garlic') #dried garlic
	I_DRIED_HERBS = 'DRIED_HERBS', _('Dried Herbs') #dried herbs
	I_DRIED_KIDNEY_BEANS = 'DRIED_KIDNEY_BEANS', _('Dried Kidney Beans') #dried kidney beans
	I_DRIED_LAVENDER = 'DRIED_LAVENDER', _('Dried Lavender') #dried lavender
	I_DRIED_LAVENDER_BLOSSOMS = 'DRIED_LAVENDER_BLOSSOMS', _('Dried Lavender Blossoms') #dried lavender blossoms
	I_DRIED_LENTILS = 'DRIED_LENTILS', _('Dried Lentils') #dried lentils
	I_DRIED_MINCED_GARLIC = 'DRIED_MINCED_GARLIC', _('Dried Minced Garlic') #dried minced garlic
	I_DRIED_MINCED_ONION = 'DRIED_MINCED_ONION', _('Dried Minced Onion') #dried minced onion
	I_DRIED_MUSHROOMS = 'DRIED_MUSHROOMS', _('Dried Mushrooms') #dried mushrooms
	I_DRIED_NAVY_BEANS = 'DRIED_NAVY_BEANS', _('Dried Navy Beans') #dried navy beans
	I_DRIED_ONION = 'DRIED_ONION', _('Dried Onion') #dried onion
	I_DRIED_ONION_FLAKES = 'DRIED_ONION_FLAKES', _('Dried Onion Flakes') #dried onion flakes
	I_DRIED_ORANGE_PEEL = 'DRIED_ORANGE_PEEL', _('Dried Orange Peel') #dried orange peel
	I_DRIED_OREGANO = 'DRIED_OREGANO', _('Dried Oregano') #dried oregano
	I_DRIED_PARSLEY = 'DRIED_PARSLEY', _('Dried Parsley') #dried parsley
	I_DRIED_PARSLEY_FLAKES = 'DRIED_PARSLEY_FLAKES', _('Dried Parsley Flakes') #dried parsley flakes
	I_DRIED_PEARS = 'DRIED_PEARS', _('Dried Pears') #dried pears
	I_DRIED_PINEAPPLE = 'DRIED_PINEAPPLE', _('Dried Pineapple') #dried pineapple
	I_DRIED_PINTO_BEANS = 'DRIED_PINTO_BEANS', _('Dried Pinto Beans') #dried pinto beans
	I_DRIED_PORCINI_MUSHROOMS = 'DRIED_PORCINI_MUSHROOMS', _('Dried Porcini Mushrooms') #dried porcini mushrooms
	I_DRIED_RED = 'DRIED_RED', _('Dried Red') #dried red
	I_DRIED_RED_CHILE_PEPPERS = 'DRIED_RED_CHILE_PEPPERS', _('Dried Red Chile Peppers') #dried red chile peppers
	I_DRIED_RED_PEPPER = 'DRIED_RED_PEPPER', _('Dried Red Pepper') #dried red pepper
	I_DRIED_RICE = 'DRIED_RICE', _('Dried Rice') #dried rice
	I_DRIED_RICE_NOODLES = 'DRIED_RICE_NOODLES', _('Dried Rice Noodles') #dried rice noodles
	I_DRIED_ROSEMARY = 'DRIED_ROSEMARY', _('Dried Rosemary') #dried rosemary
	I_DRIED_SAGE = 'DRIED_SAGE', _('Dried Sage') #dried sage
	I_DRIED_SHIITAKE_MUSHROOMS = 'DRIED_SHIITAKE_MUSHROOMS', _('Dried Shiitake Mushrooms') #dried shiitake mushrooms
	I_DRIED_SHRIMP = 'DRIED_SHRIMP', _('Dried Shrimp') #dried shrimp
	I_DRIED_SPLIT_PEAS = 'DRIED_SPLIT_PEAS', _('Dried Split Peas') #dried split peas
	I_DRIED_SWEETENED_CRANBERRIES = 'DRIED_SWEETENED_CRANBERRIES', _('Dried Sweetened Cranberries') #dried sweetened cranberries
	I_DRIED_TARRAGON_LEAVES = 'DRIED_TARRAGON_LEAVES', _('Dried Tarragon Leaves') #dried tarragon leaves
	I_DRIED_TART_CHERRIES = 'DRIED_TART_CHERRIES', _('Dried Tart Cherries') #dried tart cherries
	I_DRIED_THYME = 'DRIED_THYME', _('Dried Thyme') #dried thyme
	I_DRIED_TOMATO = 'DRIED_TOMATO', _('Dried Tomato') #dried tomato
	I_DRIED_TOMATOES = 'DRIED_TOMATOES', _('Dried Tomatoes') #dried tomatoes
	I_DRIED_YEAST = 'DRIED_YEAST', _('Dried Yeast') #dried yeast
	I_DRIPPINGS = 'DRIPPINGS', _('Drippings') #drippings
	I_DRY = 'DRY', _('Dry') #dry
	I_DRY_BREAD_CRUMBS = 'DRY_BREAD_CRUMBS', _('Dry Bread Crumbs') #dry bread crumbs
	I_DRY_FETTUCCINE = 'DRY_FETTUCCINE', _('Dry Fettuccine') #dry fettuccine
	I_DRY_MILK = 'DRY_MILK', _('Dry Milk') #dry milk
	I_DRY_MILK_POWDER = 'DRY_MILK_POWDER', _('Dry Milk Powder') #dry milk powder
	I_DRY_MUSTARD = 'DRY_MUSTARD', _('Dry Mustard') #dry mustard
	I_DRY_PASTA = 'DRY_PASTA', _('Dry Pasta') #dry pasta
	I_DRY_RED_WINE = 'DRY_RED_WINE', _('Dry Red Wine') #dry red wine
	I_DRY_ROASTED_PEANUTS = 'DRY_ROASTED_PEANUTS', _('Dry Roasted Peanuts') #dry roasted peanuts
	I_DRY_RUB = 'DRY_RUB', _('Dry Rub') #dry rub
	I_DRY_SHERRY = 'DRY_SHERRY', _('Dry Sherry') #dry sherry
	I_DRY_VERMOUTH = 'DRY_VERMOUTH', _('Dry Vermouth') #dry vermouth
	I_DRY_WHITE_WINE = 'DRY_WHITE_WINE', _('Dry White Wine') #dry white wine
	I_DRY_YEAST = 'DRY_YEAST', _('Dry Yeast') #dry yeast
	I_DUCK = 'DUCK', _('Duck') #duck
	I_DUCK_BREAST_HALVES = 'DUCK_BREAST_HALVES', _('Duck Breast Halves') #duck breast halves
	I_DUCK_BREASTS = 'DUCK_BREASTS', _('Duck Breasts') #duck breasts
	I_DUCK_FAT = 'DUCK_FAT', _('Duck Fat') #duck fat
	I_DUCK_SAUCE = 'DUCK_SAUCE', _('Duck Sauce') #duck sauce
	I_DULCE_DE_LECHE = 'DULCE_DE_LECHE', _('Dulce De Leche') #dulce de leche
	I_DUMPLINGS = 'DUMPLINGS', _('Dumplings') #dumplings
	I_EARL_GREY_TEA = 'EARL_GREY_TEA', _('Earl Grey Tea') #earl grey tea
	I_EARL_GREY_TEA_BAGS = 'EARL_GREY_TEA_BAGS', _('Earl Grey Tea Bags') #earl grey tea bags
	I_EARS = 'EARS', _('Ears') #ears
	I_EARTH_BALANCE = 'EARTH_BALANCE', _('Earth Balance') #earth balance
	I_EASY = 'EASY', _('Easy') #easy
	I_EDAMAME = 'EDAMAME', _('Edamame') #edamame
	I_EGG = 'EGG', _('Egg') #egg
	I_EGG_BEATERS = 'EGG_BEATERS', _('Egg Beaters') #egg beaters
	I_EGG_BREAD = 'EGG_BREAD', _('Egg Bread') #egg bread
	I_EGG_NOODLES = 'EGG_NOODLES', _('Egg Noodles') #egg noodles
	I_EGG_PRODUCT = 'EGG_PRODUCT', _('Egg Product') #egg product
	I_EGG_ROLL_WRAPPERS = 'EGG_ROLL_WRAPPERS', _('Egg Roll Wrappers') #egg roll wrappers
	I_EGG_SUBSTITUTE = 'EGG_SUBSTITUTE', _('Egg Substitute') #egg substitute
	I_EGG_WHITE = 'EGG_WHITE', _('Egg White') #egg white
	I_EGG_WHITES = 'EGG_WHITES', _('Egg Whites') #egg whites
	I_EGG_YOLK = 'EGG_YOLK', _('Egg Yolk') #egg yolk
	I_EGG_YOLKS = 'EGG_YOLKS', _('Egg Yolks') #egg yolks
	I_EGGNOG = 'EGGNOG', _('Eggnog') #eggnog
	I_EGGPLANT = 'EGGPLANT', _('Eggplant') #eggplant
	I_EGGPLANTS = 'EGGPLANTS', _('Eggplants') #eggplants
	I_EGGS = 'EGGS', _('Eggs') #eggs
	I_ELBOW_MACARONI = 'ELBOW_MACARONI', _('Elbow Macaroni') #elbow macaroni
	I_EMERILS_ESSENCE = 'EMERILS_ESSENCE', _('Emerils Essence') #emerils essence
	I_EMERILS_ORIGINAL_ESSENCE = 'EMERILS_ORIGINAL_ESSENCE', _('Emerils Original Essence') #emerils original essence
	I_ENCHILADA_SAUCE = 'ENCHILADA_SAUCE', _('Enchilada Sauce') #enchilada sauce
	I_ENDIVE = 'ENDIVE', _('Endive') #endive
	I_ENGLISH_CUCUMBER = 'ENGLISH_CUCUMBER', _('English Cucumber') #english cucumber
	I_ENGLISH_MUFFINS = 'ENGLISH_MUFFINS', _('English Muffins') #english muffins
	I_ENGLISH_MUSTARD = 'ENGLISH_MUSTARD', _('English Mustard') #english mustard
	I_ENGLISH_TOFFEE_BITS = 'ENGLISH_TOFFEE_BITS', _('English Toffee Bits') #english toffee bits
	I_EPAZOTE = 'EPAZOTE', _('Epazote') #epazote
	I_ESCAROLE = 'ESCAROLE', _('Escarole') #escarole
	I_ESPRESSO = 'ESPRESSO', _('Espresso') #espresso
	I_ESPRESSO_BEANS = 'ESPRESSO_BEANS', _('Espresso Beans') #espresso beans
	I_ESPRESSO_POWDER = 'ESPRESSO_POWDER', _('Espresso Powder') #espresso powder
	I_ESSENCE = 'ESSENCE', _('Essence') #essence
	I_EUROPEAN_CUCUMBER = 'EUROPEAN_CUCUMBER', _('European Cucumber') #european cucumber
	I_EVAPORATED_MILK = 'EVAPORATED_MILK', _('Evaporated Milk') #evaporated milk
	I_EVAPORATED_SKIM_MILK = 'EVAPORATED_SKIM_MILK', _('Evaporated Skim Milk') #evaporated skim milk
	I_EXTRA = 'EXTRA', _('Extra') #extra
	I_EXTRA_FIRM_TOFU = 'EXTRA_FIRM_TOFU', _('Extra Firm Tofu') #extra firm tofu
	I_EXTRA_LEAN_GROUND_BEEF = 'EXTRA_LEAN_GROUND_BEEF', _('Extra Lean Ground Beef') #extra lean ground beef
	I_EXTRA_LIGHT_OLIVE_OIL = 'EXTRA_LIGHT_OLIVE_OIL', _('Extra Light Olive Oil') #extra light olive oil
	I_EXTRA_SHARP_CHEDDAR_CHEESE = 'EXTRA_SHARP_CHEDDAR_CHEESE', _('Extra Sharp Cheddar Cheese') #extra sharp cheddar cheese
	I_EXTRA_VIRGIN_OLIVE_OIL = 'EXTRA_VIRGIN_OLIVE_OIL', _('Extra Virgin Olive Oil') #extra virgin olive oil
	I_EXTRAVIRGIN_OLIVE_OIL = 'EXTRAVIRGIN_OLIVE_OIL', _('Extra-Virgin Olive Oil') #extra-virgin olive oil
	I_EXTRACT = 'EXTRACT', _('Extract') #extract
	I_EYE_OF_ROUND_ROAST = 'EYE_OF_ROUND_ROAST', _('Eye Of Round Roast') #eye of round roast
	I_EYE_STEAKS = 'EYE_STEAKS', _('Eye Steaks') #eye steaks
	I_FAJITA_SEASONING_MIX = 'FAJITA_SEASONING_MIX', _('Fajita Seasoning Mix') #fajita seasoning mix
	I_FARRO = 'FARRO', _('Farro') #farro
	I_FAST_RISING_YEAST = 'FAST_RISING_YEAST', _('Fast Rising Yeast') #fast rising yeast
	I_FAT = 'FAT', _('Fat') #fat
	I_FAT_FREE = 'FAT_FREE', _('Fat Free') #fat free
	I_FAT_FREE_CREAM_CHEESE = 'FAT_FREE_CREAM_CHEESE', _('Fat Free Cream Cheese') #fat free cream cheese
	I_FAT_FREE_GREEK_YOGURT = 'FAT_FREE_GREEK_YOGURT', _('Fat Free Greek Yogurt') #fat free greek yogurt
	I_FAT_FREE_LESS_SODIUM_CHICKEN_BROTH = 'FAT_FREE_LESS_SODIUM_CHICKEN_BROTH', _('Fat Free Less Sodium Chicken Broth') #fat free less sodium chicken broth
	I_FAT_FREE_MILK = 'FAT_FREE_MILK', _('Fat Free Milk') #fat free milk
	I_FAT_FREE_YOGURT = 'FAT_FREE_YOGURT', _('Fat Free Yogurt') #fat free yogurt
	I_FATBACK = 'FATBACK', _('Fatback') #fatback
	I_FAVA_BEANS = 'FAVA_BEANS', _('Fava Beans') #fava beans
	I_FENNEL = 'FENNEL', _('Fennel') #fennel
	I_FENNEL_BULB = 'FENNEL_BULB', _('Fennel Bulb') #fennel bulb
	I_FENNEL_FRONDS = 'FENNEL_FRONDS', _('Fennel Fronds') #fennel fronds
	I_FENNEL_SEED = 'FENNEL_SEED', _('Fennel Seed') #fennel seed
	I_FENNEL_SEEDS = 'FENNEL_SEEDS', _('Fennel Seeds') #fennel seeds
	I_FENUGREEK = 'FENUGREEK', _('Fenugreek') #fenugreek
	I_FENUGREEK_LEAVES = 'FENUGREEK_LEAVES', _('Fenugreek Leaves') #fenugreek leaves
	I_FENUGREEK_SEEDS = 'FENUGREEK_SEEDS', _('Fenugreek Seeds') #fenugreek seeds
	I_FERMENTED_BLACK_BEANS = 'FERMENTED_BLACK_BEANS', _('Fermented Black Beans') #fermented black beans
	I_FETA_CHEESE = 'FETA_CHEESE', _('Feta Cheese') #feta cheese
	I_FETA_CHEESE_CRUMBLES = 'FETA_CHEESE_CRUMBLES', _('Feta Cheese Crumbles') #feta cheese crumbles
	I_FETTUCCINE_PASTA = 'FETTUCCINE_PASTA', _('Fettuccine Pasta') #fettuccine pasta
	I_FETTUCINE = 'FETTUCINE', _('Fettucine') #fettucine
	I_FIBER = 'FIBER', _('Fiber') #fiber
	I_FIBER_ONE = 'FIBER_ONE', _('Fiber One') #fiber one
	I_FIG = 'FIG', _('Fig') #fig
	I_FIGS = 'FIGS', _('Figs') #figs
	I_FILBERTS = 'FILBERTS', _('Filberts') #filberts
	I_FILE_POWDER = 'FILE_POWDER', _('File Powder') #file powder
	I_FILET = 'FILET', _('Filet') #filet
	I_FILET_MIGNON = 'FILET_MIGNON', _('Filet Mignon') #filet mignon
	I_FILLETS = 'FILLETS', _('Fillets') #fillets
	I_FILLING = 'FILLING', _('Filling') #filling
	I_FILO = 'FILO', _('Filo') #filo
	I_FILTERED_WATER = 'FILTERED_WATER', _('Filtered Water') #filtered water
	I_FINE_EGG_NOODLES = 'FINE_EGG_NOODLES', _('Fine Egg Noodles') #fine egg noodles
	I_FINE_SALT = 'FINE_SALT', _('Fine Salt') #fine salt
	I_FINE_SEA_SALT = 'FINE_SEA_SALT', _('Fine Sea Salt') #fine sea salt
	I_FINELY_CHOPPED_ONION = 'FINELY_CHOPPED_ONION', _('Finely Chopped Onion') #finely chopped onion
	I_FINGERLING = 'FINGERLING', _('Fingerling') #fingerling
	I_FINGERLING_POTATOES = 'FINGERLING_POTATOES', _('Fingerling Potatoes') #fingerling potatoes
	I_FIRM_SILKEN_TOFU = 'FIRM_SILKEN_TOFU', _('Firm Silken Tofu') #firm silken tofu
	I_FIRM_TOFU = 'FIRM_TOFU', _('Firm Tofu') #firm tofu
	I_FIRMLY_PACKED_BROWN_SUGAR = 'FIRMLY_PACKED_BROWN_SUGAR', _('Firmly Packed Brown Sugar') #firmly packed brown sugar
	I_FIRMLY_PACKED_LIGHT_BROWN_SUGAR = 'FIRMLY_PACKED_LIGHT_BROWN_SUGAR', _('Firmly Packed Light Brown Sugar') #firmly packed light brown sugar
	I_FISH = 'FISH', _('Fish') #fish
	I_FISH_BONES = 'FISH_BONES', _('Fish Bones') #fish bones
	I_FISH_FILLETS = 'FISH_FILLETS', _('Fish Fillets') #fish fillets
	I_FISH_SAUCE = 'FISH_SAUCE', _('Fish Sauce') #fish sauce
	I_FISH_STEAKS = 'FISH_STEAKS', _('Fish Steaks') #fish steaks
	I_FISH_STOCK = 'FISH_STOCK', _('Fish Stock') #fish stock
	I_FIVE_SPICE = 'FIVE_SPICE', _('Five Spice') #five spice
	I_FIVESPICE_POWDER = 'FIVESPICE_POWDER', _('Five-Spice Powder') #five-spice powder
	I_FL = 'FL', _('Fl') #fl
	I_FLAKED = 'FLAKED', _('Flaked') #flaked
	I_FLAKED_COCONUT = 'FLAKED_COCONUT', _('Flaked Coconut') #flaked coconut
	I_FLANK_STEAK = 'FLANK_STEAK', _('Flank Steak') #flank steak
	I_FLAT_ANCHOVY = 'FLAT_ANCHOVY', _('Flat Anchovy') #flat anchovy
	I_FLAT_LEAF_PARSLEY = 'FLAT_LEAF_PARSLEY', _('Flat Leaf Parsley') #flat leaf parsley
	I_FLATBREAD = 'FLATBREAD', _('Flatbread') #flatbread
	I_FLAVOR = 'FLAVOR', _('Flavor') #flavor
	I_FLAVORED = 'FLAVORED', _('Flavored') #flavored
	I_FLAVORED_SYRUP = 'FLAVORED_SYRUP', _('Flavored Syrup') #flavored syrup
	I_FLAVORED_VODKA = 'FLAVORED_VODKA', _('Flavored Vodka') #flavored vodka
	I_FLAVORING = 'FLAVORING', _('Flavoring') #flavoring
	I_FLAVORS = 'FLAVORS', _('Flavors') #flavors
	I_FLAVOUR = 'FLAVOUR', _('Flavour') #flavour
	I_FLAX = 'FLAX', _('Flax') #flax
	I_FLAX_MEAL = 'FLAX_MEAL', _('Flax Meal') #flax meal
	I_FLAX_SEED = 'FLAX_SEED', _('Flax Seed') #flax seed
	I_FLAX_SEED_MEAL = 'FLAX_SEED_MEAL', _('Flax Seed Meal') #flax seed meal
	I_FLAX_SEEDS = 'FLAX_SEEDS', _('Flax Seeds') #flax seeds
	I_FLAXSEED = 'FLAXSEED', _('Flaxseed') #flaxseed
	I_FLEUR_DE_SEL = 'FLEUR_DE_SEL', _('Fleur De Sel') #fleur de sel
	I_FLORETS = 'FLORETS', _('Florets') #florets
	I_FLOUNDER = 'FLOUNDER', _('Flounder') #flounder
	I_FLOUNDER_FILLETS = 'FLOUNDER_FILLETS', _('Flounder Fillets') #flounder fillets
	I_FLOUR = 'FLOUR', _('Flour') #flour
	I_FLOUR_FOR_DUSTING = 'FLOUR_FOR_DUSTING', _('Flour For Dusting') #flour for dusting
	I_FLOUR_MIX = 'FLOUR_MIX', _('Flour Mix') #flour mix
	I_FLOUR_TORTILLA = 'FLOUR_TORTILLA', _('Flour Tortilla') #flour tortilla
	I_FLOUR_TORTILLAS = 'FLOUR_TORTILLAS', _('Flour Tortillas') #flour tortillas
	I_FLOWER = 'FLOWER', _('Flower') #flower
	I_FLOWERETS = 'FLOWERETS', _('Flowerets') #flowerets
	I_FLOWERS = 'FLOWERS', _('Flowers') #flowers
	I_FOCACCIA = 'FOCACCIA', _('Focaccia') #focaccia
	I_FONDANT = 'FONDANT', _('Fondant') #fondant
	I_FONTINA = 'FONTINA', _('Fontina') #fontina
	I_FONTINA_CHEESE = 'FONTINA_CHEESE', _('Fontina Cheese') #fontina cheese
	I_FOOD_COLOR = 'FOOD_COLOR', _('Food Color') #food color
	I_FOOD_COLORING = 'FOOD_COLORING', _('Food Coloring') #food coloring
	I_FOOD_COLOURING = 'FOOD_COLOURING', _('Food Colouring') #food colouring
	I_FOR_COLOR = 'FOR_COLOR', _('For Color') #for color
	I_FRANGELICO = 'FRANGELICO', _('Frangelico') #frangelico
	I_FRANKFURTERS = 'FRANKFURTERS', _('Frankfurters') #frankfurters
	I_FRANKS = 'FRANKS', _('Franks') #franks
	I_FRANKS_HOT_SAUCE = 'FRANKS_HOT_SAUCE', _('Franks Hot Sauce') #franks hot sauce
	I_FRENCH_BAGUETTE = 'FRENCH_BAGUETTE', _('French Baguette') #french baguette
	I_FRENCH_BREAD = 'FRENCH_BREAD', _('French Bread') #french bread
	I_FRENCH_DRESSING = 'FRENCH_DRESSING', _('French Dressing') #french dressing
	I_FRENCH_FRIED_ONIONS = 'FRENCH_FRIED_ONIONS', _('French Fried Onions') #french fried onions
	I_FRENCH_FRIES = 'FRENCH_FRIES', _('French Fries') #french fries
	I_FRENCH_MUSTARD = 'FRENCH_MUSTARD', _('French Mustard') #french mustard
	I_FRENCH_ONION_SOUP = 'FRENCH_ONION_SOUP', _('French Onion Soup') #french onion soup
	I_FRENCH_ROLLS = 'FRENCH_ROLLS', _('French Rolls') #french rolls
	I_FRESH = 'FRESH', _('Fresh') #fresh
	I_FRESH_BASIL = 'FRESH_BASIL', _('Fresh Basil') #fresh basil
	I_FRESH_BASIL_LEAVES = 'FRESH_BASIL_LEAVES', _('Fresh Basil Leaves') #fresh basil leaves
	I_FRESH_CHIVES = 'FRESH_CHIVES', _('Fresh Chives') #fresh chives
	I_FRESH_CILANTRO = 'FRESH_CILANTRO', _('Fresh Cilantro') #fresh cilantro
	I_FRESH_CORIANDER = 'FRESH_CORIANDER', _('Fresh Coriander') #fresh coriander
	I_FRESH_DILL = 'FRESH_DILL', _('Fresh Dill') #fresh dill
	I_FRESH_GINGER = 'FRESH_GINGER', _('Fresh Ginger') #fresh ginger
	I_FRESH_GINGER_ROOT = 'FRESH_GINGER_ROOT', _('Fresh Ginger Root') #fresh ginger root
	I_FRESH_LEMON = 'FRESH_LEMON', _('Fresh Lemon') #fresh lemon
	I_FRESH_LEMON_JUICE = 'FRESH_LEMON_JUICE', _('Fresh Lemon Juice') #fresh lemon juice
	I_FRESH_LIME = 'FRESH_LIME', _('Fresh Lime') #fresh lime
	I_FRESH_LIME_JUICE = 'FRESH_LIME_JUICE', _('Fresh Lime Juice') #fresh lime juice
	I_FRESH_MINT = 'FRESH_MINT', _('Fresh Mint') #fresh mint
	I_FRESH_MOZZARELLA = 'FRESH_MOZZARELLA', _('Fresh Mozzarella') #fresh mozzarella
	I_FRESH_MUSHROOMS = 'FRESH_MUSHROOMS', _('Fresh Mushrooms') #fresh mushrooms
	I_FRESH_ORANGE = 'FRESH_ORANGE', _('Fresh Orange') #fresh orange
	I_FRESH_ORANGE_JUICE = 'FRESH_ORANGE_JUICE', _('Fresh Orange Juice') #fresh orange juice
	I_FRESH_OREGANO = 'FRESH_OREGANO', _('Fresh Oregano') #fresh oregano
	I_FRESH_PARMESAN_CHEESE = 'FRESH_PARMESAN_CHEESE', _('Fresh Parmesan Cheese') #fresh parmesan cheese
	I_FRESH_PARSLEY = 'FRESH_PARSLEY', _('Fresh Parsley') #fresh parsley
	I_FRESH_ROSEMARY = 'FRESH_ROSEMARY', _('Fresh Rosemary') #fresh rosemary
	I_FRESH_SAGE = 'FRESH_SAGE', _('Fresh Sage') #fresh sage
	I_FRESH_TARRAGON = 'FRESH_TARRAGON', _('Fresh Tarragon') #fresh tarragon
	I_FRESH_THYME = 'FRESH_THYME', _('Fresh Thyme') #fresh thyme
	I_FRESH_THYME_LEAVES = 'FRESH_THYME_LEAVES', _('Fresh Thyme Leaves') #fresh thyme leaves
	I_FRESH_TOMATOES = 'FRESH_TOMATOES', _('Fresh Tomatoes') #fresh tomatoes
	I_FRESHLY_GRATED_PARMESAN = 'FRESHLY_GRATED_PARMESAN', _('Freshly Grated Parmesan') #freshly grated parmesan
	I_FRESHLY_GROUND_PEPPER = 'FRESHLY_GROUND_PEPPER', _('Freshly Ground Pepper') #freshly ground pepper
	I_FRISEE = 'FRISEE', _('Frisee') #frisee
	I_FRITOS = 'FRITOS', _('Fritos') #fritos
	I_FRONDS = 'FRONDS', _('Fronds') #fronds
	I_FROSTING = 'FROSTING', _('Frosting') #frosting
	I_FROZEN_ARTICHOKE_HEARTS = 'FROZEN_ARTICHOKE_HEARTS', _('Frozen Artichoke Hearts') #frozen artichoke hearts
	I_FROZEN_BANANA = 'FROZEN_BANANA', _('Frozen Banana') #frozen banana
	I_FROZEN_BLACKBERRIES = 'FROZEN_BLACKBERRIES', _('Frozen Blackberries') #frozen blackberries
	I_FROZEN_BLUEBERRIES = 'FROZEN_BLUEBERRIES', _('Frozen Blueberries') #frozen blueberries
	I_FROZEN_BREAD_DOUGH = 'FROZEN_BREAD_DOUGH', _('Frozen Bread Dough') #frozen bread dough
	I_FROZEN_BROCCOLI = 'FROZEN_BROCCOLI', _('Frozen Broccoli') #frozen broccoli
	I_FROZEN_BROCCOLI_FLORETS = 'FROZEN_BROCCOLI_FLORETS', _('Frozen Broccoli Florets') #frozen broccoli florets
	I_FROZEN_CHERRIES = 'FROZEN_CHERRIES', _('Frozen Cherries') #frozen cherries
	I_FROZEN_CHOPPED_SPINACH = 'FROZEN_CHOPPED_SPINACH', _('Frozen Chopped Spinach') #frozen chopped spinach
	I_FROZEN_CORN = 'FROZEN_CORN', _('Frozen Corn') #frozen corn
	I_FROZEN_CORN_KERNELS = 'FROZEN_CORN_KERNELS', _('Frozen Corn Kernels') #frozen corn kernels
	I_FROZEN_CRANBERRIES = 'FROZEN_CRANBERRIES', _('Frozen Cranberries') #frozen cranberries
	I_FROZEN_GREEN_BEANS = 'FROZEN_GREEN_BEANS', _('Frozen Green Beans') #frozen green beans
	I_FROZEN_HASH_BROWNS = 'FROZEN_HASH_BROWNS', _('Frozen Hash Browns') #frozen hash browns
	I_FROZEN_LEMONADE_CONCENTRATE = 'FROZEN_LEMONADE_CONCENTRATE', _('Frozen Lemonade Concentrate') #frozen lemonade concentrate
	I_FROZEN_LIMEADE = 'FROZEN_LIMEADE', _('Frozen Limeade') #frozen limeade
	I_FROZEN_LIMEADE_CONCENTRATE = 'FROZEN_LIMEADE_CONCENTRATE', _('Frozen Limeade Concentrate') #frozen limeade concentrate
	I_FROZEN_MANGO = 'FROZEN_MANGO', _('Frozen Mango') #frozen mango
	I_FROZEN_MEATBALLS = 'FROZEN_MEATBALLS', _('Frozen Meatballs') #frozen meatballs
	I_FROZEN_MIXED_BERRIES = 'FROZEN_MIXED_BERRIES', _('Frozen Mixed Berries') #frozen mixed berries
	I_FROZEN_MIXED_VEGETABLES = 'FROZEN_MIXED_VEGETABLES', _('Frozen Mixed Vegetables') #frozen mixed vegetables
	I_FROZEN_OKRA = 'FROZEN_OKRA', _('Frozen Okra') #frozen okra
	I_FROZEN_ORANGE_JUICE_CONCENTRATE = 'FROZEN_ORANGE_JUICE_CONCENTRATE', _('Frozen Orange Juice Concentrate') #frozen orange juice concentrate
	I_FROZEN_PEACHES = 'FROZEN_PEACHES', _('Frozen Peaches') #frozen peaches
	I_FROZEN_PEAS = 'FROZEN_PEAS', _('Frozen Peas') #frozen peas
	I_FROZEN_PEAS_AND_CARROTS = 'FROZEN_PEAS_AND_CARROTS', _('Frozen Peas And Carrots') #frozen peas and carrots
	I_FROZEN_POTATOES = 'FROZEN_POTATOES', _('Frozen Potatoes') #frozen potatoes
	I_FROZEN_RASPBERRIES = 'FROZEN_RASPBERRIES', _('Frozen Raspberries') #frozen raspberries
	I_FROZEN_SHELLED_EDAMAME = 'FROZEN_SHELLED_EDAMAME', _('Frozen Shelled Edamame') #frozen shelled edamame
	I_FROZEN_SPINACH = 'FROZEN_SPINACH', _('Frozen Spinach') #frozen spinach
	I_FROZEN_STRAWBERRIES = 'FROZEN_STRAWBERRIES', _('Frozen Strawberries') #frozen strawberries
	I_FROZEN_SWEET_CORN = 'FROZEN_SWEET_CORN', _('Frozen Sweet Corn') #frozen sweet corn
	I_FROZEN_TATER_TOTS = 'FROZEN_TATER_TOTS', _('Frozen Tater Tots') #frozen tater tots
	I_FROZEN_VEGETABLES = 'FROZEN_VEGETABLES', _('Frozen Vegetables') #frozen vegetables
	I_FROZEN_WHIPPED_TOPPING = 'FROZEN_WHIPPED_TOPPING', _('Frozen Whipped Topping') #frozen whipped topping
	I_FRUCTOSE = 'FRUCTOSE', _('Fructose') #fructose
	I_FRUIT = 'FRUIT', _('Fruit') #fruit
	I_FRUIT_COCKTAIL = 'FRUIT_COCKTAIL', _('Fruit Cocktail') #fruit cocktail
	I_FRUIT_JUICE = 'FRUIT_JUICE', _('Fruit Juice') #fruit juice
	I_FRUIT_PECTIN = 'FRUIT_PECTIN', _('Fruit Pectin') #fruit pectin
	I_FRUITS = 'FRUITS', _('Fruits') #fruits
	I_FRYING_OIL = 'FRYING_OIL', _('Frying Oil') #frying oil
	I_FUDGE = 'FUDGE', _('Fudge') #fudge
	I_FUDGE_BROWNIE_MIX = 'FUDGE_BROWNIE_MIX', _('Fudge Brownie Mix') #fudge brownie mix
	I_FUJI_APPLE = 'FUJI_APPLE', _('Fuji Apple') #fuji apple
	I_FUJI_APPLES = 'FUJI_APPLES', _('Fuji Apples') #fuji apples
	I_FULLY_COOKED_HAM = 'FULLY_COOKED_HAM', _('Fully Cooked Ham') #fully cooked ham
	I_FUSILLI = 'FUSILLI', _('Fusilli') #fusilli
	I_GALA_APPLES = 'GALA_APPLES', _('Gala Apples') #gala apples
	I_GALANGAL = 'GALANGAL', _('Galangal') #galangal
	I_GALLIANO = 'GALLIANO', _('Galliano') #galliano
	I_GAME = 'GAME', _('Game') #game
	I_GANACHE = 'GANACHE', _('Ganache') #ganache
	I_GARAM_MASALA = 'GARAM_MASALA', _('Garam Masala') #garam masala
	I_GARBANZO = 'GARBANZO', _('Garbanzo') #garbanzo
	I_GARBANZO_BEAN_FLOUR = 'GARBANZO_BEAN_FLOUR', _('Garbanzo Bean Flour') #garbanzo bean flour
	I_GARBANZO_BEANS = 'GARBANZO_BEANS', _('Garbanzo Beans') #garbanzo beans
	I_GARLIC = 'GARLIC', _('Garlic') #garlic
	I_GARLIC_AND_HERB_SEASONING = 'GARLIC_AND_HERB_SEASONING', _('Garlic And Herb Seasoning') #garlic and herb seasoning
	I_GARLIC_BREAD = 'GARLIC_BREAD', _('Garlic Bread') #garlic bread
	I_GARLIC_BULB = 'GARLIC_BULB', _('Garlic Bulb') #garlic bulb
	I_GARLIC_CHILI_SAUCE = 'GARLIC_CHILI_SAUCE', _('Garlic Chili Sauce') #garlic chili sauce
	I_GARLIC_CHIVES = 'GARLIC_CHIVES', _('Garlic Chives') #garlic chives
	I_GARLIC_CLOVES = 'GARLIC_CLOVES', _('Garlic Cloves') #garlic cloves
	I_GARLIC_GRANULES = 'GARLIC_GRANULES', _('Garlic Granules') #garlic granules
	I_GARLIC_MINCED = 'GARLIC_MINCED', _('Garlic Minced') #garlic minced
	I_GARLIC_PASTE = 'GARLIC_PASTE', _('Garlic Paste') #garlic paste
	I_GARLIC_PEPPER_SEASONING = 'GARLIC_PEPPER_SEASONING', _('Garlic Pepper Seasoning') #garlic pepper seasoning
	I_GARLIC_POWDER = 'GARLIC_POWDER', _('Garlic Powder') #garlic powder
	I_GARLIC_PUREE = 'GARLIC_PUREE', _('Garlic Puree') #garlic puree
	I_GARLIC_SALT = 'GARLIC_SALT', _('Garlic Salt') #garlic salt
	I_GARLIC_SAUCE = 'GARLIC_SAUCE', _('Garlic Sauce') #garlic sauce
	I_GARNISH = 'GARNISH', _('Garnish') #garnish
	I_GELATIN = 'GELATIN', _('Gelatin') #gelatin
	I_GELATINE = 'GELATINE', _('Gelatine') #gelatine
	I_GENOA_SALAMI = 'GENOA_SALAMI', _('Genoa Salami') #genoa salami
	I_GHEE = 'GHEE', _('Ghee') #ghee
	I_GHERKINS = 'GHERKINS', _('Gherkins') #gherkins
	I_GIARDINIERA = 'GIARDINIERA', _('Giardiniera') #giardiniera
	I_GIN = 'GIN', _('Gin') #gin
	I_GINGER = 'GINGER', _('Ginger') #ginger
	I_GINGER_ALE = 'GINGER_ALE', _('Ginger Ale') #ginger ale
	I_GINGER_BEER = 'GINGER_BEER', _('Ginger Beer') #ginger beer
	I_GINGER_JUICE = 'GINGER_JUICE', _('Ginger Juice') #ginger juice
	I_GINGER_PASTE = 'GINGER_PASTE', _('Ginger Paste') #ginger paste
	I_GINGER_POWDER = 'GINGER_POWDER', _('Ginger Powder') #ginger powder
	I_GINGER_ROOT = 'GINGER_ROOT', _('Ginger Root') #ginger root
	I_GINGER_SYRUP = 'GINGER_SYRUP', _('Ginger Syrup') #ginger syrup
	I_GINGERROOT = 'GINGERROOT', _('Gingerroot') #gingerroot
	I_GINGERSNAP = 'GINGERSNAP', _('Gingersnap') #gingersnap
	I_GINGERSNAP_COOKIES = 'GINGERSNAP_COOKIES', _('Gingersnap Cookies') #gingersnap cookies
	I_GINGERSNAP_CRUMBS = 'GINGERSNAP_CRUMBS', _('Gingersnap Crumbs') #gingersnap crumbs
	I_GLACE_CHERRIES = 'GLACE_CHERRIES', _('Glace Cherries') #glace cherries
	I_GLAZE = 'GLAZE', _('Glaze') #glaze
	I_GLUTEN = 'GLUTEN', _('Gluten') #gluten
	I_GLUTEN_FLOUR = 'GLUTEN_FLOUR', _('Gluten Flour') #gluten flour
	I_GLUTEN_FREE = 'GLUTEN_FREE', _('Gluten Free') #gluten free
	I_GLUTEN_FREE_FLOUR = 'GLUTEN_FREE_FLOUR', _('Gluten Free Flour') #gluten free flour
	I_GLUTINOUS_RICE = 'GLUTINOUS_RICE', _('Glutinous Rice') #glutinous rice
	I_GLUTINOUS_RICE_FLOUR = 'GLUTINOUS_RICE_FLOUR', _('Glutinous Rice Flour') #glutinous rice flour
	I_GNOCCHI = 'GNOCCHI', _('Gnocchi') #gnocchi
	I_GOAT = 'GOAT', _('Goat') #goat
	I_GOAT_CHEESE = 'GOAT_CHEESE', _('Goat Cheese') #goat cheese
	I_GOLD_POTATOES = 'GOLD_POTATOES', _('Gold Potatoes') #gold potatoes
	I_GOLDEN_BEETS = 'GOLDEN_BEETS', _('Golden Beets') #golden beets
	I_GOLDEN_BROWN_SUGAR = 'GOLDEN_BROWN_SUGAR', _('Golden Brown Sugar') #golden brown sugar
	I_GOLDEN_CASTER_SUGAR = 'GOLDEN_CASTER_SUGAR', _('Golden Caster Sugar') #golden caster sugar
	I_GOLDEN_DELICIOUS = 'GOLDEN_DELICIOUS', _('Golden Delicious') #golden delicious
	I_GOLDEN_DELICIOUS_APPLES = 'GOLDEN_DELICIOUS_APPLES', _('Golden Delicious Apples') #golden delicious apples
	I_GOLDEN_MUSHROOM_SOUP = 'GOLDEN_MUSHROOM_SOUP', _('Golden Mushroom Soup') #golden mushroom soup
	I_GOLDEN_RAISINS = 'GOLDEN_RAISINS', _('Golden Raisins') #golden raisins
	I_GOLDEN_SYRUP = 'GOLDEN_SYRUP', _('Golden Syrup') #golden syrup
	I_GOOD_SEASONS_ITALIAN_DRESSING_MIX = 'GOOD_SEASONS_ITALIAN_DRESSING_MIX', _('Good Seasons Italian Dressing Mix') #good seasons italian dressing mix
	I_GOOSE = 'GOOSE', _('Goose') #goose
	I_GOOSEBERRIES = 'GOOSEBERRIES', _('Gooseberries') #gooseberries
	I_GORGONZOLA = 'GORGONZOLA', _('Gorgonzola') #gorgonzola
	I_GOUDA = 'GOUDA', _('Gouda') #gouda
	I_GOUDA_CHEESE = 'GOUDA_CHEESE', _('Gouda Cheese') #gouda cheese
	I_GRAHAM_CRACKER_CRUMBS = 'GRAHAM_CRACKER_CRUMBS', _('Graham Cracker Crumbs') #graham cracker crumbs
	I_GRAHAM_CRACKER_CRUSTS = 'GRAHAM_CRACKER_CRUSTS', _('Graham Cracker Crusts') #graham cracker crusts
	I_GRAHAM_CRACKER_PIE_CRUST = 'GRAHAM_CRACKER_PIE_CRUST', _('Graham Cracker Pie Crust') #graham cracker pie crust
	I_GRAHAM_CRACKERS = 'GRAHAM_CRACKERS', _('Graham Crackers') #graham crackers
	I_GRAHAM_FLOUR = 'GRAHAM_FLOUR', _('Graham Flour') #graham flour
	I_GRAIN = 'GRAIN', _('Grain') #grain
	I_GRAM_FLOUR = 'GRAM_FLOUR', _('Gram Flour') #gram flour
	I_GRANA = 'GRANA', _('Grana') #grana
	I_GRANA_PADANO = 'GRANA_PADANO', _('Grana Padano') #grana padano
	I_GRAND_MARNIER = 'GRAND_MARNIER', _('Grand Marnier') #grand marnier
	I_GRANNY_SMITH_APPLES = 'GRANNY_SMITH_APPLES', _('Granny Smith Apples') #granny smith apples
	I_GRANOLA = 'GRANOLA', _('Granola') #granola
	I_GRANULATED_GARLIC = 'GRANULATED_GARLIC', _('Granulated Garlic') #granulated garlic
	I_GRANULATED_ONION = 'GRANULATED_ONION', _('Granulated Onion') #granulated onion
	I_GRANULATED_SUGAR = 'GRANULATED_SUGAR', _('Granulated Sugar') #granulated sugar
	I_GRANULATED_WHITE_SUGAR = 'GRANULATED_WHITE_SUGAR', _('Granulated White Sugar') #granulated white sugar
	I_GRAPE = 'GRAPE', _('Grape') #grape
	I_GRAPE_JELLY = 'GRAPE_JELLY', _('Grape Jelly') #grape jelly
	I_GRAPE_JUICE = 'GRAPE_JUICE', _('Grape Juice') #grape juice
	I_GRAPE_LEAVES = 'GRAPE_LEAVES', _('Grape Leaves') #grape leaves
	I_GRAPE_TOMATOES = 'GRAPE_TOMATOES', _('Grape Tomatoes') #grape tomatoes
	I_GRAPEFRUIT = 'GRAPEFRUIT', _('Grapefruit') #grapefruit
	I_GRAPEFRUIT_JUICE = 'GRAPEFRUIT_JUICE', _('Grapefruit Juice') #grapefruit juice
	I_GRAPES = 'GRAPES', _('Grapes') #grapes
	I_GRAPESEED_OIL = 'GRAPESEED_OIL', _('Grapeseed Oil') #grapeseed oil
	I_GRATED_CARROT = 'GRATED_CARROT', _('Grated Carrot') #grated carrot
	I_GRATED_COCONUT = 'GRATED_COCONUT', _('Grated Coconut') #grated coconut
	I_GRATED_COTIJA = 'GRATED_COTIJA', _('Grated Cotija') #grated cotija
	I_GRATED_HORSERADISH = 'GRATED_HORSERADISH', _('Grated Horseradish') #grated horseradish
	I_GRATED_LEMON_PEEL = 'GRATED_LEMON_PEEL', _('Grated Lemon Peel') #grated lemon peel
	I_GRATED_LEMON_ZEST = 'GRATED_LEMON_ZEST', _('Grated Lemon Zest') #grated lemon zest
	I_GRATED_NUTMEG = 'GRATED_NUTMEG', _('Grated Nutmeg') #grated nutmeg
	I_GRATED_ORANGE = 'GRATED_ORANGE', _('Grated Orange') #grated orange
	I_GRATED_ORANGE_PEEL = 'GRATED_ORANGE_PEEL', _('Grated Orange Peel') #grated orange peel
	I_GRATED_PARMESAN_CHEESE = 'GRATED_PARMESAN_CHEESE', _('Grated Parmesan Cheese') #grated parmesan cheese
	I_GRATED_PARMESAN_ROMANO = 'GRATED_PARMESAN_ROMANO', _('Grated Parmesan Romano') #grated parmesan romano
	I_GRATED_PECORINO = 'GRATED_PECORINO', _('Grated Pecorino') #grated pecorino
	I_GRATED_ROMANO_CHEESE = 'GRATED_ROMANO_CHEESE', _('Grated Romano Cheese') #grated romano cheese
	I_GRAVY = 'GRAVY', _('Gravy') #gravy
	I_GRAVY_MIX = 'GRAVY_MIX', _('Gravy Mix') #gravy mix
	I_GRAY_SALT = 'GRAY_SALT', _('Gray Salt') #gray salt
	I_GREAT_NORTHERN_BEANS = 'GREAT_NORTHERN_BEANS', _('Great Northern Beans') #great northern beans
	I_GREEK_FETA = 'GREEK_FETA', _('Greek Feta') #greek feta
	I_GREEK_SEASONING = 'GREEK_SEASONING', _('Greek Seasoning') #greek seasoning
	I_GREEK_STYLE_PLAIN_YOGURT = 'GREEK_STYLE_PLAIN_YOGURT', _('Greek Style Plain Yogurt') #greek style plain yogurt
	I_GREEK_YOGURT = 'GREEK_YOGURT', _('Greek Yogurt') #greek yogurt
	I_GREEN = 'GREEN', _('Green') #green
	I_GREEN_APPLE = 'GREEN_APPLE', _('Green Apple') #green apple
	I_GREEN_APPLES = 'GREEN_APPLES', _('Green Apples') #green apples
	I_GREEN_BEANS = 'GREEN_BEANS', _('Green Beans') #green beans
	I_GREEN_BELL_PEPPER = 'GREEN_BELL_PEPPER', _('Green Bell Pepper') #green bell pepper
	I_GREEN_BELL_PEPPERS = 'GREEN_BELL_PEPPERS', _('Green Bell Peppers') #green bell peppers
	I_GREEN_CABBAGE = 'GREEN_CABBAGE', _('Green Cabbage') #green cabbage
	I_GREEN_CARDAMOM = 'GREEN_CARDAMOM', _('Green Cardamom') #green cardamom
	I_GREEN_CARDAMOM_PODS = 'GREEN_CARDAMOM_PODS', _('Green Cardamom Pods') #green cardamom pods
	I_GREEN_CHILE = 'GREEN_CHILE', _('Green Chile') #green chile
	I_GREEN_CHILE_PEPPERS = 'GREEN_CHILE_PEPPERS', _('Green Chile Peppers') #green chile peppers
	I_GREEN_CHILES = 'GREEN_CHILES', _('Green Chiles') #green chiles
	I_GREEN_CHILI_PEPPERS = 'GREEN_CHILI_PEPPERS', _('Green Chili Peppers') #green chili peppers
	I_GREEN_CHILIES = 'GREEN_CHILIES', _('Green Chilies') #green chilies
	I_GREEN_CHILIS = 'GREEN_CHILIS', _('Green Chilis') #green chilis
	I_GREEN_CURRY_PASTE = 'GREEN_CURRY_PASTE', _('Green Curry Paste') #green curry paste
	I_GREEN_ENCHILADA_SAUCE = 'GREEN_ENCHILADA_SAUCE', _('Green Enchilada Sauce') #green enchilada sauce
	I_GREEN_GARLIC = 'GREEN_GARLIC', _('Green Garlic') #green garlic
	I_GREEN_GRAPE = 'GREEN_GRAPE', _('Green Grape') #green grape
	I_GREEN_LEAF_LETTUCE = 'GREEN_LEAF_LETTUCE', _('Green Leaf Lettuce') #green leaf lettuce
	I_GREEN_LENTIL = 'GREEN_LENTIL', _('Green Lentil') #green lentil
	I_GREEN_OLIVES = 'GREEN_OLIVES', _('Green Olives') #green olives
	I_GREEN_ONION = 'GREEN_ONION', _('Green Onion') #green onion
	I_GREEN_ONIONS = 'GREEN_ONIONS', _('Green Onions') #green onions
	I_GREEN_PEAS = 'GREEN_PEAS', _('Green Peas') #green peas
	I_GREEN_PEPPER = 'GREEN_PEPPER', _('Green Pepper') #green pepper
	I_GREEN_PEPPERCORNS = 'GREEN_PEPPERCORNS', _('Green Peppercorns') #green peppercorns
	I_GREEN_PEPPERS = 'GREEN_PEPPERS', _('Green Peppers') #green peppers
	I_GREEN_TEA = 'GREEN_TEA', _('Green Tea') #green tea
	I_GREEN_TEA_BAGS = 'GREEN_TEA_BAGS', _('Green Tea Bags') #green tea bags
	I_GREEN_TEA_LEAVES = 'GREEN_TEA_LEAVES', _('Green Tea Leaves') #green tea leaves
	I_GREEN_TEA_POWDER = 'GREEN_TEA_POWDER', _('Green Tea Powder') #green tea powder
	I_GREEN_TOMATOES = 'GREEN_TOMATOES', _('Green Tomatoes') #green tomatoes
	I_GREENS = 'GREENS', _('Greens') #greens
	I_GRENADINE = 'GRENADINE', _('Grenadine') #grenadine
	I_GRENADINE_SYRUP = 'GRENADINE_SYRUP', _('Grenadine Syrup') #grenadine syrup
	I_GREY_POUPON_DIJON_MUSTARD = 'GREY_POUPON_DIJON_MUSTARD', _('Grey Poupon Dijon Mustard') #grey poupon dijon mustard
	I_GRILL_SEASONING = 'GRILL_SEASONING', _('Grill Seasoning') #grill seasoning
	I_GRILLED_CHICKEN = 'GRILLED_CHICKEN', _('Grilled Chicken') #grilled chicken
	I_GRITS = 'GRITS', _('Grits') #grits
	I_GROUND = 'GROUND', _('Ground') #ground
	I_GROUND_ALLSPICE = 'GROUND_ALLSPICE', _('Ground Allspice') #ground allspice
	I_GROUND_ALMONDS = 'GROUND_ALMONDS', _('Ground Almonds') #ground almonds
	I_GROUND_BEEF = 'GROUND_BEEF', _('Ground Beef') #ground beef
	I_GROUND_BLACK_PEPPER = 'GROUND_BLACK_PEPPER', _('Ground Black Pepper') #ground black pepper
	I_GROUND_BLANCHED_ALMONDS = 'GROUND_BLANCHED_ALMONDS', _('Ground Blanched Almonds') #ground blanched almonds
	I_GROUND_CARDAMOM = 'GROUND_CARDAMOM', _('Ground Cardamom') #ground cardamom
	I_GROUND_CAYENNE_PEPPER = 'GROUND_CAYENNE_PEPPER', _('Ground Cayenne Pepper') #ground cayenne pepper
	I_GROUND_CHICKEN = 'GROUND_CHICKEN', _('Ground Chicken') #ground chicken
	I_GROUND_CHICKEN_BREAST = 'GROUND_CHICKEN_BREAST', _('Ground Chicken Breast') #ground chicken breast
	I_GROUND_CHIPOTLE_CHILE_PEPPER = 'GROUND_CHIPOTLE_CHILE_PEPPER', _('Ground Chipotle Chile Pepper') #ground chipotle chile pepper
	I_GROUND_CHUCK = 'GROUND_CHUCK', _('Ground Chuck') #ground chuck
	I_GROUND_CINNAMON = 'GROUND_CINNAMON', _('Ground Cinnamon') #ground cinnamon
	I_GROUND_CLOVES = 'GROUND_CLOVES', _('Ground Cloves') #ground cloves
	I_GROUND_COFFEE = 'GROUND_COFFEE', _('Ground Coffee') #ground coffee
	I_GROUND_CORIANDER = 'GROUND_CORIANDER', _('Ground Coriander') #ground coriander
	I_GROUND_CUMIN = 'GROUND_CUMIN', _('Ground Cumin') #ground cumin
	I_GROUND_FENNEL = 'GROUND_FENNEL', _('Ground Fennel') #ground fennel
	I_GROUND_FLAX = 'GROUND_FLAX', _('Ground Flax') #ground flax
	I_GROUND_FLAX_SEED = 'GROUND_FLAX_SEED', _('Ground Flax Seed') #ground flax seed
	I_GROUND_FLAX_SEEDS = 'GROUND_FLAX_SEEDS', _('Ground Flax Seeds') #ground flax seeds
	I_GROUND_FLAXSEED = 'GROUND_FLAXSEED', _('Ground Flaxseed') #ground flaxseed
	I_GROUND_GINGER = 'GROUND_GINGER', _('Ground Ginger') #ground ginger
	I_GROUND_HAZELNUTS = 'GROUND_HAZELNUTS', _('Ground Hazelnuts') #ground hazelnuts
	I_GROUND_LAMB = 'GROUND_LAMB', _('Ground Lamb') #ground lamb
	I_GROUND_MEAT = 'GROUND_MEAT', _('Ground Meat') #ground meat
	I_GROUND_MUSTARD = 'GROUND_MUSTARD', _('Ground Mustard') #ground mustard
	I_GROUND_NUTMEG = 'GROUND_NUTMEG', _('Ground Nutmeg') #ground nutmeg
	I_GROUND_NUTS = 'GROUND_NUTS', _('Ground Nuts') #ground nuts
	I_GROUND_OREGANO = 'GROUND_OREGANO', _('Ground Oregano') #ground oregano
	I_GROUND_PAPRIKA = 'GROUND_PAPRIKA', _('Ground Paprika') #ground paprika
	I_GROUND_PECANS = 'GROUND_PECANS', _('Ground Pecans') #ground pecans
	I_GROUND_PEPPER = 'GROUND_PEPPER', _('Ground Pepper') #ground pepper
	I_GROUND_PORK = 'GROUND_PORK', _('Ground Pork') #ground pork
	I_GROUND_PORK_SAUSAGE = 'GROUND_PORK_SAUSAGE', _('Ground Pork Sausage') #ground pork sausage
	I_GROUND_RED_PEPPER = 'GROUND_RED_PEPPER', _('Ground Red Pepper') #ground red pepper
	I_GROUND_ROUND = 'GROUND_ROUND', _('Ground Round') #ground round
	I_GROUND_SAGE = 'GROUND_SAGE', _('Ground Sage') #ground sage
	I_GROUND_SAUSAGE = 'GROUND_SAUSAGE', _('Ground Sausage') #ground sausage
	I_GROUND_SIRLOIN = 'GROUND_SIRLOIN', _('Ground Sirloin') #ground sirloin
	I_GROUND_THYME = 'GROUND_THYME', _('Ground Thyme') #ground thyme
	I_GROUND_TURKEY = 'GROUND_TURKEY', _('Ground Turkey') #ground turkey
	I_GROUND_TURKEY_BREAST = 'GROUND_TURKEY_BREAST', _('Ground Turkey Breast') #ground turkey breast
	I_GROUND_TURMERIC = 'GROUND_TURMERIC', _('Ground Turmeric') #ground turmeric
	I_GROUND_VEAL = 'GROUND_VEAL', _('Ground Veal') #ground veal
	I_GROUND_WALNUTS = 'GROUND_WALNUTS', _('Ground Walnuts') #ground walnuts
	I_GROUND_WHEAT = 'GROUND_WHEAT', _('Ground Wheat') #ground wheat
	I_GROUND_WHITE_PEPPER = 'GROUND_WHITE_PEPPER', _('Ground White Pepper') #ground white pepper
	I_GROUPER = 'GROUPER', _('Grouper') #grouper
	I_GRUYERE_CHEESE = 'GRUYERE_CHEESE', _('Gruyere Cheese') #gruyere cheese
	I_GUACAMOLE = 'GUACAMOLE', _('Guacamole') #guacamole
	I_GUAJILLO = 'GUAJILLO', _('Guajillo') #guajillo
	I_GUAJILLO_CHILES = 'GUAJILLO_CHILES', _('Guajillo Chiles') #guajillo chiles
	I_GUANCIALE = 'GUANCIALE', _('Guanciale') #guanciale
	I_GUAR = 'GUAR', _('Guar') #guar
	I_GUAR_GUM = 'GUAR_GUM', _('Guar Gum') #guar gum
	I_GUAVA = 'GUAVA', _('Guava') #guava
	I_GUMBO = 'GUMBO', _('Gumbo') #gumbo
	I_GYOZA = 'GYOZA', _('Gyoza') #gyoza
	I_GYOZA_SKINS = 'GYOZA_SKINS', _('Gyoza Skins') #gyoza skins
	I_HABANERO = 'HABANERO', _('Habanero') #habanero
	I_HABANERO_CHILE = 'HABANERO_CHILE', _('Habanero Chile') #habanero chile
	I_HABANERO_PEPPER = 'HABANERO_PEPPER', _('Habanero Pepper') #habanero pepper
	I_HABANERO_PEPPERS = 'HABANERO_PEPPERS', _('Habanero Peppers') #habanero peppers
	I_HADDOCK = 'HADDOCK', _('Haddock') #haddock
	I_HADDOCK_FILLETS = 'HADDOCK_FILLETS', _('Haddock Fillets') #haddock fillets
	I_HALF = 'HALF', _('Half') #half
	I_HALF__HALF = 'HALF__HALF', _('Half & Half') #half & half
	I_HALFANDHALF = 'HALFANDHALF', _('Halfandhalf') #halfandhalf
	I_HALIBUT = 'HALIBUT', _('Halibut') #halibut
	I_HALIBUT_FILLETS = 'HALIBUT_FILLETS', _('Halibut Fillets') #halibut fillets
	I_HAM = 'HAM', _('Ham') #ham
	I_HAM_HOCK = 'HAM_HOCK', _('Ham Hock') #ham hock
	I_HAM_STEAK = 'HAM_STEAK', _('Ham Steak') #ham steak
	I_HAMBURGER = 'HAMBURGER', _('Hamburger') #hamburger
	I_HAMBURGER_BUNS = 'HAMBURGER_BUNS', _('Hamburger Buns') #hamburger buns
	I_HAND = 'HAND', _('Hand') #hand
	I_HARD_CIDER = 'HARD_CIDER', _('Hard Cider') #hard cider
	I_HARD_SALAMI = 'HARD_SALAMI', _('Hard Salami') #hard salami
	I_HARICOTS_VERTS = 'HARICOTS_VERTS', _('Haricots Verts') #haricots verts
	I_HARISSA = 'HARISSA', _('Harissa') #harissa
	I_HARISSA_PASTE = 'HARISSA_PASTE', _('Harissa Paste') #harissa paste
	I_HASH_BROWN = 'HASH_BROWN', _('Hash Brown') #hash brown
	I_HASS_AVOCADO = 'HASS_AVOCADO', _('Hass Avocado') #hass avocado
	I_HAVARTI = 'HAVARTI', _('Havarti') #havarti
	I_HAVARTI_CHEESE = 'HAVARTI_CHEESE', _('Havarti Cheese') #havarti cheese
	I_HAZELNUT = 'HAZELNUT', _('Hazelnut') #hazelnut
	I_HAZELNUT_LIQUEUR = 'HAZELNUT_LIQUEUR', _('Hazelnut Liqueur') #hazelnut liqueur
	I_HAZELNUT_OIL = 'HAZELNUT_OIL', _('Hazelnut Oil') #hazelnut oil
	I_HAZELNUTS = 'HAZELNUTS', _('Hazelnuts') #hazelnuts
	I_HEAD_CAULIFLOWER = 'HEAD_CAULIFLOWER', _('Head Cauliflower') #head cauliflower
	I_HEARTS_OF_PALM = 'HEARTS_OF_PALM', _('Hearts Of Palm') #hearts of palm
	I_HEATH_CANDY_BARS = 'HEATH_CANDY_BARS', _('Heath Candy Bars') #heath candy bars
	I_HEAVY_CREAM = 'HEAVY_CREAM', _('Heavy Cream') #heavy cream
	I_HEAVY_WHIPPING_CREAM = 'HEAVY_WHIPPING_CREAM', _('Heavy Whipping Cream') #heavy whipping cream
	I_HEINZ_CHILI_SAUCE = 'HEINZ_CHILI_SAUCE', _('Heinz Chili Sauce') #heinz chili sauce
	I_HEINZ_TOMATO_KETCHUP = 'HEINZ_TOMATO_KETCHUP', _('Heinz Tomato Ketchup') #heinz tomato ketchup
	I_HEIRLOOM_TOMATOES = 'HEIRLOOM_TOMATOES', _('Heirloom Tomatoes') #heirloom tomatoes
	I_HEMP_SEEDS = 'HEMP_SEEDS', _('Hemp Seeds') #hemp seeds
	I_HEN = 'HEN', _('Hen') #hen
	I_HERB = 'HERB', _('Herb') #herb
	I_HERB_DRESSING = 'HERB_DRESSING', _('Herb Dressing') #herb dressing
	I_HERB_SEASONED_STUFFING = 'HERB_SEASONED_STUFFING', _('Herb Seasoned Stuffing') #herb seasoned stuffing
	I_HERB_SEASONED_STUFFING_MIX = 'HERB_SEASONED_STUFFING_MIX', _('Herb Seasoned Stuffing Mix') #herb seasoned stuffing mix
	I_HERB_SEASONING = 'HERB_SEASONING', _('Herb Seasoning') #herb seasoning
	I_HERBES_DE_PROVENCE = 'HERBES_DE_PROVENCE', _('Herbes De Provence') #herbes de provence
	I_HERBS = 'HERBS', _('Herbs') #herbs
	I_HERSHEY_CHOCOLATE = 'HERSHEY_CHOCOLATE', _('Hershey Chocolate') #hershey chocolate
	I_HICKORY_SMOKE = 'HICKORY_SMOKE', _('Hickory Smoke') #hickory smoke
	I_HIMALAYAN_SALT = 'HIMALAYAN_SALT', _('Himalayan Salt') #himalayan salt
	I_HOAGIE_ROLLS = 'HOAGIE_ROLLS', _('Hoagie Rolls') #hoagie rolls
	I_HOISIN_SAUCE = 'HOISIN_SAUCE', _('Hoisin Sauce') #hoisin sauce
	I_HOMEMADE_CHICKEN_STOCK = 'HOMEMADE_CHICKEN_STOCK', _('Homemade Chicken Stock') #homemade chicken stock
	I_HOMINY = 'HOMINY', _('Hominy') #hominy
	I_HONEY = 'HONEY', _('Honey') #honey
	I_HONEY_MUSTARD = 'HONEY_MUSTARD', _('Honey Mustard') #honey mustard
	I_HONEY_MUSTARD_DRESSING = 'HONEY_MUSTARD_DRESSING', _('Honey Mustard Dressing') #honey mustard dressing
	I_HONEY_SUGAR = 'HONEY_SUGAR', _('Honey Sugar') #honey sugar
	I_HONEYDEW = 'HONEYDEW', _('Honeydew') #honeydew
	I_HONEYDEW_MELON = 'HONEYDEW_MELON', _('Honeydew Melon') #honeydew melon
	I_HORSERADISH = 'HORSERADISH', _('Horseradish') #horseradish
	I_HORSERADISH_SAUCE = 'HORSERADISH_SAUCE', _('Horseradish Sauce') #horseradish sauce
	I_HOT_CHILI = 'HOT_CHILI', _('Hot Chili') #hot chili
	I_HOT_CHILI_OIL = 'HOT_CHILI_OIL', _('Hot Chili Oil') #hot chili oil
	I_HOT_CHILI_PASTE = 'HOT_CHILI_PASTE', _('Hot Chili Paste') #hot chili paste
	I_HOT_CHILI_PEPPER = 'HOT_CHILI_PEPPER', _('Hot Chili Pepper') #hot chili pepper
	I_HOT_CHILI_POWDER = 'HOT_CHILI_POWDER', _('Hot Chili Powder') #hot chili powder
	I_HOT_CHILI_SAUCE = 'HOT_CHILI_SAUCE', _('Hot Chili Sauce') #hot chili sauce
	I_HOT_COCOA_MIX = 'HOT_COCOA_MIX', _('Hot Cocoa Mix') #hot cocoa mix
	I_HOT_DOGS = 'HOT_DOGS', _('Hot Dogs') #hot dogs
	I_HOT_FUDGE_TOPPING = 'HOT_FUDGE_TOPPING', _('Hot Fudge Topping') #hot fudge topping
	I_HOT_ITALIAN_SAUSAGES = 'HOT_ITALIAN_SAUSAGES', _('Hot Italian Sausages') #hot italian sausages
	I_HOT_MUSTARD = 'HOT_MUSTARD', _('Hot Mustard') #hot mustard
	I_HOT_PEPPER = 'HOT_PEPPER', _('Hot Pepper') #hot pepper
	I_HOT_PEPPER_SAUCE = 'HOT_PEPPER_SAUCE', _('Hot Pepper Sauce') #hot pepper sauce
	I_HOT_PEPPERS = 'HOT_PEPPERS', _('Hot Peppers') #hot peppers
	I_HOT_PORK_SAUSAGE = 'HOT_PORK_SAUSAGE', _('Hot Pork Sausage') #hot pork sausage
	I_HOT_RED_PEPPER_FLAKES = 'HOT_RED_PEPPER_FLAKES', _('Hot Red Pepper Flakes') #hot red pepper flakes
	I_HOT_SAUCE = 'HOT_SAUCE', _('Hot Sauce') #hot sauce
	I_HOT_SAUSAGE = 'HOT_SAUSAGE', _('Hot Sausage') #hot sausage
	I_HOT_SMOKED_PAPRIKA = 'HOT_SMOKED_PAPRIKA', _('Hot Smoked Paprika') #hot smoked paprika
	I_HOT_WATER = 'HOT_WATER', _('Hot Water') #hot water
	I_HOTHOUSE_CUCUMBER = 'HOTHOUSE_CUCUMBER', _('Hothouse Cucumber') #hothouse cucumber
	I_HOUSE_SEASONING = 'HOUSE_SEASONING', _('House Seasoning') #house seasoning
	I_HUMMUS = 'HUMMUS', _('Hummus') #hummus
	I_HUNGARIAN_PAPRIKA = 'HUNGARIAN_PAPRIKA', _('Hungarian Paprika') #hungarian paprika
	I_HUNGARIAN_SWEET_PAPRIKA = 'HUNGARIAN_SWEET_PAPRIKA', _('Hungarian Sweet Paprika') #hungarian sweet paprika
	I_ICE = 'ICE', _('Ice') #ice
	I_ICE_CREAM = 'ICE_CREAM', _('Ice Cream') #ice cream
	I_ICE_CUBES = 'ICE_CUBES', _('Ice Cubes') #ice cubes
	I_ICE_WATER = 'ICE_WATER', _('Ice Water') #ice water
	I_ICEBERG = 'ICEBERG', _('Iceberg') #iceberg
	I_ICEBERG_LETTUCE = 'ICEBERG_LETTUCE', _('Iceberg Lettuce') #iceberg lettuce
	I_ICING = 'ICING', _('Icing') #icing
	I_ICING_SUGAR = 'ICING_SUGAR', _('Icing Sugar') #icing sugar
	I_IDAHO_POTATOES = 'IDAHO_POTATOES', _('Idaho Potatoes') #idaho potatoes
	I_IMPORTED = 'IMPORTED', _('Imported') #imported
	I_IN_WATER = 'IN_WATER', _('In Water') #in water
	I_INDIAN = 'INDIAN', _('Indian') #indian
	I_INGREDIENTS = 'INGREDIENTS', _('Ingredients') #ingredients
	I_INSTANT = 'INSTANT', _('Instant') #instant
	I_INSTANT_BUTTERSCOTCH_PUDDING_MIX = 'INSTANT_BUTTERSCOTCH_PUDDING_MIX', _('Instant Butterscotch Pudding Mix') #instant butterscotch pudding mix
	I_INSTANT_CHICKEN_BOUILLON = 'INSTANT_CHICKEN_BOUILLON', _('Instant Chicken Bouillon') #instant chicken bouillon
	I_INSTANT_CHICKEN_BOUILLON_GRANULES = 'INSTANT_CHICKEN_BOUILLON_GRANULES', _('Instant Chicken Bouillon Granules') #instant chicken bouillon granules
	I_INSTANT_COFFEE = 'INSTANT_COFFEE', _('Instant Coffee') #instant coffee
	I_INSTANT_ESPRESSO = 'INSTANT_ESPRESSO', _('Instant Espresso') #instant espresso
	I_INSTANT_ESPRESSO_POWDER = 'INSTANT_ESPRESSO_POWDER', _('Instant Espresso Powder') #instant espresso powder
	I_INSTANT_OATS = 'INSTANT_OATS', _('Instant Oats') #instant oats
	I_INSTANT_POTATO_FLAKES = 'INSTANT_POTATO_FLAKES', _('Instant Potato Flakes') #instant potato flakes
	I_INSTANT_PUDDING_MIX = 'INSTANT_PUDDING_MIX', _('Instant Pudding Mix') #instant pudding mix
	I_INSTANT_RICE = 'INSTANT_RICE', _('Instant Rice') #instant rice
	I_INSTANT_WHITE_RICE = 'INSTANT_WHITE_RICE', _('Instant White Rice') #instant white rice
	I_INSTANT_YEAST = 'INSTANT_YEAST', _('Instant Yeast') #instant yeast
	I_IODIZED_SALT = 'IODIZED_SALT', _('Iodized Salt') #iodized salt
	I_IRISH_CREAM_LIQUEUR = 'IRISH_CREAM_LIQUEUR', _('Irish Cream Liqueur') #irish cream liqueur
	I_IRISH_WHISKEY = 'IRISH_WHISKEY', _('Irish Whiskey') #irish whiskey
	I_IRON = 'IRON', _('Iron') #iron
	I_ISRAELI_COUSCOUS = 'ISRAELI_COUSCOUS', _('Israeli Couscous') #israeli couscous
	I_ITALIAN_BREAD = 'ITALIAN_BREAD', _('Italian Bread') #italian bread
	I_ITALIAN_CHEESE = 'ITALIAN_CHEESE', _('Italian Cheese') #italian cheese
	I_ITALIAN_CHEESE_BLEND = 'ITALIAN_CHEESE_BLEND', _('Italian Cheese Blend') #italian cheese blend
	I_ITALIAN_HERBS = 'ITALIAN_HERBS', _('Italian Herbs') #italian herbs
	I_ITALIAN_PARSLEY_LEAVES = 'ITALIAN_PARSLEY_LEAVES', _('Italian Parsley Leaves') #italian parsley leaves
	I_ITALIAN_PLUM_TOMATOES = 'ITALIAN_PLUM_TOMATOES', _('Italian Plum Tomatoes') #italian plum tomatoes
	I_ITALIAN_PORK_SAUSAGE = 'ITALIAN_PORK_SAUSAGE', _('Italian Pork Sausage') #italian pork sausage
	I_ITALIAN_ROLLS = 'ITALIAN_ROLLS', _('Italian Rolls') #italian rolls
	I_ITALIAN_SALAD_DRESSING = 'ITALIAN_SALAD_DRESSING', _('Italian Salad Dressing') #italian salad dressing
	I_ITALIAN_SALAD_DRESSING_MIX = 'ITALIAN_SALAD_DRESSING_MIX', _('Italian Salad Dressing Mix') #italian salad dressing mix
	I_ITALIAN_SAUSAGE = 'ITALIAN_SAUSAGE', _('Italian Sausage') #italian sausage
	I_ITALIAN_SEASONED_BREADCRUMBS = 'ITALIAN_SEASONED_BREADCRUMBS', _('Italian Seasoned Breadcrumbs') #italian seasoned breadcrumbs
	I_ITALIAN_SEASONING = 'ITALIAN_SEASONING', _('Italian Seasoning') #italian seasoning
	I_ITALIAN_TOMATOES = 'ITALIAN_TOMATOES', _('Italian Tomatoes') #italian tomatoes
	I_ITALIAN_TURKEY_SAUSAGE = 'ITALIAN_TURKEY_SAUSAGE', _('Italian Turkey Sausage') #italian turkey sausage
	I_ITALIAN_VINAIGRETTE = 'ITALIAN_VINAIGRETTE', _('Italian Vinaigrette') #italian vinaigrette
	I_JACK = 'JACK', _('Jack') #jack
	I_JACK_CHEESE = 'JACK_CHEESE', _('Jack Cheese') #jack cheese
	I_JACK_DANIELS = 'JACK_DANIELS', _('Jack Daniels') #jack daniels
	I_JAGGERY = 'JAGGERY', _('Jaggery') #jaggery
	I_JALAPENO = 'JALAPENO', _('Jalapeno') #jalapeno
	I_JALAPENO_CHILIES = 'JALAPENO_CHILIES', _('Jalapeno Chilies') #jalapeno chilies
	I_JALAPENO_PEPPER = 'JALAPENO_PEPPER', _('Jalapeno Pepper') #jalapeno pepper
	I_JALAPENO_PEPPERS = 'JALAPENO_PEPPERS', _('Jalapeno Peppers') #jalapeno peppers
	I_JALAPENOS = 'JALAPENOS', _('Jalapenos') #jalapenos
	I_JAM = 'JAM', _('Jam') #jam
	I_JAPANESE_BREADCRUMBS = 'JAPANESE_BREADCRUMBS', _('Japanese Breadcrumbs') #japanese breadcrumbs
	I_JAPANESE_EGGPLANTS = 'JAPANESE_EGGPLANTS', _('Japanese Eggplants') #japanese eggplants
	I_JAPANESE_RICE = 'JAPANESE_RICE', _('Japanese Rice') #japanese rice
	I_JAPANESE_SOY_SAUCE = 'JAPANESE_SOY_SAUCE', _('Japanese Soy Sauce') #japanese soy sauce
	I_JARLSBERG = 'JARLSBERG', _('Jarlsberg') #jarlsberg
	I_JASMINE = 'JASMINE', _('Jasmine') #jasmine
	I_JASMINE_RICE = 'JASMINE_RICE', _('Jasmine Rice') #jasmine rice
	I_JELLO = 'JELLO', _('Jello') #jello
	I_JELLY = 'JELLY', _('Jelly') #jelly
	I_JERK_SEASONING = 'JERK_SEASONING', _('Jerk Seasoning') #jerk seasoning
	I_JICAMA = 'JICAMA', _('Jicama') #jicama
	I_JIFFY_CORN_MUFFIN_MIX = 'JIFFY_CORN_MUFFIN_MIX', _('Jiffy Corn Muffin Mix') #jiffy corn muffin mix
	I_JIMMY_DEAN_SAUSAGE = 'JIMMY_DEAN_SAUSAGE', _('Jimmy Dean Sausage') #jimmy dean sausage
	I_JUICE = 'JUICE', _('Juice') #juice
	I_JUICE_CONCENTRATE = 'JUICE_CONCENTRATE', _('Juice Concentrate') #juice concentrate
	I_JUMBO_PASTA_SHELLS = 'JUMBO_PASTA_SHELLS', _('Jumbo Pasta Shells') #jumbo pasta shells
	I_JUMBO_SHRIMP = 'JUMBO_SHRIMP', _('Jumbo Shrimp') #jumbo shrimp
	I_JUNIPER_BERRIES = 'JUNIPER_BERRIES', _('Juniper Berries') #juniper berries
	I_KABOCHA_SQUASH = 'KABOCHA_SQUASH', _('Kabocha Squash') #kabocha squash
	I_KAFFIR_LIME = 'KAFFIR_LIME', _('Kaffir Lime') #kaffir lime
	I_KAFFIR_LIME_LEAVES = 'KAFFIR_LIME_LEAVES', _('Kaffir Lime Leaves') #kaffir lime leaves
	I_KAHLUA = 'KAHLUA', _('Kahlua') #kahlua
	I_KAISER_ROLLS = 'KAISER_ROLLS', _('Kaiser Rolls') #kaiser rolls
	I_KALAMATA = 'KALAMATA', _('Kalamata') #kalamata
	I_KALAMATA_OLIVES = 'KALAMATA_OLIVES', _('Kalamata Olives') #kalamata olives
	I_KALE = 'KALE', _('Kale') #kale
	I_KALE_LEAVES = 'KALE_LEAVES', _('Kale Leaves') #kale leaves
	I_KAMABOKO = 'KAMABOKO', _('Kamaboko') #kamaboko
	I_KARO_SYRUP = 'KARO_SYRUP', _('Karo Syrup') #karo syrup
	I_KATAKURIKO = 'KATAKURIKO', _('Katakuriko') #katakuriko
	I_KEFIR = 'KEFIR', _('Kefir') #kefir
	I_KETCHUP = 'KETCHUP', _('Ketchup') #ketchup
	I_KETJAP = 'KETJAP', _('Ketjap') #ketjap
	I_KEY_LIME = 'KEY_LIME', _('Key Lime') #key lime
	I_KEY_LIME_JUICE = 'KEY_LIME_JUICE', _('Key Lime Juice') #key lime juice
	I_KIDNEY = 'KIDNEY', _('Kidney') #kidney
	I_KIDNEY_BEANS = 'KIDNEY_BEANS', _('Kidney Beans') #kidney beans
	I_KIELBASA = 'KIELBASA', _('Kielbasa') #kielbasa
	I_KIMCHI = 'KIMCHI', _('Kimchi') #kimchi
	I_KING_PRAWNS = 'KING_PRAWNS', _('King Prawns') #king prawns
	I_KIRBY_CUCUMBERS = 'KIRBY_CUCUMBERS', _('Kirby Cucumbers') #kirby cucumbers
	I_KIRSCH = 'KIRSCH', _('Kirsch') #kirsch
	I_KITCHEN_BOUQUET = 'KITCHEN_BOUQUET', _('Kitchen Bouquet') #kitchen bouquet
	I_KITCHENS = 'KITCHENS', _('Kitchens') #kitchens
	I_KIWI = 'KIWI', _('Kiwi') #kiwi
	I_KIWI_FRUITS = 'KIWI_FRUITS', _('Kiwi Fruits') #kiwi fruits
	I_KNUDSEN_LIGHT_SOUR_CREAM = 'KNUDSEN_LIGHT_SOUR_CREAM', _('Knudsen Light Sour Cream') #knudsen light sour cream
	I_KNUDSEN_SOUR_CREAM = 'KNUDSEN_SOUR_CREAM', _('Knudsen Sour Cream') #knudsen sour cream
	I_KOHLRABI = 'KOHLRABI', _('Kohlrabi') #kohlrabi
	I_KONBU = 'KONBU', _('Konbu') #konbu
	I_KOSHER = 'KOSHER', _('Kosher') #kosher
	I_KOSHER_SALT = 'KOSHER_SALT', _('Kosher Salt') #kosher salt
	I_KRAFT_CLASSIC_RANCH_DRESSING = 'KRAFT_CLASSIC_RANCH_DRESSING', _('Kraft Classic Ranch Dressing') #kraft classic ranch dressing
	I_KRAFT_GRATED_PARMESAN_CHEESE = 'KRAFT_GRATED_PARMESAN_CHEESE', _('Kraft Grated Parmesan Cheese') #kraft grated parmesan cheese
	I_KRAFT_ORIGINAL_BARBECUE_SAUCE = 'KRAFT_ORIGINAL_BARBECUE_SAUCE', _('Kraft Original Barbecue Sauce') #kraft original barbecue sauce
	I_KRAFT_SHARP_CHEDDAR_CHEESE = 'KRAFT_SHARP_CHEDDAR_CHEESE', _('Kraft Sharp Cheddar Cheese') #kraft sharp cheddar cheese
	I_KRAFT_SUN_DRIED_TOMATO_VINAIGRETTE = 'KRAFT_SUN_DRIED_TOMATO_VINAIGRETTE', _('Kraft Sun Dried Tomato Vinaigrette') #kraft sun dried tomato vinaigrette
	I_KRAFT_ZESTY_ITALIAN_DRESSING = 'KRAFT_ZESTY_ITALIAN_DRESSING', _('Kraft Zesty Italian Dressing') #kraft zesty italian dressing
	I_KUMQUATS = 'KUMQUATS', _('Kumquats') #kumquats
	I_LACINATO_KALE = 'LACINATO_KALE', _('Lacinato Kale') #lacinato kale
	I_LADY_APPLES = 'LADY_APPLES', _('Lady Apples') #lady apples
	I_LADY_FINGERS = 'LADY_FINGERS', _('Lady Fingers') #lady fingers
	I_LAGER = 'LAGER', _('Lager') #lager
	I_LAGER_BEER = 'LAGER_BEER', _('Lager Beer') #lager beer
	I_LAMB = 'LAMB', _('Lamb') #lamb
	I_LAMB_CHOPS = 'LAMB_CHOPS', _('Lamb Chops') #lamb chops
	I_LAMB_LOIN = 'LAMB_LOIN', _('Lamb Loin') #lamb loin
	I_LAMB_LOIN_CHOPS = 'LAMB_LOIN_CHOPS', _('Lamb Loin Chops') #lamb loin chops
	I_LAMB_NECK = 'LAMB_NECK', _('Lamb Neck') #lamb neck
	I_LAMB_RIB_CHOPS = 'LAMB_RIB_CHOPS', _('Lamb Rib Chops') #lamb rib chops
	I_LAMB_SHANKS = 'LAMB_SHANKS', _('Lamb Shanks') #lamb shanks
	I_LAMB_SHOULDER = 'LAMB_SHOULDER', _('Lamb Shoulder') #lamb shoulder
	I_LAMB_STEW_MEAT = 'LAMB_STEW_MEAT', _('Lamb Stew Meat') #lamb stew meat
	I_LAMB_STOCK = 'LAMB_STOCK', _('Lamb Stock') #lamb stock
	I_LARD = 'LARD', _('Lard') #lard
	I_LARDONS = 'LARDONS', _('Lardons') #lardons
	I_LARGE_EGG_WHITES = 'LARGE_EGG_WHITES', _('Large Egg Whites') #large egg whites
	I_LARGE_EGG_YOLKS = 'LARGE_EGG_YOLKS', _('Large Egg Yolks') #large egg yolks
	I_LARGE_EGGS = 'LARGE_EGGS', _('Large Eggs') #large eggs
	I_LARGE_GARLIC_CLOVES = 'LARGE_GARLIC_CLOVES', _('Large Garlic Cloves') #large garlic cloves
	I_LARGE_SHRIMP = 'LARGE_SHRIMP', _('Large Shrimp') #large shrimp
	I_LASAGNA_NOODLES = 'LASAGNA_NOODLES', _('Lasagna Noodles') #lasagna noodles
	I_LASAGNA_SHEETS = 'LASAGNA_SHEETS', _('Lasagna Sheets') #lasagna sheets
	I_LASAGNE = 'LASAGNE', _('Lasagne') #lasagne
	I_LAUGHING_COW = 'LAUGHING_COW', _('Laughing Cow') #laughing cow
	I_LAUREL = 'LAUREL', _('Laurel') #laurel
	I_LAVASH = 'LAVASH', _('Lavash') #lavash
	I_LAVENDER = 'LAVENDER', _('Lavender') #lavender
	I_LAVENDER_FLOWERS = 'LAVENDER_FLOWERS', _('Lavender Flowers') #lavender flowers
	I_LEAF_LETTUCE = 'LEAF_LETTUCE', _('Leaf Lettuce') #leaf lettuce
	I_LEAF_PARSLEY = 'LEAF_PARSLEY', _('Leaf Parsley') #leaf parsley
	I_LEAN_BACON = 'LEAN_BACON', _('Lean Bacon') #lean bacon
	I_LEAN_BEEF = 'LEAN_BEEF', _('Lean Beef') #lean beef
	I_LEAN_GROUND_BEEF = 'LEAN_GROUND_BEEF', _('Lean Ground Beef') #lean ground beef
	I_LEAN_GROUND_PORK = 'LEAN_GROUND_PORK', _('Lean Ground Pork') #lean ground pork
	I_LEAN_GROUND_TURKEY = 'LEAN_GROUND_TURKEY', _('Lean Ground Turkey') #lean ground turkey
	I_LEAVES = 'LEAVES', _('Leaves') #leaves
	I_LEAVING = 'LEAVING', _('Leaving') #leaving
	I_LEEK = 'LEEK', _('Leek') #leek
	I_LEEKS = 'LEEKS', _('Leeks') #leeks
	I_LEG_OF_LAMB = 'LEG_OF_LAMB', _('Leg Of Lamb') #leg of lamb
	I_LEG_QUARTERS = 'LEG_QUARTERS', _('Leg Quarters') #leg quarters
	I_LEMON = 'LEMON', _('Lemon') #lemon
	I_LEMON_BALM = 'LEMON_BALM', _('Lemon Balm') #lemon balm
	I_LEMON_CAKE_MIX = 'LEMON_CAKE_MIX', _('Lemon Cake Mix') #lemon cake mix
	I_LEMON_CURD = 'LEMON_CURD', _('Lemon Curd') #lemon curd
	I_LEMON_EXTRACT = 'LEMON_EXTRACT', _('Lemon Extract') #lemon extract
	I_LEMON_FLAVOR = 'LEMON_FLAVOR', _('Lemon Flavor') #lemon flavor
	I_LEMON_GRASS = 'LEMON_GRASS', _('Lemon Grass') #lemon grass
	I_LEMON_JUICE = 'LEMON_JUICE', _('Lemon Juice') #lemon juice
	I_LEMON_PEEL = 'LEMON_PEEL', _('Lemon Peel') #lemon peel
	I_LEMON_PEPPER = 'LEMON_PEPPER', _('Lemon Pepper') #lemon pepper
	I_LEMON_PEPPER_SEASONING = 'LEMON_PEPPER_SEASONING', _('Lemon Pepper Seasoning') #lemon pepper seasoning
	I_LEMON_PUDDING = 'LEMON_PUDDING', _('Lemon Pudding') #lemon pudding
	I_LEMON_RIND = 'LEMON_RIND', _('Lemon Rind') #lemon rind
	I_LEMON_SLICES = 'LEMON_SLICES', _('Lemon Slices') #lemon slices
	I_LEMON_THYME = 'LEMON_THYME', _('Lemon Thyme') #lemon thyme
	I_LEMON_VERBENA = 'LEMON_VERBENA', _('Lemon Verbena') #lemon verbena
	I_LEMON_WEDGE = 'LEMON_WEDGE', _('Lemon Wedge') #lemon wedge
	I_LEMON_ZEST = 'LEMON_ZEST', _('Lemon Zest') #lemon zest
	I_LEMONADE = 'LEMONADE', _('Lemonade') #lemonade
	I_LEMONADE_CONCENTRATE = 'LEMONADE_CONCENTRATE', _('Lemonade Concentrate') #lemonade concentrate
	I_LEMONGRASS = 'LEMONGRASS', _('Lemongrass') #lemongrass
	I_LEMONS = 'LEMONS', _('Lemons') #lemons
	I_LENTILS = 'LENTILS', _('Lentils') #lentils
	I_LESS_SODIUM_CHICKEN_BROTH = 'LESS_SODIUM_CHICKEN_BROTH', _('Less Sodium Chicken Broth') #less sodium chicken broth
	I_LETTUCE = 'LETTUCE', _('Lettuce') #lettuce
	I_LETTUCE_HEARTS = 'LETTUCE_HEARTS', _('Lettuce Hearts') #lettuce hearts
	I_LETTUCE_LEAVES = 'LETTUCE_LEAVES', _('Lettuce Leaves') #lettuce leaves
	I_LICORICE = 'LICORICE', _('Licorice') #licorice
	I_LIGHT_BEER = 'LIGHT_BEER', _('Light Beer') #light beer
	I_LIGHT_BROWN_SUGAR = 'LIGHT_BROWN_SUGAR', _('Light Brown Sugar') #light brown sugar
	I_LIGHT_BUTTER = 'LIGHT_BUTTER', _('Light Butter') #light butter
	I_LIGHT_COCONUT_MILK = 'LIGHT_COCONUT_MILK', _('Light Coconut Milk') #light coconut milk
	I_LIGHT_CORN_SYRUP = 'LIGHT_CORN_SYRUP', _('Light Corn Syrup') #light corn syrup
	I_LIGHT_CREAM = 'LIGHT_CREAM', _('Light Cream') #light cream
	I_LIGHT_CREAM_CHEESE = 'LIGHT_CREAM_CHEESE', _('Light Cream Cheese') #light cream cheese
	I_LIGHT_MARGARINE = 'LIGHT_MARGARINE', _('Light Margarine') #light margarine
	I_LIGHT_MAYONNAISE = 'LIGHT_MAYONNAISE', _('Light Mayonnaise') #light mayonnaise
	I_LIGHT_MOLASSES = 'LIGHT_MOLASSES', _('Light Molasses') #light molasses
	I_LIGHT_RUM = 'LIGHT_RUM', _('Light Rum') #light rum
	I_LIGHT_SOUR_CREAM = 'LIGHT_SOUR_CREAM', _('Light Sour Cream') #light sour cream
	I_LIGHT_SOY_SAUCE = 'LIGHT_SOY_SAUCE', _('Light Soy Sauce') #light soy sauce
	I_LIGHT_SYRUP = 'LIGHT_SYRUP', _('Light Syrup') #light syrup
	I_LIGHT_TUNA = 'LIGHT_TUNA', _('Light Tuna') #light tuna
	I_LILLET = 'LILLET', _('Lillet') #lillet
	I_LIMA_BEANS = 'LIMA_BEANS', _('Lima Beans') #lima beans
	I_LIME = 'LIME', _('Lime') #lime
	I_LIME_JUICE = 'LIME_JUICE', _('Lime Juice') #lime juice
	I_LIME_LEAVES = 'LIME_LEAVES', _('Lime Leaves') #lime leaves
	I_LIME_PEEL = 'LIME_PEEL', _('Lime Peel') #lime peel
	I_LIME_RIND = 'LIME_RIND', _('Lime Rind') #lime rind
	I_LIME_SLICES = 'LIME_SLICES', _('Lime Slices') #lime slices
	I_LIME_WEDGES = 'LIME_WEDGES', _('Lime Wedges') #lime wedges
	I_LIME_ZEST = 'LIME_ZEST', _('Lime Zest') #lime zest
	I_LIMEADE_CONCENTRATE = 'LIMEADE_CONCENTRATE', _('Limeade Concentrate') #limeade concentrate
	I_LIMES = 'LIMES', _('Limes') #limes
	I_LIMONCELLO = 'LIMONCELLO', _('Limoncello') #limoncello
	I_LINGUICA = 'LINGUICA', _('Linguica') #linguica
	I_LINGUINE = 'LINGUINE', _('Linguine') #linguine
	I_LINGUINI = 'LINGUINI', _('Linguini') #linguini
	I_LINKS = 'LINKS', _('Links') #links
	I_LIPTON_ONION_SOUP_MIX = 'LIPTON_ONION_SOUP_MIX', _('Lipton Onion Soup Mix') #lipton onion soup mix
	I_LIQUEUR = 'LIQUEUR', _('Liqueur') #liqueur
	I_LIQUID = 'LIQUID', _('Liquid') #liquid
	I_LIQUID_AMINOS = 'LIQUID_AMINOS', _('Liquid Aminos') #liquid aminos
	I_LIQUID_EGG_SUBSTITUTE = 'LIQUID_EGG_SUBSTITUTE', _('Liquid Egg Substitute') #liquid egg substitute
	I_LIQUID_HONEY = 'LIQUID_HONEY', _('Liquid Honey') #liquid honey
	I_LIQUID_PECTIN = 'LIQUID_PECTIN', _('Liquid Pectin') #liquid pectin
	I_LIQUID_SMOKE = 'LIQUID_SMOKE', _('Liquid Smoke') #liquid smoke
	I_LIQUOR = 'LIQUOR', _('Liquor') #liquor
	I_LITE_COCONUT_MILK = 'LITE_COCONUT_MILK', _('Lite Coconut Milk') #lite coconut milk
	I_LITTLENECK_CLAMS = 'LITTLENECK_CLAMS', _('Littleneck Clams') #littleneck clams
	I_LIVER = 'LIVER', _('Liver') #liver
	I_LIVERWURST = 'LIVERWURST', _('Liverwurst') #liverwurst
	I_LOAVES = 'LOAVES', _('Loaves') #loaves
	I_LOBSTER = 'LOBSTER', _('Lobster') #lobster
	I_LOBSTER_MEAT = 'LOBSTER_MEAT', _('Lobster Meat') #lobster meat
	I_LOBSTER_TAILS = 'LOBSTER_TAILS', _('Lobster Tails') #lobster tails
	I_LOBSTERS = 'LOBSTERS', _('Lobsters') #lobsters
	I_LOIN = 'LOIN', _('Loin') #loin
	I_LONDON_BROIL = 'LONDON_BROIL', _('London Broil') #london broil
	I_LONG_BEANS = 'LONG_BEANS', _('Long Beans') #long beans
	I_LONG_GRAIN_BROWN_RICE = 'LONG_GRAIN_BROWN_RICE', _('Long Grain Brown Rice') #long grain brown rice
	I_LONG_GRAIN_RICE = 'LONG_GRAIN_RICE', _('Long Grain Rice') #long grain rice
	I_LONG_GRAIN_WHITE_RICE = 'LONG_GRAIN_WHITE_RICE', _('Long Grain White Rice') #long grain white rice
	I_LONG_GREEN = 'LONG_GREEN', _('Long Green') #long green
	I_LONGGRAIN_RICE = 'LONGGRAIN_RICE', _('Long-Grain Rice') #long-grain rice
	I_LOUISIANA_HOT_SAUCE = 'LOUISIANA_HOT_SAUCE', _('Louisiana Hot Sauce') #louisiana hot sauce
	I_LOVE = 'LOVE', _('Love') #love
	I_LOW_FAT = 'LOW_FAT', _('Low Fat') #low fat
	I_LOW_SALT_CHICKEN_BROTH = 'LOW_SALT_CHICKEN_BROTH', _('Low Salt Chicken Broth') #low salt chicken broth
	I_LOW_SODIUM = 'LOW_SODIUM', _('Low Sodium') #low sodium
	I_LOW_SODIUM_BEEF_BROTH = 'LOW_SODIUM_BEEF_BROTH', _('Low Sodium Beef Broth') #low sodium beef broth
	I_LOW_SODIUM_CHICKEN = 'LOW_SODIUM_CHICKEN', _('Low Sodium Chicken') #low sodium chicken
	I_LOW_SODIUM_CHICKEN_BROTH = 'LOW_SODIUM_CHICKEN_BROTH', _('Low Sodium Chicken Broth') #low sodium chicken broth
	I_LOW_SODIUM_CHICKEN_STOCK = 'LOW_SODIUM_CHICKEN_STOCK', _('Low Sodium Chicken Stock') #low sodium chicken stock
	I_LOW_SODIUM_SOY_SAUCE = 'LOW_SODIUM_SOY_SAUCE', _('Low Sodium Soy Sauce') #low sodium soy sauce
	I_LOW_SODIUM_VEGETABLE_BROTH = 'LOW_SODIUM_VEGETABLE_BROTH', _('Low Sodium Vegetable Broth') #low sodium vegetable broth
	I_LOWFAT_MILK = 'LOWFAT_MILK', _('Low-Fat Milk') #low-fat milk
	I_LOWFAT_YOGURT = 'LOWFAT_YOGURT', _('Lowfat Yogurt') #lowfat yogurt
	I_LUMP_CRAB_MEAT = 'LUMP_CRAB_MEAT', _('Lump Crab Meat') #lump crab meat
	I_LUMPIA_WRAPPERS = 'LUMPIA_WRAPPERS', _('Lumpia Wrappers') #lumpia wrappers
	I_LUNCHEON_MEAT = 'LUNCHEON_MEAT', _('Luncheon Meat') #luncheon meat
	I_LYCHEE = 'LYCHEE', _('Lychee') #lychee
	I_MACADAMIA_NUTS = 'MACADAMIA_NUTS', _('Macadamia Nuts') #macadamia nuts
	I_MACARONI = 'MACARONI', _('Macaroni') #macaroni
	I_MACARONI_AND_CHEESE_DINNER = 'MACARONI_AND_CHEESE_DINNER', _('Macaroni And Cheese Dinner') #macaroni and cheese dinner
	I_MACE = 'MACE', _('Mace') #mace
	I_MACKEREL = 'MACKEREL', _('Mackerel') #mackerel
	I_MADEIRA = 'MADEIRA', _('Madeira') #madeira
	I_MADEIRA_WINE = 'MADEIRA_WINE', _('Madeira Wine') #madeira wine
	I_MADRAS_CURRY_POWDER = 'MADRAS_CURRY_POWDER', _('Madras Curry Powder') #madras curry powder
	I_MAGGI = 'MAGGI', _('Maggi') #maggi
	I_MAHI_MAHI = 'MAHI_MAHI', _('Mahi Mahi') #mahi mahi
	I_MAHI_MAHI_FILLETS = 'MAHI_MAHI_FILLETS', _('Mahi Mahi Fillets') #mahi mahi fillets
	I_MALT = 'MALT', _('Malt') #malt
	I_MALT_VINEGAR = 'MALT_VINEGAR', _('Malt Vinegar') #malt vinegar
	I_MALTED_MILK = 'MALTED_MILK', _('Malted Milk') #malted milk
	I_MALTED_MILK_POWDER = 'MALTED_MILK_POWDER', _('Malted Milk Powder') #malted milk powder
	I_MANCHEGO_CHEESE = 'MANCHEGO_CHEESE', _('Manchego Cheese') #manchego cheese
	I_MANDARIN_ORANGE_SEGMENTS = 'MANDARIN_ORANGE_SEGMENTS', _('Mandarin Orange Segments') #mandarin orange segments
	I_MANDARIN_ORANGES = 'MANDARIN_ORANGES', _('Mandarin Oranges') #mandarin oranges
	I_MANGO = 'MANGO', _('Mango') #mango
	I_MANGO_CHUTNEY = 'MANGO_CHUTNEY', _('Mango Chutney') #mango chutney
	I_MANGO_POWDER = 'MANGO_POWDER', _('Mango Powder') #mango powder
	I_MANGO_PUREE = 'MANGO_PUREE', _('Mango Puree') #mango puree
	I_MANGOES = 'MANGOES', _('Mangoes') #mangoes
	I_MANGOS = 'MANGOS', _('Mangos') #mangos
	I_MANICOTTI = 'MANICOTTI', _('Manicotti') #manicotti
	I_MANZANILLA = 'MANZANILLA', _('Manzanilla') #manzanilla
	I_MAPLE_EXTRACT = 'MAPLE_EXTRACT', _('Maple Extract') #maple extract
	I_MAPLE_SUGAR = 'MAPLE_SUGAR', _('Maple Sugar') #maple sugar
	I_MAPLE_SYRUP = 'MAPLE_SYRUP', _('Maple Syrup') #maple syrup
	I_MARASCHINO = 'MARASCHINO', _('Maraschino') #maraschino
	I_MARASCHINO_CHERRIES = 'MARASCHINO_CHERRIES', _('Maraschino Cherries') #maraschino cherries
	I_MARCONA_ALMONDS = 'MARCONA_ALMONDS', _('Marcona Almonds') #marcona almonds
	I_MARGARINE = 'MARGARINE', _('Margarine') #margarine
	I_MARGARITA_MIX = 'MARGARITA_MIX', _('Margarita Mix') #margarita mix
	I_MARINADE = 'MARINADE', _('Marinade') #marinade
	I_MARINARA_SAUCE = 'MARINARA_SAUCE', _('Marinara Sauce') #marinara sauce
	I_MARJORAM = 'MARJORAM', _('Marjoram') #marjoram
	I_MARJORAM_LEAVES = 'MARJORAM_LEAVES', _('Marjoram Leaves') #marjoram leaves
	I_MARMALADE = 'MARMALADE', _('Marmalade') #marmalade
	I_MARMITE = 'MARMITE', _('Marmite') #marmite
	I_MARROW = 'MARROW', _('Marrow') #marrow
	I_MARSALA_WINE = 'MARSALA_WINE', _('Marsala Wine') #marsala wine
	I_MARSHMALLOW = 'MARSHMALLOW', _('Marshmallow') #marshmallow
	I_MARSHMALLOW_CREAM = 'MARSHMALLOW_CREAM', _('Marshmallow Cream') #marshmallow cream
	I_MARSHMALLOW_CREME = 'MARSHMALLOW_CREME', _('Marshmallow Creme') #marshmallow creme
	I_MARSHMALLOWS = 'MARSHMALLOWS', _('Marshmallows') #marshmallows
	I_MARZIPAN = 'MARZIPAN', _('Marzipan') #marzipan
	I_MASA = 'MASA', _('Masa') #masa
	I_MASA_HARINA = 'MASA_HARINA', _('Masa Harina') #masa harina
	I_MASALA = 'MASALA', _('Masala') #masala
	I_MASCARPONE = 'MASCARPONE', _('Mascarpone') #mascarpone
	I_MASCARPONE_CHEESE = 'MASCARPONE_CHEESE', _('Mascarpone Cheese') #mascarpone cheese
	I_MASHED_BANANA = 'MASHED_BANANA', _('Mashed Banana') #mashed banana
	I_MASHED_POTATOES = 'MASHED_POTATOES', _('Mashed Potatoes') #mashed potatoes
	I_MATCHA = 'MATCHA', _('Matcha') #matcha
	I_MATURE_CHEDDAR = 'MATURE_CHEDDAR', _('Mature Cheddar') #mature cheddar
	I_MATZO_MEAL = 'MATZO_MEAL', _('Matzo Meal') #matzo meal
	I_MAYONAISE = 'MAYONAISE', _('Mayonaise') #mayonaise
	I_MAYONNAISE = 'MAYONNAISE', _('Mayonnaise') #mayonnaise
	I_MCINTOSH_APPLES = 'MCINTOSH_APPLES', _('Mcintosh Apples') #mcintosh apples
	I_MEAL = 'MEAL', _('Meal') #meal
	I_MEAT = 'MEAT', _('Meat') #meat
	I_MEAT_TENDERIZER = 'MEAT_TENDERIZER', _('Meat Tenderizer') #meat tenderizer
	I_MEATBALLS = 'MEATBALLS', _('Meatballs') #meatballs
	I_MEATLOAF = 'MEATLOAF', _('Meatloaf') #meatloaf
	I_MEDITERRANEAN = 'MEDITERRANEAN', _('Mediterranean') #mediterranean
	I_MEDIUM_EGG_NOODLES = 'MEDIUM_EGG_NOODLES', _('Medium Egg Noodles') #medium egg noodles
	I_MEDIUM_EGGS = 'MEDIUM_EGGS', _('Medium Eggs') #medium eggs
	I_MEDIUM_HEAT = 'MEDIUM_HEAT', _('Medium Heat') #medium heat
	I_MEDIUM_POTATOES = 'MEDIUM_POTATOES', _('Medium Potatoes') #medium potatoes
	I_MEDIUM_SHRIMP = 'MEDIUM_SHRIMP', _('Medium Shrimp') #medium shrimp
	I_MEDIUM_TOMATOES = 'MEDIUM_TOMATOES', _('Medium Tomatoes') #medium tomatoes
	I_MEDIUM_ZUCCHINI = 'MEDIUM_ZUCCHINI', _('Medium Zucchini') #medium zucchini
	I_MELON = 'MELON', _('Melon') #melon
	I_MELON_LIQUEUR = 'MELON_LIQUEUR', _('Melon Liqueur') #melon liqueur
	I_MELTED_BUTTER = 'MELTED_BUTTER', _('Melted Butter') #melted butter
	I_MENTSUYU = 'MENTSUYU', _('Mentsuyu') #mentsuyu
	I_MERINGUE = 'MERINGUE', _('Meringue') #meringue
	I_MERINGUE_POWDER = 'MERINGUE_POWDER', _('Meringue Powder') #meringue powder
	I_MERLOT = 'MERLOT', _('Merlot') #merlot
	I_MESCLUN = 'MESCLUN', _('Mesclun') #mesclun
	I_METHI = 'METHI', _('Methi') #methi
	I_MEXICAN_BEER = 'MEXICAN_BEER', _('Mexican Beer') #mexican beer
	I_MEXICAN_CHEESE = 'MEXICAN_CHEESE', _('Mexican Cheese') #mexican cheese
	I_MEXICAN_CHEESE_BLEND = 'MEXICAN_CHEESE_BLEND', _('Mexican Cheese Blend') #mexican cheese blend
	I_MEXICAN_CHOCOLATE = 'MEXICAN_CHOCOLATE', _('Mexican Chocolate') #mexican chocolate
	I_MEXICAN_CHORIZO = 'MEXICAN_CHORIZO', _('Mexican Chorizo') #mexican chorizo
	I_MEXICAN_OREGANO = 'MEXICAN_OREGANO', _('Mexican Oregano') #mexican oregano
	I_MEXICORN = 'MEXICORN', _('Mexicorn') #mexicorn
	I_MEYER_LEMON = 'MEYER_LEMON', _('Meyer Lemon') #meyer lemon
	I_MEYER_LEMON_JUICE = 'MEYER_LEMON_JUICE', _('Meyer Lemon Juice') #meyer lemon juice
	I_MIDDLE_EASTERN = 'MIDDLE_EASTERN', _('Middle Eastern') #middle eastern
	I_MILD_CHEDDAR_CHEESE = 'MILD_CHEDDAR_CHEESE', _('Mild Cheddar Cheese') #mild cheddar cheese
	I_MILD_CURRY_POWDER = 'MILD_CURRY_POWDER', _('Mild Curry Powder') #mild curry powder
	I_MILD_ITALIAN_SAUSAGE = 'MILD_ITALIAN_SAUSAGE', _('Mild Italian Sausage') #mild italian sausage
	I_MILD_SALSA = 'MILD_SALSA', _('Mild Salsa') #mild salsa
	I_MILD_SAUSAGE = 'MILD_SAUSAGE', _('Mild Sausage') #mild sausage
	I_MILK = 'MILK', _('Milk') #milk
	I_MILK_CHOCOLATE = 'MILK_CHOCOLATE', _('Milk Chocolate') #milk chocolate
	I_MILK_CHOCOLATE_CHIPS = 'MILK_CHOCOLATE_CHIPS', _('Milk Chocolate Chips') #milk chocolate chips
	I_MILK_POWDER = 'MILK_POWDER', _('Milk Powder') #milk powder
	I_MILKFAT = 'MILKFAT', _('Milkfat') #milkfat
	I_MILLET = 'MILLET', _('Millet') #millet
	I_MINCED_BEEF = 'MINCED_BEEF', _('Minced Beef') #minced beef
	I_MINCED_CHICKEN = 'MINCED_CHICKEN', _('Minced Chicken') #minced chicken
	I_MINCED_CLAMS = 'MINCED_CLAMS', _('Minced Clams') #minced clams
	I_MINCED_GARLIC = 'MINCED_GARLIC', _('Minced Garlic') #minced garlic
	I_MINCED_GINGER = 'MINCED_GINGER', _('Minced Ginger') #minced ginger
	I_MINCED_MEAT = 'MINCED_MEAT', _('Minced Meat') #minced meat
	I_MINCED_ONION = 'MINCED_ONION', _('Minced Onion') #minced onion
	I_MINCED_PARSLEY = 'MINCED_PARSLEY', _('Minced Parsley') #minced parsley
	I_MINCED_PORK = 'MINCED_PORK', _('Minced Pork') #minced pork
	I_MINCEMEAT = 'MINCEMEAT', _('Mincemeat') #mincemeat
	I_MINERAL_WATER = 'MINERAL_WATER', _('Mineral Water') #mineral water
	I_MINI_CHOCOLATE_CHIPS = 'MINI_CHOCOLATE_CHIPS', _('Mini Chocolate Chips') #mini chocolate chips
	I_MINI_MARSHMALLOWS = 'MINI_MARSHMALLOWS', _('Mini Marshmallows') #mini marshmallows
	I_MINIATURE_CHOCOLATE_CHIPS = 'MINIATURE_CHOCOLATE_CHIPS', _('Miniature Chocolate Chips') #miniature chocolate chips
	I_MINIATURE_SEMISWEET_CHOCOLATE_CHIPS = 'MINIATURE_SEMISWEET_CHOCOLATE_CHIPS', _('Miniature Semisweet Chocolate Chips') #miniature semisweet chocolate chips
	I_MINT = 'MINT', _('Mint') #mint
	I_MINT_CHOCOLATE_CHIP_ICE_CREAM = 'MINT_CHOCOLATE_CHIP_ICE_CREAM', _('Mint Chocolate Chip Ice Cream') #mint chocolate chip ice cream
	I_MINT_EXTRACT = 'MINT_EXTRACT', _('Mint Extract') #mint extract
	I_MINT_LEAVES = 'MINT_LEAVES', _('Mint Leaves') #mint leaves
	I_MINT_SPRIGS = 'MINT_SPRIGS', _('Mint Sprigs') #mint sprigs
	I_MINUTE_RICE = 'MINUTE_RICE', _('Minute Rice') #minute rice
	I_MINUTE_WHITE_RICE = 'MINUTE_WHITE_RICE', _('Minute White Rice') #minute white rice
	I_MIRIN = 'MIRIN', _('Mirin') #mirin
	I_MISO = 'MISO', _('Miso') #miso
	I_MISO_PASTE = 'MISO_PASTE', _('Miso Paste') #miso paste
	I_MISSION_FIGS = 'MISSION_FIGS', _('Mission Figs') #mission figs
	I_MIX = 'MIX', _('Mix') #mix
	I_MIXED_DRIED_FRUIT = 'MIXED_DRIED_FRUIT', _('Mixed Dried Fruit') #mixed dried fruit
	I_MIXED_FRUIT = 'MIXED_FRUIT', _('Mixed Fruit') #mixed fruit
	I_MIXED_GREENS = 'MIXED_GREENS', _('Mixed Greens') #mixed greens
	I_MIXED_MUSHROOMS = 'MIXED_MUSHROOMS', _('Mixed Mushrooms') #mixed mushrooms
	I_MIXED_NUTS = 'MIXED_NUTS', _('Mixed Nuts') #mixed nuts
	I_MIXED_SPICE = 'MIXED_SPICE', _('Mixed Spice') #mixed spice
	I_MIXED_VEGETABLES = 'MIXED_VEGETABLES', _('Mixed Vegetables') #mixed vegetables
	I_MIZUNA = 'MIZUNA', _('Mizuna') #mizuna
	I_MOCHI = 'MOCHI', _('Mochi') #mochi
	I_MOCHIKO = 'MOCHIKO', _('Mochiko') #mochiko
	I_MOLASSES = 'MOLASSES', _('Molasses') #molasses
	I_MONKFISH = 'MONKFISH', _('Monkfish') #monkfish
	I_MONOSODIUM = 'MONOSODIUM', _('Monosodium') #monosodium
	I_MONOSODIUM_GLUTAMATE = 'MONOSODIUM_GLUTAMATE', _('Monosodium Glutamate') #monosodium glutamate
	I_MONTEREY_JACK = 'MONTEREY_JACK', _('Monterey Jack') #monterey jack
	I_MONTEREY_JACK_CHEESE = 'MONTEREY_JACK_CHEESE', _('Monterey Jack Cheese') #monterey jack cheese
	I_MONTREAL_STEAK_SEASONING = 'MONTREAL_STEAK_SEASONING', _('Montreal Steak Seasoning') #montreal steak seasoning
	I_MOONG_DAL = 'MOONG_DAL', _('Moong Dal') #moong dal
	I_MORE = 'MORE', _('More') #more
	I_MORSELS = 'MORSELS', _('Morsels') #morsels
	I_MORTADELLA = 'MORTADELLA', _('Mortadella') #mortadella
	I_MOUSSE = 'MOUSSE', _('Mousse') #mousse
	I_MOZZARELLA = 'MOZZARELLA', _('Mozzarella') #mozzarella
	I_MOZZARELLA_BALLS = 'MOZZARELLA_BALLS', _('Mozzarella Balls') #mozzarella balls
	I_MOZZARELLA_CHEESE = 'MOZZARELLA_CHEESE', _('Mozzarella Cheese') #mozzarella cheese
	I_MOZZARELLA_STRING_CHEESE = 'MOZZARELLA_STRING_CHEESE', _('Mozzarella String Cheese') #mozzarella string cheese
	I_MSG = 'MSG', _('Msg') #msg
	I_MUCH = 'MUCH', _('Much') #much
	I_MUENSTER = 'MUENSTER', _('Muenster') #muenster
	I_MUENSTER_CHEESE = 'MUENSTER_CHEESE', _('Muenster Cheese') #muenster cheese
	I_MUESLI = 'MUESLI', _('Muesli') #muesli
	I_MUFFIN = 'MUFFIN', _('Muffin') #muffin
	I_MUFFIN_MIX = 'MUFFIN_MIX', _('Muffin Mix') #muffin mix
	I_MUFFINS = 'MUFFINS', _('Muffins') #muffins
	I_MULBERRIES = 'MULBERRIES', _('Mulberries') #mulberries
	I_MULTIGRAIN_BREAD = 'MULTIGRAIN_BREAD', _('Multigrain Bread') #multigrain bread
	I_MUNG_BEAN = 'MUNG_BEAN', _('Mung Bean') #mung bean
	I_MUNG_BEAN_SPROUTS = 'MUNG_BEAN_SPROUTS', _('Mung Bean Sprouts') #mung bean sprouts
	I_MUNG_BEANS = 'MUNG_BEANS', _('Mung Beans') #mung beans
	I_MUSCAT = 'MUSCAT', _('Muscat') #muscat
	I_MUSCOVADO_SUGAR = 'MUSCOVADO_SUGAR', _('Muscovado Sugar') #muscovado sugar
	I_MUSHROOM = 'MUSHROOM', _('Mushroom') #mushroom
	I_MUSHROOM_BROTH = 'MUSHROOM_BROTH', _('Mushroom Broth') #mushroom broth
	I_MUSHROOM_CAPS = 'MUSHROOM_CAPS', _('Mushroom Caps') #mushroom caps
	I_MUSHROOM_SOUP = 'MUSHROOM_SOUP', _('Mushroom Soup') #mushroom soup
	I_MUSHROOMS = 'MUSHROOMS', _('Mushrooms') #mushrooms
	I_MUSSELS = 'MUSSELS', _('Mussels') #mussels
	I_MUSTARD = 'MUSTARD', _('Mustard') #mustard
	I_MUSTARD_GREENS = 'MUSTARD_GREENS', _('Mustard Greens') #mustard greens
	I_MUSTARD_OIL = 'MUSTARD_OIL', _('Mustard Oil') #mustard oil
	I_MUSTARD_POWDER = 'MUSTARD_POWDER', _('Mustard Powder') #mustard powder
	I_MUSTARD_SEED = 'MUSTARD_SEED', _('Mustard Seed') #mustard seed
	I_MUSTARD_SEEDS = 'MUSTARD_SEEDS', _('Mustard Seeds') #mustard seeds
	I_MUTTON = 'MUTTON', _('Mutton') #mutton
	I_NAAN = 'NAAN', _('Naan') #naan
	I_NACHO_CHIPS = 'NACHO_CHIPS', _('Nacho Chips') #nacho chips
	I_NAM_PLA = 'NAM_PLA', _('Nam Pla') #nam pla
	I_NAMA_SHOYU = 'NAMA_SHOYU', _('Nama Shoyu') #nama shoyu
	I_NAPA_CABBAGE = 'NAPA_CABBAGE', _('Napa Cabbage') #napa cabbage
	I_NATURAL = 'NATURAL', _('Natural') #natural
	I_NATURAL_PEANUT_BUTTER = 'NATURAL_PEANUT_BUTTER', _('Natural Peanut Butter') #natural peanut butter
	I_NATURAL_YOGURT = 'NATURAL_YOGURT', _('Natural Yogurt') #natural yogurt
	I_NAVEL_ORANGES = 'NAVEL_ORANGES', _('Navel Oranges') #navel oranges
	I_NAVY_BEANS = 'NAVY_BEANS', _('Navy Beans') #navy beans
	I_NECTARINES = 'NECTARINES', _('Nectarines') #nectarines
	I_NEUFCHATEL_CHEESE = 'NEUFCHATEL_CHEESE', _('Neufchatel Cheese') #neufchatel cheese
	I_NEUTRAL_OIL = 'NEUTRAL_OIL', _('Neutral Oil') #neutral oil
	I_NEW_POTATOES = 'NEW_POTATOES', _('New Potatoes') #new potatoes
	I_NEW_YORK_STRIP_STEAKS = 'NEW_YORK_STRIP_STEAKS', _('New York Strip Steaks') #new york strip steaks
	I_NIGELLA_SEEDS = 'NIGELLA_SEEDS', _('Nigella Seeds') #nigella seeds
	I_NO = 'NO', _('No') #no
	I_NONDAIRY_CREAMER = 'NONDAIRY_CREAMER', _('Nondairy Creamer') #nondairy creamer
	I_NONDAIRY_WHIPPED_TOPPING = 'NONDAIRY_WHIPPED_TOPPING', _('Nondairy Whipped Topping') #nondairy whipped topping
	I_NONFAT_DRY_MILK = 'NONFAT_DRY_MILK', _('Nonfat Dry Milk') #nonfat dry milk
	I_NONFAT_DRY_MILK_POWDER = 'NONFAT_DRY_MILK_POWDER', _('Nonfat Dry Milk Powder') #nonfat dry milk powder
	I_NONFAT_GREEK_YOGURT = 'NONFAT_GREEK_YOGURT', _('Nonfat Greek Yogurt') #nonfat greek yogurt
	I_NONFAT_MILK = 'NONFAT_MILK', _('Nonfat Milk') #nonfat milk
	I_NONFAT_PLAIN_GREEK_YOGURT = 'NONFAT_PLAIN_GREEK_YOGURT', _('Nonfat Plain Greek Yogurt') #nonfat plain greek yogurt
	I_NONFAT_POWDERED_MILK = 'NONFAT_POWDERED_MILK', _('Nonfat Powdered Milk') #nonfat powdered milk
	I_NONFAT_VANILLA_YOGURT = 'NONFAT_VANILLA_YOGURT', _('Nonfat Vanilla Yogurt') #nonfat vanilla yogurt
	I_NONFAT_YOGURT = 'NONFAT_YOGURT', _('Nonfat Yogurt') #nonfat yogurt
	I_NONHYDROGENATED_MARGARINE = 'NONHYDROGENATED_MARGARINE', _('Nonhydrogenated Margarine') #nonhydrogenated margarine
	I_NONSTICK_SPRAY = 'NONSTICK_SPRAY', _('Nonstick Spray') #nonstick spray
	I_NOODLES = 'NOODLES', _('Noodles') #noodles
	I_NORI = 'NORI', _('Nori') #nori
	I_NORI_SEAWEED = 'NORI_SEAWEED', _('Nori Seaweed') #nori seaweed
	I_NOT_AVAILABLE = 'NOT_AVAILABLE', _('Not Available') #not available
	I_NUOC_MAM = 'NUOC_MAM', _('Nuoc Mam') #nuoc mam
	I_NUT = 'NUT', _('Nut') #nut
	I_NUT_BUTTER = 'NUT_BUTTER', _('Nut Butter') #nut butter
	I_NUTELLA = 'NUTELLA', _('Nutella') #nutella
	I_NUTMEG = 'NUTMEG', _('Nutmeg') #nutmeg
	I_NUTRITIONAL_YEAST = 'NUTRITIONAL_YEAST', _('Nutritional Yeast') #nutritional yeast
	I_NUTRITIONAL_YEAST_FLAKES = 'NUTRITIONAL_YEAST_FLAKES', _('Nutritional Yeast Flakes') #nutritional yeast flakes
	I_NUTS = 'NUTS', _('Nuts') #nuts
	I_OAT_BRAN = 'OAT_BRAN', _('Oat Bran') #oat bran
	I_OAT_FLOUR = 'OAT_FLOUR', _('Oat Flour') #oat flour
	I_OATMEAL = 'OATMEAL', _('Oatmeal') #oatmeal
	I_OATS = 'OATS', _('Oats') #oats
	I_OIL = 'OIL', _('Oil') #oil
	I_OILS = 'OILS', _('Oils') #oils
	I_OKRA = 'OKRA', _('Okra') #okra
	I_OLD_BAY_SEASONING = 'OLD_BAY_SEASONING', _('Old Bay Seasoning') #old bay seasoning
	I_OLEO = 'OLEO', _('Oleo') #oleo
	I_OLIVE = 'OLIVE', _('Olive') #olive
	I_OLIVE_OIL = 'OLIVE_OIL', _('Olive Oil') #olive oil
	I_OLIVE_OIL_COOKING_SPRAY = 'OLIVE_OIL_COOKING_SPRAY', _('Olive Oil Cooking Spray') #olive oil cooking spray
	I_OLIVE_OIL_FLAVORED_COOKING_SPRAY = 'OLIVE_OIL_FLAVORED_COOKING_SPRAY', _('Olive Oil Flavored Cooking Spray') #olive oil flavored cooking spray
	I_OLIVE_OIL_SPRAY = 'OLIVE_OIL_SPRAY', _('Olive Oil Spray') #olive oil spray
	I_OLIVES = 'OLIVES', _('Olives') #olives
	I_ONION = 'ONION', _('Onion') #onion
	I_ONION_FLAKES = 'ONION_FLAKES', _('Onion Flakes') #onion flakes
	I_ONION_POWDER = 'ONION_POWDER', _('Onion Powder') #onion powder
	I_ONION_RINGS = 'ONION_RINGS', _('Onion Rings') #onion rings
	I_ONION_SALT = 'ONION_SALT', _('Onion Salt') #onion salt
	I_ONION_SLICES = 'ONION_SLICES', _('Onion Slices') #onion slices
	I_ONION_SOUP = 'ONION_SOUP', _('Onion Soup') #onion soup
	I_ONION_SOUP_MIX = 'ONION_SOUP_MIX', _('Onion Soup Mix') #onion soup mix
	I_ONION_TOPS = 'ONION_TOPS', _('Onion Tops') #onion tops
	I_ONIONS = 'ONIONS', _('Onions') #onions
	I_ORANGE = 'ORANGE', _('Orange') #orange
	I_ORANGE_BELL_PEPPER = 'ORANGE_BELL_PEPPER', _('Orange Bell Pepper') #orange bell pepper
	I_ORANGE_BITTERS = 'ORANGE_BITTERS', _('Orange Bitters') #orange bitters
	I_ORANGE_BLOSSOM = 'ORANGE_BLOSSOM', _('Orange Blossom') #orange blossom
	I_ORANGE_BLOSSOM_HONEY = 'ORANGE_BLOSSOM_HONEY', _('Orange Blossom Honey') #orange blossom honey
	I_ORANGE_EXTRACT = 'ORANGE_EXTRACT', _('Orange Extract') #orange extract
	I_ORANGE_FLOWER_WATER = 'ORANGE_FLOWER_WATER', _('Orange Flower Water') #orange flower water
	I_ORANGE_JUICE = 'ORANGE_JUICE', _('Orange Juice') #orange juice
	I_ORANGE_JUICE_CONCENTRATE = 'ORANGE_JUICE_CONCENTRATE', _('Orange Juice Concentrate') #orange juice concentrate
	I_ORANGE_LIQUEUR = 'ORANGE_LIQUEUR', _('Orange Liqueur') #orange liqueur
	I_ORANGE_MARMALADE = 'ORANGE_MARMALADE', _('Orange Marmalade') #orange marmalade
	I_ORANGE_PEEL = 'ORANGE_PEEL', _('Orange Peel') #orange peel
	I_ORANGE_RIND = 'ORANGE_RIND', _('Orange Rind') #orange rind
	I_ORANGE_ROUGHY = 'ORANGE_ROUGHY', _('Orange Roughy') #orange roughy
	I_ORANGE_SEGMENTS = 'ORANGE_SEGMENTS', _('Orange Segments') #orange segments
	I_ORANGE_SLICES = 'ORANGE_SLICES', _('Orange Slices') #orange slices
	I_ORANGE_ZEST = 'ORANGE_ZEST', _('Orange Zest') #orange zest
	I_ORANGES = 'ORANGES', _('Oranges') #oranges
	I_ORECCHIETTE = 'ORECCHIETTE', _('Orecchiette') #orecchiette
	I_OREGANO = 'OREGANO', _('Oregano') #oregano
	I_OREGANO_LEAVES = 'OREGANO_LEAVES', _('Oregano Leaves') #oregano leaves
	I_OREO = 'OREO', _('Oreo') #oreo
	I_OREOS = 'OREOS', _('Oreos') #oreos
	I_ORGANIC = 'ORGANIC', _('Organic') #organic
	I_ORGANIC_APPLE = 'ORGANIC_APPLE', _('Organic Apple') #organic apple
	I_ORGANIC_CHICKEN = 'ORGANIC_CHICKEN', _('Organic Chicken') #organic chicken
	I_ORGANIC_SUGAR = 'ORGANIC_SUGAR', _('Organic Sugar') #organic sugar
	I_ORGANIC_VEGETABLE_BROTH = 'ORGANIC_VEGETABLE_BROTH', _('Organic Vegetable Broth') #organic vegetable broth
	I_ORZO = 'ORZO', _('Orzo') #orzo
	I_ORZO_PASTA = 'ORZO_PASTA', _('Orzo Pasta') #orzo pasta
	I_OSCAR_MAYER_BACON = 'OSCAR_MAYER_BACON', _('Oscar Mayer Bacon') #oscar mayer bacon
	I_OTHER = 'OTHER', _('Other') #other
	I_OTHER_HERBS = 'OTHER_HERBS', _('Other Herbs') #other herbs
	I_OTHER_NUTS = 'OTHER_NUTS', _('Other Nuts') #other nuts
	I_OUZO = 'OUZO', _('Ouzo') #ouzo
	I_OXTAILS = 'OXTAILS', _('Oxtails') #oxtails
	I_OYSTER = 'OYSTER', _('Oyster') #oyster
	I_OYSTER_MUSHROOMS = 'OYSTER_MUSHROOMS', _('Oyster Mushrooms') #oyster mushrooms
	I_OYSTER_SAUCE = 'OYSTER_SAUCE', _('Oyster Sauce') #oyster sauce
	I_OYSTERS = 'OYSTERS', _('Oysters') #oysters
	I_PACE_PICANTE_SAUCE = 'PACE_PICANTE_SAUCE', _('Pace Picante Sauce') #pace picante sauce
	I_PACKED = 'PACKED', _('Packed') #packed
	I_PALM = 'PALM', _('Palm') #palm
	I_PALM_SUGAR = 'PALM_SUGAR', _('Palm Sugar') #palm sugar
	I_PAM_COOKING_SPRAY = 'PAM_COOKING_SPRAY', _('Pam Cooking Spray') #pam cooking spray
	I_PAN_DRIPPINGS = 'PAN_DRIPPINGS', _('Pan Drippings') #pan drippings
	I_PANCAKE = 'PANCAKE', _('Pancake') #pancake
	I_PANCAKE_MIX = 'PANCAKE_MIX', _('Pancake Mix') #pancake mix
	I_PANCETTA = 'PANCETTA', _('Pancetta') #pancetta
	I_PANEER = 'PANEER', _('Paneer') #paneer
	I_PANKO = 'PANKO', _('Panko') #panko
	I_PANKO_BREAD_CRUMBS = 'PANKO_BREAD_CRUMBS', _('Panko Bread Crumbs') #panko bread crumbs
	I_PANKO_BREADCRUMBS = 'PANKO_BREADCRUMBS', _('Panko Breadcrumbs') #panko breadcrumbs
	I_PAPAYA = 'PAPAYA', _('Papaya') #papaya
	I_PAPAYAS = 'PAPAYAS', _('Papayas') #papayas
	I_PAPPARDELLE = 'PAPPARDELLE', _('Pappardelle') #pappardelle
	I_PAPPARDELLE_PASTA = 'PAPPARDELLE_PASTA', _('Pappardelle Pasta') #pappardelle pasta
	I_PAPRIKA = 'PAPRIKA', _('Paprika') #paprika
	I_PAPRIKA_POWDER = 'PAPRIKA_POWDER', _('Paprika Powder') #paprika powder
	I_PARMA_HAM = 'PARMA_HAM', _('Parma Ham') #parma ham
	I_PARMESAN = 'PARMESAN', _('Parmesan') #parmesan
	I_PARMESAN_CHEESE = 'PARMESAN_CHEESE', _('Parmesan Cheese') #parmesan cheese
	I_PARMIGIANO = 'PARMIGIANO', _('Parmigiano') #parmigiano
	I_PARMIGIANO_REGGIANO_CHEESE = 'PARMIGIANO_REGGIANO_CHEESE', _('Parmigiano Reggiano Cheese') #parmigiano reggiano cheese
	I_PARSLEY = 'PARSLEY', _('Parsley') #parsley
	I_PARSLEY_FLAKES = 'PARSLEY_FLAKES', _('Parsley Flakes') #parsley flakes
	I_PARSLEY_LEAVES = 'PARSLEY_LEAVES', _('Parsley Leaves') #parsley leaves
	I_PARSLEY_SPRIGS = 'PARSLEY_SPRIGS', _('Parsley Sprigs') #parsley sprigs
	I_PARSNIPS = 'PARSNIPS', _('Parsnips') #parsnips
	I_PARTSKIM_MOZZARELLA = 'PARTSKIM_MOZZARELLA', _('Part-Skim Mozzarella') #part-skim mozzarella
	I_PARTSKIM_MOZZARELLA_CHEESE = 'PARTSKIM_MOZZARELLA_CHEESE', _('Part-Skim Mozzarella Cheese') #part-skim mozzarella cheese
	I_PARTIALLY = 'PARTIALLY', _('Partially') #partially
	I_PASILLA = 'PASILLA', _('Pasilla') #pasilla
	I_PASILLA_CHILES = 'PASILLA_CHILES', _('Pasilla Chiles') #pasilla chiles
	I_PASSATA = 'PASSATA', _('Passata') #passata
	I_PASSION_FRUIT = 'PASSION_FRUIT', _('Passion Fruit') #passion fruit
	I_PASSION_FRUIT_JUICE = 'PASSION_FRUIT_JUICE', _('Passion Fruit Juice') #passion fruit juice
	I_PASTA = 'PASTA', _('Pasta') #pasta
	I_PASTA_SAUCE = 'PASTA_SAUCE', _('Pasta Sauce') #pasta sauce
	I_PASTA_SHELLS = 'PASTA_SHELLS', _('Pasta Shells') #pasta shells
	I_PASTA_WATER = 'PASTA_WATER', _('Pasta Water') #pasta water
	I_PASTE = 'PASTE', _('Paste') #paste
	I_PASTEURIZED = 'PASTEURIZED', _('Pasteurized') #pasteurized
	I_PASTRAMI = 'PASTRAMI', _('Pastrami') #pastrami
	I_PASTRY = 'PASTRY', _('Pastry') #pastry
	I_PASTRY_DOUGH = 'PASTRY_DOUGH', _('Pastry Dough') #pastry dough
	I_PASTRY_FLOUR = 'PASTRY_FLOUR', _('Pastry Flour') #pastry flour
	I_PASTRY_SHELL = 'PASTRY_SHELL', _('Pastry Shell') #pastry shell
	I_PEA_PODS = 'PEA_PODS', _('Pea Pods') #pea pods
	I_PEA_SHOOTS = 'PEA_SHOOTS', _('Pea Shoots') #pea shoots
	I_PEACH = 'PEACH', _('Peach') #peach
	I_PEACH_HALVES = 'PEACH_HALVES', _('Peach Halves') #peach halves
	I_PEACH_JAM = 'PEACH_JAM', _('Peach Jam') #peach jam
	I_PEACH_NECTAR = 'PEACH_NECTAR', _('Peach Nectar') #peach nectar
	I_PEACH_PIE_FILLING = 'PEACH_PIE_FILLING', _('Peach Pie Filling') #peach pie filling
	I_PEACH_PRESERVES = 'PEACH_PRESERVES', _('Peach Preserves') #peach preserves
	I_PEACH_PUREE = 'PEACH_PUREE', _('Peach Puree') #peach puree
	I_PEACH_SCHNAPPS = 'PEACH_SCHNAPPS', _('Peach Schnapps') #peach schnapps
	I_PEACH_SLICES = 'PEACH_SLICES', _('Peach Slices') #peach slices
	I_PEACH_YOGURT = 'PEACH_YOGURT', _('Peach Yogurt') #peach yogurt
	I_PEACHES = 'PEACHES', _('Peaches') #peaches
	I_PEANUT = 'PEANUT', _('Peanut') #peanut
	I_PEANUT_BUTTER = 'PEANUT_BUTTER', _('Peanut Butter') #peanut butter
	I_PEANUT_BUTTER_CHIPS = 'PEANUT_BUTTER_CHIPS', _('Peanut Butter Chips') #peanut butter chips
	I_PEANUT_OIL = 'PEANUT_OIL', _('Peanut Oil') #peanut oil
	I_PEANUT_SAUCE = 'PEANUT_SAUCE', _('Peanut Sauce') #peanut sauce
	I_PEANUTS = 'PEANUTS', _('Peanuts') #peanuts
	I_PEAR = 'PEAR', _('Pear') #pear
	I_PEAR_JUICE = 'PEAR_JUICE', _('Pear Juice') #pear juice
	I_PEAR_NECTAR = 'PEAR_NECTAR', _('Pear Nectar') #pear nectar
	I_PEAR_TOMATOES = 'PEAR_TOMATOES', _('Pear Tomatoes') #pear tomatoes
	I_PEARL_BARLEY = 'PEARL_BARLEY', _('Pearl Barley') #pearl barley
	I_PEARL_ONIONS = 'PEARL_ONIONS', _('Pearl Onions') #pearl onions
	I_PEARL_TAPIOCA = 'PEARL_TAPIOCA', _('Pearl Tapioca') #pearl tapioca
	I_PEARLED_BARLEY = 'PEARLED_BARLEY', _('Pearled Barley') #pearled barley
	I_PEARS = 'PEARS', _('Pears') #pears
	I_PEAS = 'PEAS', _('Peas') #peas
	I_PEASANT_BREAD = 'PEASANT_BREAD', _('Peasant Bread') #peasant bread
	I_PECAN = 'PECAN', _('Pecan') #pecan
	I_PECAN_HALVES = 'PECAN_HALVES', _('Pecan Halves') #pecan halves
	I_PECANS = 'PECANS', _('Pecans') #pecans
	I_PECORINO_CHEESE = 'PECORINO_CHEESE', _('Pecorino Cheese') #pecorino cheese
	I_PECORINO_ROMANO_CHEESE = 'PECORINO_ROMANO_CHEESE', _('Pecorino Romano Cheese') #pecorino romano cheese
	I_PECTIN = 'PECTIN', _('Pectin') #pectin
	I_PEELED_DEVEINED_SHRIMP = 'PEELED_DEVEINED_SHRIMP', _('Peeled Deveined Shrimp') #peeled deveined shrimp
	I_PEELED_FRESH_GINGER = 'PEELED_FRESH_GINGER', _('Peeled Fresh Ginger') #peeled fresh ginger
	I_PEELED_PLUM_TOMATOES = 'PEELED_PLUM_TOMATOES', _('Peeled Plum Tomatoes') #peeled plum tomatoes
	I_PEELED_SHRIMP = 'PEELED_SHRIMP', _('Peeled Shrimp') #peeled shrimp
	I_PEELED_TOMATOES = 'PEELED_TOMATOES', _('Peeled Tomatoes') #peeled tomatoes
	I_PENNE = 'PENNE', _('Penne') #penne
	I_PENNE_PASTA = 'PENNE_PASTA', _('Penne Pasta') #penne pasta
	I_PENNE_RIGATE = 'PENNE_RIGATE', _('Penne Rigate') #penne rigate
	I_PEPERONCINO = 'PEPERONCINO', _('Peperoncino') #peperoncino
	I_PEPITAS = 'PEPITAS', _('Pepitas') #pepitas
	I_PEPPER = 'PEPPER', _('Pepper') #pepper
	I_PEPPER_CHEESE = 'PEPPER_CHEESE', _('Pepper Cheese') #pepper cheese
	I_PEPPER_FLAKES = 'PEPPER_FLAKES', _('Pepper Flakes') #pepper flakes
	I_PEPPER_JACK = 'PEPPER_JACK', _('Pepper Jack') #pepper jack
	I_PEPPER_POWDER = 'PEPPER_POWDER', _('Pepper Powder') #pepper powder
	I_PEPPER_SAUCE = 'PEPPER_SAUCE', _('Pepper Sauce') #pepper sauce
	I_PEPPERCORN = 'PEPPERCORN', _('Peppercorn') #peppercorn
	I_PEPPERCORNS = 'PEPPERCORNS', _('Peppercorns') #peppercorns
	I_PEPPERMINT = 'PEPPERMINT', _('Peppermint') #peppermint
	I_PEPPERMINT_EXTRACT = 'PEPPERMINT_EXTRACT', _('Peppermint Extract') #peppermint extract
	I_PEPPERONCINI = 'PEPPERONCINI', _('Pepperoncini') #pepperoncini
	I_PEPPERONI = 'PEPPERONI', _('Pepperoni') #pepperoni
	I_PEPPERONI_SLICES = 'PEPPERONI_SLICES', _('Pepperoni Slices') #pepperoni slices
	I_PEPPERS = 'PEPPERS', _('Peppers') #peppers
	I_PERNOD = 'PERNOD', _('Pernod') #pernod
	I_PERSIMMON = 'PERSIMMON', _('Persimmon') #persimmon
	I_PESTO = 'PESTO', _('Pesto') #pesto
	I_PESTO_SAUCE = 'PESTO_SAUCE', _('Pesto Sauce') #pesto sauce
	I_PETITE_PEAS = 'PETITE_PEAS', _('Petite Peas') #petite peas
	I_PHILADELPHIA_CREAM_CHEESE = 'PHILADELPHIA_CREAM_CHEESE', _('Philadelphia Cream Cheese') #philadelphia cream cheese
	I_PHILADELPHIA_LIGHT_CREAM_CHEESE = 'PHILADELPHIA_LIGHT_CREAM_CHEESE', _('Philadelphia Light Cream Cheese') #philadelphia light cream cheese
	I_PHYLLO = 'PHYLLO', _('Phyllo') #phyllo
	I_PHYLLO_DOUGH = 'PHYLLO_DOUGH', _('Phyllo Dough') #phyllo dough
	I_PHYLLO_PASTRY = 'PHYLLO_PASTRY', _('Phyllo Pastry') #phyllo pastry
	I_PICANTE_SAUCE = 'PICANTE_SAUCE', _('Picante Sauce') #picante sauce
	I_PICKLE_JUICE = 'PICKLE_JUICE', _('Pickle Juice') #pickle juice
	I_PICKLE_RELISH = 'PICKLE_RELISH', _('Pickle Relish') #pickle relish
	I_PICKLED_JALAPENO_PEPPERS = 'PICKLED_JALAPENO_PEPPERS', _('Pickled Jalapeno Peppers') #pickled jalapeno peppers
	I_PICKLED_JALAPENOS = 'PICKLED_JALAPENOS', _('Pickled Jalapenos') #pickled jalapenos
	I_PICKLES = 'PICKLES', _('Pickles') #pickles
	I_PICKLING_LIQUID = 'PICKLING_LIQUID', _('Pickling Liquid') #pickling liquid
	I_PICKLING_SALT = 'PICKLING_SALT', _('Pickling Salt') #pickling salt
	I_PICKLING_SPICES = 'PICKLING_SPICES', _('Pickling Spices') #pickling spices
	I_PICO_DE_GALLO = 'PICO_DE_GALLO', _('Pico De Gallo') #pico de gallo
	I_PIE_CRUST = 'PIE_CRUST', _('Pie Crust') #pie crust
	I_PIE_CRUST_MIX = 'PIE_CRUST_MIX', _('Pie Crust Mix') #pie crust mix
	I_PIE_DOUGH = 'PIE_DOUGH', _('Pie Dough') #pie dough
	I_PIE_FILLING = 'PIE_FILLING', _('Pie Filling') #pie filling
	I_PIE_PASTRY = 'PIE_PASTRY', _('Pie Pastry') #pie pastry
	I_PIE_SHELL = 'PIE_SHELL', _('Pie Shell') #pie shell
	I_PIG = 'PIG', _('Pig') #pig
	I_PIMENTO = 'PIMENTO', _('Pimento') #pimento
	I_PIMENTO_STUFFED_OLIVES = 'PIMENTO_STUFFED_OLIVES', _('Pimento Stuffed Olives') #pimento stuffed olives
	I_PIMENTON = 'PIMENTON', _('Pimenton') #pimenton
	I_PIMENTOS = 'PIMENTOS', _('Pimentos') #pimentos
	I_PIMIENTO = 'PIMIENTO', _('Pimiento') #pimiento
	I_PIMIENTOS = 'PIMIENTOS', _('Pimientos') #pimientos
	I_PINE_NUTS = 'PINE_NUTS', _('Pine Nuts') #pine nuts
	I_PINEAPPLE = 'PINEAPPLE', _('Pineapple') #pineapple
	I_PINEAPPLE_CHUNKS = 'PINEAPPLE_CHUNKS', _('Pineapple Chunks') #pineapple chunks
	I_PINEAPPLE_JUICE = 'PINEAPPLE_JUICE', _('Pineapple Juice') #pineapple juice
	I_PINEAPPLE_PRESERVES = 'PINEAPPLE_PRESERVES', _('Pineapple Preserves') #pineapple preserves
	I_PINEAPPLE_RINGS = 'PINEAPPLE_RINGS', _('Pineapple Rings') #pineapple rings
	I_PINEAPPLE_SLICES = 'PINEAPPLE_SLICES', _('Pineapple Slices') #pineapple slices
	I_PINEAPPLES = 'PINEAPPLES', _('Pineapples') #pineapples
	I_PINENUTS = 'PINENUTS', _('Pinenuts') #pinenuts
	I_PINK = 'PINK', _('Pink') #pink
	I_PINK_BEANS = 'PINK_BEANS', _('Pink Beans') #pink beans
	I_PINK_GRAPEFRUIT = 'PINK_GRAPEFRUIT', _('Pink Grapefruit') #pink grapefruit
	I_PINK_PEPPERCORNS = 'PINK_PEPPERCORNS', _('Pink Peppercorns') #pink peppercorns
	I_PINK_SALMON = 'PINK_SALMON', _('Pink Salmon') #pink salmon
	I_PINOT_GRIGIO = 'PINOT_GRIGIO', _('Pinot Grigio') #pinot grigio
	I_PINOT_NOIR = 'PINOT_NOIR', _('Pinot Noir') #pinot noir
	I_PINTO_BEANS = 'PINTO_BEANS', _('Pinto Beans') #pinto beans
	I_PIQUILLO_PEPPERS = 'PIQUILLO_PEPPERS', _('Piquillo Peppers') #piquillo peppers
	I_PISTACHIO = 'PISTACHIO', _('Pistachio') #pistachio
	I_PISTACHIO_NUTS = 'PISTACHIO_NUTS', _('Pistachio Nuts') #pistachio nuts
	I_PISTACHIOS = 'PISTACHIOS', _('Pistachios') #pistachios
	I_PITA_BREAD = 'PITA_BREAD', _('Pita Bread') #pita bread
	I_PITA_BREAD_ROUNDS = 'PITA_BREAD_ROUNDS', _('Pita Bread Rounds') #pita bread rounds
	I_PITA_CHIPS = 'PITA_CHIPS', _('Pita Chips') #pita chips
	I_PITAS = 'PITAS', _('Pitas') #pitas
	I_PITTED_BLACK_OLIVES = 'PITTED_BLACK_OLIVES', _('Pitted Black Olives') #pitted black olives
	I_PITTED_CHERRIES = 'PITTED_CHERRIES', _('Pitted Cherries') #pitted cherries
	I_PITTED_GREEN_OLIVES = 'PITTED_GREEN_OLIVES', _('Pitted Green Olives') #pitted green olives
	I_PITTED_KALAMATA_OLIVES = 'PITTED_KALAMATA_OLIVES', _('Pitted Kalamata Olives') #pitted kalamata olives
	I_PITTED_OLIVES = 'PITTED_OLIVES', _('Pitted Olives') #pitted olives
	I_PITTED_PRUNES = 'PITTED_PRUNES', _('Pitted Prunes') #pitted prunes
	I_PITTED_RIPE_OLIVES = 'PITTED_RIPE_OLIVES', _('Pitted Ripe Olives') #pitted ripe olives
	I_PIZZA_CRUST = 'PIZZA_CRUST', _('Pizza Crust') #pizza crust
	I_PIZZA_SAUCE = 'PIZZA_SAUCE', _('Pizza Sauce') #pizza sauce
	I_PIZZA_SEASONING = 'PIZZA_SEASONING', _('Pizza Seasoning') #pizza seasoning
	I_PLAIN_BREADCRUMBS = 'PLAIN_BREADCRUMBS', _('Plain Breadcrumbs') #plain breadcrumbs
	I_PLAIN_CHOCOLATE = 'PLAIN_CHOCOLATE', _('Plain Chocolate') #plain chocolate
	I_PLAIN_FLOUR = 'PLAIN_FLOUR', _('Plain Flour') #plain flour
	I_PLAIN_YOGURT = 'PLAIN_YOGURT', _('Plain Yogurt') #plain yogurt
	I_PLANTAINS = 'PLANTAINS', _('Plantains') #plantains
	I_PLASTIC = 'PLASTIC', _('Plastic') #plastic
	I_PLUM = 'PLUM', _('Plum') #plum
	I_PLUM_JAM = 'PLUM_JAM', _('Plum Jam') #plum jam
	I_PLUM_SAUCE = 'PLUM_SAUCE', _('Plum Sauce') #plum sauce
	I_PLUM_TOMATOES = 'PLUM_TOMATOES', _('Plum Tomatoes') #plum tomatoes
	I_PLUMS = 'PLUMS', _('Plums') #plums
	I_PLUS = 'PLUS', _('Plus') #plus
	I_POBLANO = 'POBLANO', _('Poblano') #poblano
	I_POBLANO_CHILES = 'POBLANO_CHILES', _('Poblano Chiles') #poblano chiles
	I_POBLANO_CHILIES = 'POBLANO_CHILIES', _('Poblano Chilies') #poblano chilies
	I_POBLANO_PEPPERS = 'POBLANO_PEPPERS', _('Poblano Peppers') #poblano peppers
	I_POLENTA = 'POLENTA', _('Polenta') #polenta
	I_POLISH_SAUSAGE = 'POLISH_SAUSAGE', _('Polish Sausage') #polish sausage
	I_POMEGRANATE = 'POMEGRANATE', _('Pomegranate') #pomegranate
	I_POMEGRANATE_JUICE = 'POMEGRANATE_JUICE', _('Pomegranate Juice') #pomegranate juice
	I_POMEGRANATE_MOLASSES = 'POMEGRANATE_MOLASSES', _('Pomegranate Molasses') #pomegranate molasses
	I_POMEGRANATE_SEEDS = 'POMEGRANATE_SEEDS', _('Pomegranate Seeds') #pomegranate seeds
	I_PONZU = 'PONZU', _('Ponzu') #ponzu
	I_POPCORN = 'POPCORN', _('Popcorn') #popcorn
	I_POPCORN_KERNELS = 'POPCORN_KERNELS', _('Popcorn Kernels') #popcorn kernels
	I_POPPED_POPCORN = 'POPPED_POPCORN', _('Popped Popcorn') #popped popcorn
	I_POPPY_SEED = 'POPPY_SEED', _('Poppy Seed') #poppy seed
	I_POPPY_SEEDS = 'POPPY_SEEDS', _('Poppy Seeds') #poppy seeds
	I_PORCINI = 'PORCINI', _('Porcini') #porcini
	I_PORCINI_MUSHROOMS = 'PORCINI_MUSHROOMS', _('Porcini Mushrooms') #porcini mushrooms
	I_PORK = 'PORK', _('Pork') #pork
	I_PORK_AND_BEANS = 'PORK_AND_BEANS', _('Pork And Beans') #pork and beans
	I_PORK_BABY_BACK_RIBS = 'PORK_BABY_BACK_RIBS', _('Pork Baby Back Ribs') #pork baby back ribs
	I_PORK_BELLY = 'PORK_BELLY', _('Pork Belly') #pork belly
	I_PORK_BUTT = 'PORK_BUTT', _('Pork Butt') #pork butt
	I_PORK_CHOPS = 'PORK_CHOPS', _('Pork Chops') #pork chops
	I_PORK_CUTLETS = 'PORK_CUTLETS', _('Pork Cutlets') #pork cutlets
	I_PORK_FAT = 'PORK_FAT', _('Pork Fat') #pork fat
	I_PORK_LOIN = 'PORK_LOIN', _('Pork Loin') #pork loin
	I_PORK_LOIN_CHOPS = 'PORK_LOIN_CHOPS', _('Pork Loin Chops') #pork loin chops
	I_PORK_RIBS = 'PORK_RIBS', _('Pork Ribs') #pork ribs
	I_PORK_ROAST = 'PORK_ROAST', _('Pork Roast') #pork roast
	I_PORK_SAUSAGE = 'PORK_SAUSAGE', _('Pork Sausage') #pork sausage
	I_PORK_SAUSAGES = 'PORK_SAUSAGES', _('Pork Sausages') #pork sausages
	I_PORK_SHOULDER = 'PORK_SHOULDER', _('Pork Shoulder') #pork shoulder
	I_PORK_SHOULDER_BUTT = 'PORK_SHOULDER_BUTT', _('Pork Shoulder Butt') #pork shoulder butt
	I_PORK_SHOULDER_ROAST = 'PORK_SHOULDER_ROAST', _('Pork Shoulder Roast') #pork shoulder roast
	I_PORK_SPARERIBS = 'PORK_SPARERIBS', _('Pork Spareribs') #pork spareribs
	I_PORK_STEAKS = 'PORK_STEAKS', _('Pork Steaks') #pork steaks
	I_PORK_STEW_MEAT = 'PORK_STEW_MEAT', _('Pork Stew Meat') #pork stew meat
	I_PORK_STOCK = 'PORK_STOCK', _('Pork Stock') #pork stock
	I_PORK_TENDERLOIN = 'PORK_TENDERLOIN', _('Pork Tenderloin') #pork tenderloin
	I_PORRIDGE_OATS = 'PORRIDGE_OATS', _('Porridge Oats') #porridge oats
	I_PORT = 'PORT', _('Port') #port
	I_PORT_WINE = 'PORT_WINE', _('Port Wine') #port wine
	I_PORTABELLA_MUSHROOMS = 'PORTABELLA_MUSHROOMS', _('Portabella Mushrooms') #portabella mushrooms
	I_PORTABELLO_MUSHROOM = 'PORTABELLO_MUSHROOM', _('Portabello Mushroom') #portabello mushroom
	I_PORTERHOUSE_STEAKS = 'PORTERHOUSE_STEAKS', _('Porterhouse Steaks') #porterhouse steaks
	I_PORTOBELLO_CAPS = 'PORTOBELLO_CAPS', _('Portobello Caps') #portobello caps
	I_POT_ROAST = 'POT_ROAST', _('Pot Roast') #pot roast
	I_POTATO = 'POTATO', _('Potato') #potato
	I_POTATO_CHIPS = 'POTATO_CHIPS', _('Potato Chips') #potato chips
	I_POTATO_FLAKES = 'POTATO_FLAKES', _('Potato Flakes') #potato flakes
	I_POTATO_FLOUR = 'POTATO_FLOUR', _('Potato Flour') #potato flour
	I_POTATO_GNOCCHI = 'POTATO_GNOCCHI', _('Potato Gnocchi') #potato gnocchi
	I_POTATO_SOUP = 'POTATO_SOUP', _('Potato Soup') #potato soup
	I_POTATO_STARCH = 'POTATO_STARCH', _('Potato Starch') #potato starch
	I_POTATOES = 'POTATOES', _('Potatoes') #potatoes
	I_POULTRY = 'POULTRY', _('Poultry') #poultry
	I_POULTRY_SEASONING = 'POULTRY_SEASONING', _('Poultry Seasoning') #poultry seasoning
	I_POUND_CAKE = 'POUND_CAKE', _('Pound Cake') #pound cake
	I_POWDER = 'POWDER', _('Powder') #powder
	I_POWDERED_GELATIN = 'POWDERED_GELATIN', _('Powdered Gelatin') #powdered gelatin
	I_POWDERED_MILK = 'POWDERED_MILK', _('Powdered Milk') #powdered milk
	I_POWDERED_SUGAR = 'POWDERED_SUGAR', _('Powdered Sugar') #powdered sugar
	I_POWER = 'POWER', _('Power') #power
	I_PRAWN = 'PRAWN', _('Prawn') #prawn
	I_PRAWNS = 'PRAWNS', _('Prawns') #prawns
	I_PREPARED = 'PREPARED', _('Prepared') #prepared
	I_PREPARED_HORSERADISH = 'PREPARED_HORSERADISH', _('Prepared Horseradish') #prepared horseradish
	I_PREPARED_MUSTARD = 'PREPARED_MUSTARD', _('Prepared Mustard') #prepared mustard
	I_PREPARED_PIZZA_CRUST = 'PREPARED_PIZZA_CRUST', _('Prepared Pizza Crust') #prepared pizza crust
	I_PRESERVED_LEMON = 'PRESERVED_LEMON', _('Preserved Lemon') #preserved lemon
	I_PRESERVES = 'PRESERVES', _('Preserves') #preserves
	I_PRETZELS = 'PRETZELS', _('Pretzels') #pretzels
	I_PRIME_RIB = 'PRIME_RIB', _('Prime Rib') #prime rib
	I_PROCESS_CHEESE_SPREAD = 'PROCESS_CHEESE_SPREAD', _('Process Cheese Spread') #process cheese spread
	I_PROCESSED_CHEESE = 'PROCESSED_CHEESE', _('Processed Cheese') #processed cheese
	I_PROSCIUTTO = 'PROSCIUTTO', _('Prosciutto') #prosciutto
	I_PROSECCO = 'PROSECCO', _('Prosecco') #prosecco
	I_PROTEIN = 'PROTEIN', _('Protein') #protein
	I_PROTEIN_POWDER = 'PROTEIN_POWDER', _('Protein Powder') #protein powder
	I_PROVOLONE_CHEESE = 'PROVOLONE_CHEESE', _('Provolone Cheese') #provolone cheese
	I_PRUNES = 'PRUNES', _('Prunes') #prunes
	I_PUDDING = 'PUDDING', _('Pudding') #pudding
	I_PUFF_PASTRY = 'PUFF_PASTRY', _('Puff Pastry') #puff pastry
	I_PUFF_PASTRY_SHEETS = 'PUFF_PASTRY_SHEETS', _('Puff Pastry Sheets') #puff pastry sheets
	I_PUFFED_RICE = 'PUFFED_RICE', _('Puffed Rice') #puffed rice
	I_PUFFED_WHEAT = 'PUFFED_WHEAT', _('Puffed Wheat') #puffed wheat
	I_PULP = 'PULP', _('Pulp') #pulp
	I_PUMPERNICKEL = 'PUMPERNICKEL', _('Pumpernickel') #pumpernickel
	I_PUMPERNICKEL_BREAD = 'PUMPERNICKEL_BREAD', _('Pumpernickel Bread') #pumpernickel bread
	I_PUMPKIN = 'PUMPKIN', _('Pumpkin') #pumpkin
	I_PUMPKIN_PIE_FILLING = 'PUMPKIN_PIE_FILLING', _('Pumpkin Pie Filling') #pumpkin pie filling
	I_PUMPKIN_PIE_SPICE = 'PUMPKIN_PIE_SPICE', _('Pumpkin Pie Spice') #pumpkin pie spice
	I_PUMPKIN_PUREE = 'PUMPKIN_PUREE', _('Pumpkin Puree') #pumpkin puree
	I_PUMPKIN_SEEDS = 'PUMPKIN_SEEDS', _('Pumpkin Seeds') #pumpkin seeds
	I_PURE_MAPLE_SYRUP = 'PURE_MAPLE_SYRUP', _('Pure Maple Syrup') #pure maple syrup
	I_PURE_OLIVE_OIL = 'PURE_OLIVE_OIL', _('Pure Olive Oil') #pure olive oil
	I_PURE_VANILLA = 'PURE_VANILLA', _('Pure Vanilla') #pure vanilla
	I_PURE_VANILLA_EXTRACT = 'PURE_VANILLA_EXTRACT', _('Pure Vanilla Extract') #pure vanilla extract
	I_PUREE = 'PUREE', _('Puree') #puree
	I_PUREED_PUMPKIN = 'PUREED_PUMPKIN', _('Pureed Pumpkin') #pureed pumpkin
	I_PURPLE = 'PURPLE', _('Purple') #purple
	I_PURPLE_ONION = 'PURPLE_ONION', _('Purple Onion') #purple onion
	I_PUY_LENTILS = 'PUY_LENTILS', _('Puy Lentils') #puy lentils
	I_QUAIL = 'QUAIL', _('Quail') #quail
	I_QUAIL_EGGS = 'QUAIL_EGGS', _('Quail Eggs') #quail eggs
	I_QUESO_BLANCO = 'QUESO_BLANCO', _('Queso Blanco') #queso blanco
	I_QUESO_FRESCO = 'QUESO_FRESCO', _('Queso Fresco') #queso fresco
	I_QUICK = 'QUICK', _('Quick') #quick
	I_QUICK_OATS = 'QUICK_OATS', _('Quick Oats') #quick oats
	I_QUICKCOOKING_GRITS = 'QUICKCOOKING_GRITS', _('Quickcooking Grits') #quickcooking grits
	I_QUINOA = 'QUINOA', _('Quinoa') #quinoa
	I_QUINOA_FLOUR = 'QUINOA_FLOUR', _('Quinoa Flour') #quinoa flour
	I_RABBIT = 'RABBIT', _('Rabbit') #rabbit
	I_RACK_OF_LAMB = 'RACK_OF_LAMB', _('Rack Of Lamb') #rack of lamb
	I_RADICCHIO = 'RADICCHIO', _('Radicchio') #radicchio
	I_RADICCHIO_LEAVES = 'RADICCHIO_LEAVES', _('Radicchio Leaves') #radicchio leaves
	I_RADISH = 'RADISH', _('Radish') #radish
	I_RADISHES = 'RADISHES', _('Radishes') #radishes
	I_RAGU = 'RAGU', _('Ragu') #ragu
	I_RAISIN = 'RAISIN', _('Raisin') #raisin
	I_RAISIN_BREAD = 'RAISIN_BREAD', _('Raisin Bread') #raisin bread
	I_RAISINS = 'RAISINS', _('Raisins') #raisins
	I_RAMEN = 'RAMEN', _('Ramen') #ramen
	I_RAMEN_NOODLES = 'RAMEN_NOODLES', _('Ramen Noodles') #ramen noodles
	I_RANCH_DIP = 'RANCH_DIP', _('Ranch Dip') #ranch dip
	I_RANCH_DRESSING = 'RANCH_DRESSING', _('Ranch Dressing') #ranch dressing
	I_RANCH_SEASONING = 'RANCH_SEASONING', _('Ranch Seasoning') #ranch seasoning
	I_RANCH_STYLE_BEANS = 'RANCH_STYLE_BEANS', _('Ranch Style Beans') #ranch style beans
	I_RAPESEED_OIL = 'RAPESEED_OIL', _('Rapeseed Oil') #rapeseed oil
	I_RAS_EL_HANOUT = 'RAS_EL_HANOUT', _('Ras El Hanout') #ras el hanout
	I_RASPBERRIES = 'RASPBERRIES', _('Raspberries') #raspberries
	I_RASPBERRY = 'RASPBERRY', _('Raspberry') #raspberry
	I_RASPBERRY_JAM = 'RASPBERRY_JAM', _('Raspberry Jam') #raspberry jam
	I_RASPBERRY_JUICE = 'RASPBERRY_JUICE', _('Raspberry Juice') #raspberry juice
	I_RASPBERRY_LIQUEUR = 'RASPBERRY_LIQUEUR', _('Raspberry Liqueur') #raspberry liqueur
	I_RASPBERRY_PRESERVES = 'RASPBERRY_PRESERVES', _('Raspberry Preserves') #raspberry preserves
	I_RASPBERRY_PUREE = 'RASPBERRY_PUREE', _('Raspberry Puree') #raspberry puree
	I_RASPBERRY_SAUCE = 'RASPBERRY_SAUCE', _('Raspberry Sauce') #raspberry sauce
	I_RASPBERRY_VINEGAR = 'RASPBERRY_VINEGAR', _('Raspberry Vinegar') #raspberry vinegar
	I_RAVIOLI = 'RAVIOLI', _('Ravioli') #ravioli
	I_RAW = 'RAW', _('Raw') #raw
	I_RAW_ALMONDS = 'RAW_ALMONDS', _('Raw Almonds') #raw almonds
	I_RAW_CANE_SUGAR = 'RAW_CANE_SUGAR', _('Raw Cane Sugar') #raw cane sugar
	I_RAW_CASHEWS = 'RAW_CASHEWS', _('Raw Cashews') #raw cashews
	I_RAW_HONEY = 'RAW_HONEY', _('Raw Honey') #raw honey
	I_RAW_PUMPKIN_SEEDS = 'RAW_PUMPKIN_SEEDS', _('Raw Pumpkin Seeds') #raw pumpkin seeds
	I_RAW_SUGAR = 'RAW_SUGAR', _('Raw Sugar') #raw sugar
	I_REAL_BACON = 'REAL_BACON', _('Real Bacon') #real bacon
	I_RED = 'RED', _('Red') #red
	I_RED_APPLES = 'RED_APPLES', _('Red Apples') #red apples
	I_RED_BEAN_PASTE = 'RED_BEAN_PASTE', _('Red Bean Paste') #red bean paste
	I_RED_BEANS = 'RED_BEANS', _('Red Beans') #red beans
	I_RED_BEETS = 'RED_BEETS', _('Red Beets') #red beets
	I_RED_BELL_PEPPER = 'RED_BELL_PEPPER', _('Red Bell Pepper') #red bell pepper
	I_RED_BELL_PEPPERS = 'RED_BELL_PEPPERS', _('Red Bell Peppers') #red bell peppers
	I_RED_CABBAGE = 'RED_CABBAGE', _('Red Cabbage') #red cabbage
	I_RED_CAPSICUM = 'RED_CAPSICUM', _('Red Capsicum') #red capsicum
	I_RED_CHILE = 'RED_CHILE', _('Red Chile') #red chile
	I_RED_CHILE_PEPPERS = 'RED_CHILE_PEPPERS', _('Red Chile Peppers') #red chile peppers
	I_RED_CHILI = 'RED_CHILI', _('Red Chili') #red chili
	I_RED_CHILI_PEPPER = 'RED_CHILI_PEPPER', _('Red Chili Pepper') #red chili pepper
	I_RED_CHILI_PEPPERS = 'RED_CHILI_PEPPERS', _('Red Chili Peppers') #red chili peppers
	I_RED_CHILI_POWDER = 'RED_CHILI_POWDER', _('Red Chili Powder') #red chili powder
	I_RED_CHILLI = 'RED_CHILLI', _('Red Chilli') #red chilli
	I_RED_CURRANT_JELLY = 'RED_CURRANT_JELLY', _('Red Currant Jelly') #red currant jelly
	I_RED_CURRY_PASTE = 'RED_CURRY_PASTE', _('Red Curry Paste') #red curry paste
	I_RED_DELICIOUS_APPLES = 'RED_DELICIOUS_APPLES', _('Red Delicious Apples') #red delicious apples
	I_RED_ENCHILADA_SAUCE = 'RED_ENCHILADA_SAUCE', _('Red Enchilada Sauce') #red enchilada sauce
	I_RED_FOOD_COLORING = 'RED_FOOD_COLORING', _('Red Food Coloring') #red food coloring
	I_RED_GRAPE = 'RED_GRAPE', _('Red Grape') #red grape
	I_RED_GRAPEFRUIT = 'RED_GRAPEFRUIT', _('Red Grapefruit') #red grapefruit
	I_RED_KIDNEY_BEANS = 'RED_KIDNEY_BEANS', _('Red Kidney Beans') #red kidney beans
	I_RED_LEAF_LETTUCE = 'RED_LEAF_LETTUCE', _('Red Leaf Lettuce') #red leaf lettuce
	I_RED_LENTILS = 'RED_LENTILS', _('Red Lentils') #red lentils
	I_RED_MISO = 'RED_MISO', _('Red Miso') #red miso
	I_RED_ONION = 'RED_ONION', _('Red Onion') #red onion
	I_RED_PEPPER = 'RED_PEPPER', _('Red Pepper') #red pepper
	I_RED_PEPPER_FLAKES = 'RED_PEPPER_FLAKES', _('Red Pepper Flakes') #red pepper flakes
	I_RED_PEPPERS = 'RED_PEPPERS', _('Red Peppers') #red peppers
	I_RED_POTATO = 'RED_POTATO', _('Red Potato') #red potato
	I_RED_RADISHES = 'RED_RADISHES', _('Red Radishes') #red radishes
	I_RED_RASPBERRIES = 'RED_RASPBERRIES', _('Red Raspberries') #red raspberries
	I_RED_SALMON = 'RED_SALMON', _('Red Salmon') #red salmon
	I_RED_SNAPPER = 'RED_SNAPPER', _('Red Snapper') #red snapper
	I_RED_WINE = 'RED_WINE', _('Red Wine') #red wine
	I_RED_WINE_VINEGAR = 'RED_WINE_VINEGAR', _('Red Wine Vinegar') #red wine vinegar
	I_REDUCED_FAT = 'REDUCED_FAT', _('Reduced Fat') #reduced fat
	I_REDUCED_FAT_CREAM_CHEESE = 'REDUCED_FAT_CREAM_CHEESE', _('Reduced Fat Cream Cheese') #reduced fat cream cheese
	I_REDUCED_FAT_MAYONNAISE = 'REDUCED_FAT_MAYONNAISE', _('Reduced Fat Mayonnaise') #reduced fat mayonnaise
	I_REDUCED_SODIUM_CHICKEN_BROTH = 'REDUCED_SODIUM_CHICKEN_BROTH', _('Reduced Sodium Chicken Broth') #reduced sodium chicken broth
	I_REDUCED_SODIUM_SOY_SAUCE = 'REDUCED_SODIUM_SOY_SAUCE', _('Reduced Sodium Soy Sauce') #reduced sodium soy sauce
	I_REFRIED_BEANS = 'REFRIED_BEANS', _('Refried Beans') #refried beans
	I_REFRIED_BLACK_BEANS = 'REFRIED_BLACK_BEANS', _('Refried Black Beans') #refried black beans
	I_REFRIGERATED_BISCUITS = 'REFRIGERATED_BISCUITS', _('Refrigerated Biscuits') #refrigerated biscuits
	I_REFRIGERATED_BUTTERMILK_BISCUITS = 'REFRIGERATED_BUTTERMILK_BISCUITS', _('Refrigerated Buttermilk Biscuits') #refrigerated buttermilk biscuits
	I_REFRIGERATED_CRESCENT_ROLLS = 'REFRIGERATED_CRESCENT_ROLLS', _('Refrigerated Crescent Rolls') #refrigerated crescent rolls
	I_REFRIGERATED_PIZZA_DOUGH = 'REFRIGERATED_PIZZA_DOUGH', _('Refrigerated Pizza Dough') #refrigerated pizza dough
	I_REGULAR_SOY_SAUCE = 'REGULAR_SOY_SAUCE', _('Regular Soy Sauce') #regular soy sauce
	I_REGULAR_SUGAR = 'REGULAR_SUGAR', _('Regular Sugar') #regular sugar
	I_RELISH = 'RELISH', _('Relish') #relish
	I_REPOSADO = 'REPOSADO', _('Reposado') #reposado
	I_RHUBARB = 'RHUBARB', _('Rhubarb') #rhubarb
	I_RIB = 'RIB', _('Rib') #rib
	I_RIB_EYE_STEAKS = 'RIB_EYE_STEAKS', _('Rib Eye Steaks') #rib eye steaks
	I_RIB_ROAST = 'RIB_ROAST', _('Rib Roast') #rib roast
	I_RICE = 'RICE', _('Rice') #rice
	I_RICE_BLEND = 'RICE_BLEND', _('Rice Blend') #rice blend
	I_RICE_BRAN = 'RICE_BRAN', _('Rice Bran') #rice bran
	I_RICE_BRAN_OIL = 'RICE_BRAN_OIL', _('Rice Bran Oil') #rice bran oil
	I_RICE_CEREAL = 'RICE_CEREAL', _('Rice Cereal') #rice cereal
	I_RICE_FLOUR = 'RICE_FLOUR', _('Rice Flour') #rice flour
	I_RICE_KRISPIES_CEREAL = 'RICE_KRISPIES_CEREAL', _('Rice Krispies Cereal') #rice krispies cereal
	I_RICE_MILK = 'RICE_MILK', _('Rice Milk') #rice milk
	I_RICE_MIX = 'RICE_MIX', _('Rice Mix') #rice mix
	I_RICE_NOODLES = 'RICE_NOODLES', _('Rice Noodles') #rice noodles
	I_RICE_PAPER = 'RICE_PAPER', _('Rice Paper') #rice paper
	I_RICE_PILAF = 'RICE_PILAF', _('Rice Pilaf') #rice pilaf
	I_RICE_STICK_NOODLES = 'RICE_STICK_NOODLES', _('Rice Stick Noodles') #rice stick noodles
	I_RICE_SYRUP = 'RICE_SYRUP', _('Rice Syrup') #rice syrup
	I_RICE_VERMICELLI = 'RICE_VERMICELLI', _('Rice Vermicelli') #rice vermicelli
	I_RICE_VINEGAR = 'RICE_VINEGAR', _('Rice Vinegar') #rice vinegar
	I_RICE_WINE = 'RICE_WINE', _('Rice Wine') #rice wine
	I_RICE_WINE_VINEGAR = 'RICE_WINE_VINEGAR', _('Rice Wine Vinegar') #rice wine vinegar
	I_RICH = 'RICH', _('Rich') #rich
	I_RICOTTA = 'RICOTTA', _('Ricotta') #ricotta
	I_RICOTTA_CHEESE = 'RICOTTA_CHEESE', _('Ricotta Cheese') #ricotta cheese
	I_RICOTTA_SALATA = 'RICOTTA_SALATA', _('Ricotta Salata') #ricotta salata
	I_RIESLING = 'RIESLING', _('Riesling') #riesling
	I_RIGATONI = 'RIGATONI', _('Rigatoni') #rigatoni
	I_RIPE_OLIVES = 'RIPE_OLIVES', _('Ripe Olives') #ripe olives
	I_RISOTTO = 'RISOTTO', _('Risotto') #risotto
	I_RISOTTO_RICE = 'RISOTTO_RICE', _('Risotto Rice') #risotto rice
	I_RITZ_CRACKERS = 'RITZ_CRACKERS', _('Ritz Crackers') #ritz crackers
	I_ROAST = 'ROAST', _('Roast') #roast
	I_ROAST_BEEF = 'ROAST_BEEF', _('Roast Beef') #roast beef
	I_ROASTED = 'ROASTED', _('Roasted') #roasted
	I_ROASTED_ALMONDS = 'ROASTED_ALMONDS', _('Roasted Almonds') #roasted almonds
	I_ROASTED_CASHEWS = 'ROASTED_CASHEWS', _('Roasted Cashews') #roasted cashews
	I_ROASTED_CHESTNUTS = 'ROASTED_CHESTNUTS', _('Roasted Chestnuts') #roasted chestnuts
	I_ROASTED_GARLIC = 'ROASTED_GARLIC', _('Roasted Garlic') #roasted garlic
	I_ROASTED_HAZELNUTS = 'ROASTED_HAZELNUTS', _('Roasted Hazelnuts') #roasted hazelnuts
	I_ROASTED_PEANUTS = 'ROASTED_PEANUTS', _('Roasted Peanuts') #roasted peanuts
	I_ROASTED_PEPPERS = 'ROASTED_PEPPERS', _('Roasted Peppers') #roasted peppers
	I_ROASTED_PISTACHIOS = 'ROASTED_PISTACHIOS', _('Roasted Pistachios') #roasted pistachios
	I_ROASTED_RED_BELL_PEPPER = 'ROASTED_RED_BELL_PEPPER', _('Roasted Red Bell Pepper') #roasted red bell pepper
	I_ROASTED_RED_BELL_PEPPERS = 'ROASTED_RED_BELL_PEPPERS', _('Roasted Red Bell Peppers') #roasted red bell peppers
	I_ROASTED_RED_PEPPERS = 'ROASTED_RED_PEPPERS', _('Roasted Red Peppers') #roasted red peppers
	I_ROASTED_SESAME_SEEDS = 'ROASTED_SESAME_SEEDS', _('Roasted Sesame Seeds') #roasted sesame seeds
	I_ROASTED_TOMATOES = 'ROASTED_TOMATOES', _('Roasted Tomatoes') #roasted tomatoes
	I_ROASTED_TURKEY_BREAST = 'ROASTED_TURKEY_BREAST', _('Roasted Turkey Breast') #roasted turkey breast
	I_ROASTING_CHICKENS = 'ROASTING_CHICKENS', _('Roasting Chickens') #roasting chickens
	I_ROCK_SALT = 'ROCK_SALT', _('Rock Salt') #rock salt
	I_ROCK_SHRIMP = 'ROCK_SHRIMP', _('Rock Shrimp') #rock shrimp
	I_ROCK_SUGAR = 'ROCK_SUGAR', _('Rock Sugar') #rock sugar
	I_ROE = 'ROE', _('Roe') #roe
	I_ROLLED_OATS = 'ROLLED_OATS', _('Rolled Oats') #rolled oats
	I_ROLLS = 'ROLLS', _('Rolls') #rolls
	I_ROMA_TOMATOES = 'ROMA_TOMATOES', _('Roma Tomatoes') #roma tomatoes
	I_ROMAINE_LETTUCE = 'ROMAINE_LETTUCE', _('Romaine Lettuce') #romaine lettuce
	I_ROMAINE_LETTUCE_HEARTS = 'ROMAINE_LETTUCE_HEARTS', _('Romaine Lettuce Hearts') #romaine lettuce hearts
	I_ROMAINE_LETTUCE_LEAVES = 'ROMAINE_LETTUCE_LEAVES', _('Romaine Lettuce Leaves') #romaine lettuce leaves
	I_ROMANO = 'ROMANO', _('Romano') #romano
	I_ROMANO_CHEESE = 'ROMANO_CHEESE', _('Romano Cheese') #romano cheese
	I_ROOT = 'ROOT', _('Root') #root
	I_ROOT_BEER = 'ROOT_BEER', _('Root Beer') #root beer
	I_ROOT_VEGETABLES = 'ROOT_VEGETABLES', _('Root Vegetables') #root vegetables
	I_ROQUEFORT = 'ROQUEFORT', _('Roquefort') #roquefort
	I_ROQUEFORT_CHEESE = 'ROQUEFORT_CHEESE', _('Roquefort Cheese') #roquefort cheese
	I_ROSE_PETALS = 'ROSE_PETALS', _('Rose Petals') #rose petals
	I_ROSE_WATER = 'ROSE_WATER', _('Rose Water') #rose water
	I_ROSEMARY = 'ROSEMARY', _('Rosemary') #rosemary
	I_ROSEMARY_LEAVES = 'ROSEMARY_LEAVES', _('Rosemary Leaves') #rosemary leaves
	I_ROSEMARY_SPRIGS = 'ROSEMARY_SPRIGS', _('Rosemary Sprigs') #rosemary sprigs
	I_ROTEL_TOMATOES = 'ROTEL_TOMATOES', _('Rotel Tomatoes') #rotel tomatoes
	I_ROTELLE = 'ROTELLE', _('Rotelle') #rotelle
	I_ROTINI = 'ROTINI', _('Rotini') #rotini
	I_ROTINI_PASTA = 'ROTINI_PASTA', _('Rotini Pasta') #rotini pasta
	I_ROTISSERIE_CHICKEN = 'ROTISSERIE_CHICKEN', _('Rotisserie Chicken') #rotisserie chicken
	I_ROUND_LOAF = 'ROUND_LOAF', _('Round Loaf') #round loaf
	I_ROUND_STEAKS = 'ROUND_STEAKS', _('Round Steaks') #round steaks
	I_ROUNDS = 'ROUNDS', _('Rounds') #rounds
	I_ROUX = 'ROUX', _('Roux') #roux
	I_RUB = 'RUB', _('Rub') #rub
	I_RUBBED_SAGE = 'RUBBED_SAGE', _('Rubbed Sage') #rubbed sage
	I_RUBY_PORT = 'RUBY_PORT', _('Ruby Port') #ruby port
	I_RUBY_RED_GRAPEFRUIT = 'RUBY_RED_GRAPEFRUIT', _('Ruby Red Grapefruit') #ruby red grapefruit
	I_RUM = 'RUM', _('Rum') #rum
	I_RUM_EXTRACT = 'RUM_EXTRACT', _('Rum Extract') #rum extract
	I_RUMP_ROAST = 'RUMP_ROAST', _('Rump Roast') #rump roast
	I_RUMP_STEAK = 'RUMP_STEAK', _('Rump Steak') #rump steak
	I_RUNNY_HONEY = 'RUNNY_HONEY', _('Runny Honey') #runny honey
	I_RUSSET = 'RUSSET', _('Russet') #russet
	I_RUSSET_POTATOES = 'RUSSET_POTATOES', _('Russet Potatoes') #russet potatoes
	I_RUTABAGA = 'RUTABAGA', _('Rutabaga') #rutabaga
	I_RYE = 'RYE', _('Rye') #rye
	I_RYE_BREAD = 'RYE_BREAD', _('Rye Bread') #rye bread
	I_RYE_FLOUR = 'RYE_FLOUR', _('Rye Flour') #rye flour
	I_RYE_WHISKEY = 'RYE_WHISKEY', _('Rye Whiskey') #rye whiskey
	I_SAFFLOWER = 'SAFFLOWER', _('Safflower') #safflower
	I_SAFFLOWER_OIL = 'SAFFLOWER_OIL', _('Safflower Oil') #safflower oil
	I_SAFFRON = 'SAFFRON', _('Saffron') #saffron
	I_SAFFRON_THREADS = 'SAFFRON_THREADS', _('Saffron Threads') #saffron threads
	I_SAGE = 'SAGE', _('Sage') #sage
	I_SAGE_LEAVES = 'SAGE_LEAVES', _('Sage Leaves') #sage leaves
	I_SAKE = 'SAKE', _('Sake') #sake
	I_SALAD = 'SALAD', _('Salad') #salad
	I_SALAD_DRESSING = 'SALAD_DRESSING', _('Salad Dressing') #salad dressing
	I_SALAD_DRESSING_MIX = 'SALAD_DRESSING_MIX', _('Salad Dressing Mix') #salad dressing mix
	I_SALAD_GREENS = 'SALAD_GREENS', _('Salad Greens') #salad greens
	I_SALAD_LEAVES = 'SALAD_LEAVES', _('Salad Leaves') #salad leaves
	I_SALAD_OIL = 'SALAD_OIL', _('Salad Oil') #salad oil
	I_SALAMI = 'SALAMI', _('Salami') #salami
	I_SALMON = 'SALMON', _('Salmon') #salmon
	I_SALMON_FILLETS = 'SALMON_FILLETS', _('Salmon Fillets') #salmon fillets
	I_SALMON_STEAKS = 'SALMON_STEAKS', _('Salmon Steaks') #salmon steaks
	I_SALSA = 'SALSA', _('Salsa') #salsa
	I_SALSA_VERDE = 'SALSA_VERDE', _('Salsa Verde') #salsa verde
	I_SALT = 'SALT', _('Salt') #salt
	I_SALT_ADDED = 'SALT_ADDED', _('Salt Added') #salt added
	I_SALT_AND_GROUND_BLACK_PEPPER = 'SALT_AND_GROUND_BLACK_PEPPER', _('Salt And Ground Black Pepper') #salt and ground black pepper
	I_SALT_PORK = 'SALT_PORK', _('Salt Pork') #salt pork
	I_SALT_WATER = 'SALT_WATER', _('Salt Water') #salt water
	I_SALTED = 'SALTED', _('Salted') #salted
	I_SALTED_BUTTER = 'SALTED_BUTTER', _('Salted Butter') #salted butter
	I_SALTED_CASHEWS = 'SALTED_CASHEWS', _('Salted Cashews') #salted cashews
	I_SALTED_PEANUTS = 'SALTED_PEANUTS', _('Salted Peanuts') #salted peanuts
	I_SALTED_PISTACHIOS = 'SALTED_PISTACHIOS', _('Salted Pistachios') #salted pistachios
	I_SALTINES = 'SALTINES', _('Saltines') #saltines
	I_SAMBUCA = 'SAMBUCA', _('Sambuca') #sambuca
	I_SAN_MARZANO_TOMATOES = 'SAN_MARZANO_TOMATOES', _('San Marzano Tomatoes') #san marzano tomatoes
	I_SANDING_SUGAR = 'SANDING_SUGAR', _('Sanding Sugar') #sanding sugar
	I_SANDWICH_BREAD = 'SANDWICH_BREAD', _('Sandwich Bread') #sandwich bread
	I_SANDWICH_BUNS = 'SANDWICH_BUNS', _('Sandwich Buns') #sandwich buns
	I_SANDWICH_COOKIES = 'SANDWICH_COOKIES', _('Sandwich Cookies') #sandwich cookies
	I_SANDWICH_ROLLS = 'SANDWICH_ROLLS', _('Sandwich Rolls') #sandwich rolls
	I_SANDWICHES = 'SANDWICHES', _('Sandwiches') #sandwiches
	I_SANGIOVESE = 'SANGIOVESE', _('Sangiovese') #sangiovese
	I_SARDINES = 'SARDINES', _('Sardines') #sardines
	I_SAUCE = 'SAUCE', _('Sauce') #sauce
	I_SAUCE_MIX = 'SAUCE_MIX', _('Sauce Mix') #sauce mix
	I_SAUCE_TOMATO = 'SAUCE_TOMATO', _('Sauce Tomato') #sauce tomato
	I_SAUERKRAUT = 'SAUERKRAUT', _('Sauerkraut') #sauerkraut
	I_SAUSAGE = 'SAUSAGE', _('Sausage') #sausage
	I_SAUSAGE_CASINGS = 'SAUSAGE_CASINGS', _('Sausage Casings') #sausage casings
	I_SAUSAGE_LINKS = 'SAUSAGE_LINKS', _('Sausage Links') #sausage links
	I_SAUSAGE_MEAT = 'SAUSAGE_MEAT', _('Sausage Meat') #sausage meat
	I_SAUSAGES = 'SAUSAGES', _('Sausages') #sausages
	I_SAUVIGNON_BLANC = 'SAUVIGNON_BLANC', _('Sauvignon Blanc') #sauvignon blanc
	I_SAVORY = 'SAVORY', _('Savory') #savory
	I_SAVOY_CABBAGE = 'SAVOY_CABBAGE', _('Savoy Cabbage') #savoy cabbage
	I_SAZON_GOYA = 'SAZON_GOYA', _('Sazon Goya') #sazon goya
	I_SAZON_SEASONING = 'SAZON_SEASONING', _('Sazon Seasoning') #sazon seasoning
	I_SCALLION = 'SCALLION', _('Scallion') #scallion
	I_SCALLION_GREENS = 'SCALLION_GREENS', _('Scallion Greens') #scallion greens
	I_SCALLIONS = 'SCALLIONS', _('Scallions') #scallions
	I_SCALLOP = 'SCALLOP', _('Scallop') #scallop
	I_SCALLOPS = 'SCALLOPS', _('Scallops') #scallops
	I_SCHNAPPS = 'SCHNAPPS', _('Schnapps') #schnapps
	I_SCOTCH = 'SCOTCH', _('Scotch') #scotch
	I_SCOTCH_BONNET_CHILE = 'SCOTCH_BONNET_CHILE', _('Scotch Bonnet Chile') #scotch bonnet chile
	I_SEA_BASS = 'SEA_BASS', _('Sea Bass') #sea bass
	I_SEA_BASS_FILLETS = 'SEA_BASS_FILLETS', _('Sea Bass Fillets') #sea bass fillets
	I_SEA_SALT = 'SEA_SALT', _('Sea Salt') #sea salt
	I_SEA_SALT_FLAKES = 'SEA_SALT_FLAKES', _('Sea Salt Flakes') #sea salt flakes
	I_SEA_SCALLOPS = 'SEA_SCALLOPS', _('Sea Scallops') #sea scallops
	I_SEAFOOD = 'SEAFOOD', _('Seafood') #seafood
	I_SEAFOOD_SEASONING = 'SEAFOOD_SEASONING', _('Seafood Seasoning') #seafood seasoning
	I_SEAFOOD_STOCK = 'SEAFOOD_STOCK', _('Seafood Stock') #seafood stock
	I_SEASON = 'SEASON', _('Season') #season
	I_SEASONED_BREAD_CRUMBS = 'SEASONED_BREAD_CRUMBS', _('Seasoned Bread Crumbs') #seasoned bread crumbs
	I_SEASONED_CHICKEN = 'SEASONED_CHICKEN', _('Seasoned Chicken') #seasoned chicken
	I_SEASONED_CROUTONS = 'SEASONED_CROUTONS', _('Seasoned Croutons') #seasoned croutons
	I_SEASONED_FLOUR = 'SEASONED_FLOUR', _('Seasoned Flour') #seasoned flour
	I_SEASONED_RICE_WINE_VINEGAR = 'SEASONED_RICE_WINE_VINEGAR', _('Seasoned Rice Wine Vinegar') #seasoned rice wine vinegar
	I_SEASONED_SALT = 'SEASONED_SALT', _('Seasoned Salt') #seasoned salt
	I_SEASONING = 'SEASONING', _('Seasoning') #seasoning
	I_SEASONING_BLEND = 'SEASONING_BLEND', _('Seasoning Blend') #seasoning blend
	I_SEASONING_MIX = 'SEASONING_MIX', _('Seasoning Mix') #seasoning mix
	I_SEASONING_SALT = 'SEASONING_SALT', _('Seasoning Salt') #seasoning salt
	I_SEASONINGS = 'SEASONINGS', _('Seasonings') #seasonings
	I_SEAWEED = 'SEAWEED', _('Seaweed') #seaweed
	I_SEED_OIL = 'SEED_OIL', _('Seed Oil') #seed oil
	I_SEEDLESS_CUCUMBER = 'SEEDLESS_CUCUMBER', _('Seedless Cucumber') #seedless cucumber
	I_SEEDLESS_RAISINS = 'SEEDLESS_RAISINS', _('Seedless Raisins') #seedless raisins
	I_SEEDLESS_RASPBERRY_JAM = 'SEEDLESS_RASPBERRY_JAM', _('Seedless Raspberry Jam') #seedless raspberry jam
	I_SEEDLESS_RED_GRAPES = 'SEEDLESS_RED_GRAPES', _('Seedless Red Grapes') #seedless red grapes
	I_SEEDLESS_WATERMELON = 'SEEDLESS_WATERMELON', _('Seedless Watermelon') #seedless watermelon
	I_SEEDS = 'SEEDS', _('Seeds') #seeds
	I_SELF_RAISING_FLOUR = 'SELF_RAISING_FLOUR', _('Self Raising Flour') #self raising flour
	I_SELF_RISING_FLOUR = 'SELF_RISING_FLOUR', _('Self Rising Flour') #self rising flour
	I_SELTZER = 'SELTZER', _('Seltzer') #seltzer
	I_SELTZER_WATER = 'SELTZER_WATER', _('Seltzer Water') #seltzer water
	I_SEMI_SWEET_CHOCOLATE = 'SEMI_SWEET_CHOCOLATE', _('Semi Sweet Chocolate') #semi sweet chocolate
	I_SEMI_SWEET_CHOCOLATE_CHIPS = 'SEMI_SWEET_CHOCOLATE_CHIPS', _('Semi Sweet Chocolate Chips') #semi sweet chocolate chips
	I_SEMISWEET_BAKING_CHOCOLATE = 'SEMISWEET_BAKING_CHOCOLATE', _('Semisweet Baking Chocolate') #semisweet baking chocolate
	I_SEMISWEET_CHOCOLATE = 'SEMISWEET_CHOCOLATE', _('Semisweet Chocolate') #semisweet chocolate
	I_SEMISWEET_CHOCOLATE_CHIPS = 'SEMISWEET_CHOCOLATE_CHIPS', _('Semisweet Chocolate Chips') #semisweet chocolate chips
	I_SEMISWEET_CHOCOLATE_CHUNKS = 'SEMISWEET_CHOCOLATE_CHUNKS', _('Semisweet Chocolate Chunks') #semisweet chocolate chunks
	I_SEMISWEET_VEGAN_CHOCOLATE_CHIPS = 'SEMISWEET_VEGAN_CHOCOLATE_CHIPS', _('Semisweet Vegan Chocolate Chips') #semisweet vegan chocolate chips
	I_SEMOLINA = 'SEMOLINA', _('Semolina') #semolina
	I_SEMOLINA_FLOUR = 'SEMOLINA_FLOUR', _('Semolina Flour') #semolina flour
	I_SERRANO = 'SERRANO', _('Serrano') #serrano
	I_SERRANO_CHILE = 'SERRANO_CHILE', _('Serrano Chile') #serrano chile
	I_SERRANO_CHILIES = 'SERRANO_CHILIES', _('Serrano Chilies') #serrano chilies
	I_SERRANO_PEPPER = 'SERRANO_PEPPER', _('Serrano Pepper') #serrano pepper
	I_SERRANO_PEPPERS = 'SERRANO_PEPPERS', _('Serrano Peppers') #serrano peppers
	I_SESAME = 'SESAME', _('Sesame') #sesame
	I_SESAME_OIL = 'SESAME_OIL', _('Sesame Oil') #sesame oil
	I_SESAME_PASTE = 'SESAME_PASTE', _('Sesame Paste') #sesame paste
	I_SESAME_SEED = 'SESAME_SEED', _('Sesame Seed') #sesame seed
	I_SESAME_SEED_OIL = 'SESAME_SEED_OIL', _('Sesame Seed Oil') #sesame seed oil
	I_SESAME_SEEDS = 'SESAME_SEEDS', _('Sesame Seeds') #sesame seeds
	I_SHALLOT = 'SHALLOT', _('Shallot') #shallot
	I_SHALLOTS = 'SHALLOTS', _('Shallots') #shallots
	I_SHANKS = 'SHANKS', _('Shanks') #shanks
	I_SHAOXING = 'SHAOXING', _('Shaoxing') #shaoxing
	I_SHAOXING_WINE = 'SHAOXING_WINE', _('Shaoxing Wine') #shaoxing wine
	I_SHARP_CHEDDAR_CHEESE = 'SHARP_CHEDDAR_CHEESE', _('Sharp Cheddar Cheese') #sharp cheddar cheese
	I_SHARP_WHITE_CHEDDAR_CHEESE = 'SHARP_WHITE_CHEDDAR_CHEESE', _('Sharp White Cheddar Cheese') #sharp white cheddar cheese
	I_SHAVED_CHOCOLATE = 'SHAVED_CHOCOLATE', _('Shaved Chocolate') #shaved chocolate
	I_SHAVED_PARMESAN_CHEESE = 'SHAVED_PARMESAN_CHEESE', _('Shaved Parmesan Cheese') #shaved parmesan cheese
	I_SHELL_PASTA = 'SHELL_PASTA', _('Shell Pasta') #shell pasta
	I_SHELLED_PISTACHIOS = 'SHELLED_PISTACHIOS', _('Shelled Pistachios') #shelled pistachios
	I_SHELLED_PUMPKIN_SEEDS = 'SHELLED_PUMPKIN_SEEDS', _('Shelled Pumpkin Seeds') #shelled pumpkin seeds
	I_SHELLFISH = 'SHELLFISH', _('Shellfish') #shellfish
	I_SHELLS = 'SHELLS', _('Shells') #shells
	I_SHERBET = 'SHERBET', _('Sherbet') #sherbet
	I_SHERRY = 'SHERRY', _('Sherry') #sherry
	I_SHERRY_VINEGAR = 'SHERRY_VINEGAR', _('Sherry Vinegar') #sherry vinegar
	I_SHERRY_WINE = 'SHERRY_WINE', _('Sherry Wine') #sherry wine
	I_SHERRY_WINE_VINEGAR = 'SHERRY_WINE_VINEGAR', _('Sherry Wine Vinegar') #sherry wine vinegar
	I_SHIITAKE = 'SHIITAKE', _('Shiitake') #shiitake
	I_SHIITAKE_MUSHROOM = 'SHIITAKE_MUSHROOM', _('Shiitake Mushroom') #shiitake mushroom
	I_SHIITAKE_MUSHROOM_CAPS = 'SHIITAKE_MUSHROOM_CAPS', _('Shiitake Mushroom Caps') #shiitake mushroom caps
	I_SHIITAKE_MUSHROOMS = 'SHIITAKE_MUSHROOMS', _('Shiitake Mushrooms') #shiitake mushrooms
	I_SHIMEJI_MUSHROOMS = 'SHIMEJI_MUSHROOMS', _('Shimeji Mushrooms') #shimeji mushrooms
	I_SHIRAZ = 'SHIRAZ', _('Shiraz') #shiraz
	I_SHISO = 'SHISO', _('Shiso') #shiso
	I_SHISO_LEAVES = 'SHISO_LEAVES', _('Shiso Leaves') #shiso leaves
	I_SHOEPEG_CORN = 'SHOEPEG_CORN', _('Shoepeg Corn') #shoepeg corn
	I_SHORT_PASTA = 'SHORT_PASTA', _('Short Pasta') #short pasta
	I_SHORT_RIB = 'SHORT_RIB', _('Short Rib') #short rib
	I_SHORTBREAD = 'SHORTBREAD', _('Shortbread') #shortbread
	I_SHORTBREAD_COOKIES = 'SHORTBREAD_COOKIES', _('Shortbread Cookies') #shortbread cookies
	I_SHORTCRUST_PASTRY = 'SHORTCRUST_PASTRY', _('Shortcrust Pastry') #shortcrust pastry
	I_SHORTENING = 'SHORTENING', _('Shortening') #shortening
	I_SHOULDER_ROAST = 'SHOULDER_ROAST', _('Shoulder Roast') #shoulder roast
	I_SHOYU = 'SHOYU', _('Shoyu') #shoyu
	I_SHREDDED_CABBAGE = 'SHREDDED_CABBAGE', _('Shredded Cabbage') #shredded cabbage
	I_SHREDDED_CARROTS = 'SHREDDED_CARROTS', _('Shredded Carrots') #shredded carrots
	I_SHREDDED_CHEDDAR_CHEESE = 'SHREDDED_CHEDDAR_CHEESE', _('Shredded Cheddar Cheese') #shredded cheddar cheese
	I_SHREDDED_CHEESE = 'SHREDDED_CHEESE', _('Shredded Cheese') #shredded cheese
	I_SHREDDED_LETTUCE = 'SHREDDED_LETTUCE', _('Shredded Lettuce') #shredded lettuce
	I_SHREDDED_MOZZARELLA_CHEESE = 'SHREDDED_MOZZARELLA_CHEESE', _('Shredded Mozzarella Cheese') #shredded mozzarella cheese
	I_SHREDDED_SHARP_CHEDDAR_CHEESE = 'SHREDDED_SHARP_CHEDDAR_CHEESE', _('Shredded Sharp Cheddar Cheese') #shredded sharp cheddar cheese
	I_SHRIMP = 'SHRIMP', _('Shrimp') #shrimp
	I_SHRIMP_PASTE = 'SHRIMP_PASTE', _('Shrimp Paste') #shrimp paste
	I_SHRIMP_SHELLS = 'SHRIMP_SHELLS', _('Shrimp Shells') #shrimp shells
	I_SHRIMP_STOCK = 'SHRIMP_STOCK', _('Shrimp Stock') #shrimp stock
	I_SHUCKED_OYSTERS = 'SHUCKED_OYSTERS', _('Shucked Oysters') #shucked oysters
	I_SICILIAN = 'SICILIAN', _('Sicilian') #sicilian
	I_SILKEN_TOFU = 'SILKEN_TOFU', _('Silken Tofu') #silken tofu
	I_SILVER = 'SILVER', _('Silver') #silver
	I_SILVER_TEQUILA = 'SILVER_TEQUILA', _('Silver Tequila') #silver tequila
	I_SIMPLE_SYRUP = 'SIMPLE_SYRUP', _('Simple Syrup') #simple syrup
	I_SINGLE_CRUST_PIE = 'SINGLE_CRUST_PIE', _('Single Crust Pie') #single crust pie
	I_SIRLOIN = 'SIRLOIN', _('Sirloin') #sirloin
	I_SIRLOIN_STEAK = 'SIRLOIN_STEAK', _('Sirloin Steak') #sirloin steak
	I_SIRLOIN_TIP = 'SIRLOIN_TIP', _('Sirloin Tip') #sirloin tip
	I_SKIM_MILK = 'SKIM_MILK', _('Skim Milk') #skim milk
	I_SKIM_MILK_POWDER = 'SKIM_MILK_POWDER', _('Skim Milk Powder') #skim milk powder
	I_SKIN = 'SKIN', _('Skin') #skin
	I_SKINLESS_CHICKEN_BREASTS = 'SKINLESS_CHICKEN_BREASTS', _('Skinless Chicken Breasts') #skinless chicken breasts
	I_SKINLESS_CHICKEN_THIGHS = 'SKINLESS_CHICKEN_THIGHS', _('Skinless Chicken Thighs') #skinless chicken thighs
	I_SKIRT_STEAK = 'SKIRT_STEAK', _('Skirt Steak') #skirt steak
	I_SLAB_BACON = 'SLAB_BACON', _('Slab Bacon') #slab bacon
	I_SLAW = 'SLAW', _('Slaw') #slaw
	I_SLAW_MIX = 'SLAW_MIX', _('Slaw Mix') #slaw mix
	I_SLICED = 'SLICED', _('Sliced') #sliced
	I_SLICED_ALMONDS = 'SLICED_ALMONDS', _('Sliced Almonds') #sliced almonds
	I_SLICED_APPLES = 'SLICED_APPLES', _('Sliced Apples') #sliced apples
	I_SLICED_BEETS = 'SLICED_BEETS', _('Sliced Beets') #sliced beets
	I_SLICED_BLACK_OLIVES = 'SLICED_BLACK_OLIVES', _('Sliced Black Olives') #sliced black olives
	I_SLICED_CARROTS = 'SLICED_CARROTS', _('Sliced Carrots') #sliced carrots
	I_SLICED_CHICKEN = 'SLICED_CHICKEN', _('Sliced Chicken') #sliced chicken
	I_SLICED_CUCUMBER = 'SLICED_CUCUMBER', _('Sliced Cucumber') #sliced cucumber
	I_SLICED_GREEN_OLIVES = 'SLICED_GREEN_OLIVES', _('Sliced Green Olives') #sliced green olives
	I_SLICED_GREEN_ONIONS = 'SLICED_GREEN_ONIONS', _('Sliced Green Onions') #sliced green onions
	I_SLICED_HAM = 'SLICED_HAM', _('Sliced Ham') #sliced ham
	I_SLICED_LEEKS = 'SLICED_LEEKS', _('Sliced Leeks') #sliced leeks
	I_SLICED_MUSHROOMS = 'SLICED_MUSHROOMS', _('Sliced Mushrooms') #sliced mushrooms
	I_SLICED_OLIVES = 'SLICED_OLIVES', _('Sliced Olives') #sliced olives
	I_SLICED_ONION = 'SLICED_ONION', _('Sliced Onion') #sliced onion
	I_SLICED_PINEAPPLE = 'SLICED_PINEAPPLE', _('Sliced Pineapple') #sliced pineapple
	I_SLICED_SALAMI = 'SLICED_SALAMI', _('Sliced Salami') #sliced salami
	I_SLICED_SHALLOTS = 'SLICED_SHALLOTS', _('Sliced Shallots') #sliced shallots
	I_SLICED_TOMATOES = 'SLICED_TOMATOES', _('Sliced Tomatoes') #sliced tomatoes
	I_SLICED_TURKEY = 'SLICED_TURKEY', _('Sliced Turkey') #sliced turkey
	I_SLIDER_BUNS = 'SLIDER_BUNS', _('Slider Buns') #slider buns
	I_SLIVERED_ALMONDS = 'SLIVERED_ALMONDS', _('Slivered Almonds') #slivered almonds
	I_SMALL_RED_POTATO = 'SMALL_RED_POTATO', _('Small Red Potato') #small red potato
	I_SMOKE = 'SMOKE', _('Smoke') #smoke
	I_SMOKE_FLAVORING = 'SMOKE_FLAVORING', _('Smoke Flavoring') #smoke flavoring
	I_SMOKED_BACON = 'SMOKED_BACON', _('Smoked Bacon') #smoked bacon
	I_SMOKED_CHEDDAR_CHEESE = 'SMOKED_CHEDDAR_CHEESE', _('Smoked Cheddar Cheese') #smoked cheddar cheese
	I_SMOKED_GOUDA = 'SMOKED_GOUDA', _('Smoked Gouda') #smoked gouda
	I_SMOKED_HAM = 'SMOKED_HAM', _('Smoked Ham') #smoked ham
	I_SMOKED_HAM_HOCKS = 'SMOKED_HAM_HOCKS', _('Smoked Ham Hocks') #smoked ham hocks
	I_SMOKED_MOZZARELLA = 'SMOKED_MOZZARELLA', _('Smoked Mozzarella') #smoked mozzarella
	I_SMOKED_PAPRIKA = 'SMOKED_PAPRIKA', _('Smoked Paprika') #smoked paprika
	I_SMOKED_PORK = 'SMOKED_PORK', _('Smoked Pork') #smoked pork
	I_SMOKED_SALMON = 'SMOKED_SALMON', _('Smoked Salmon') #smoked salmon
	I_SMOKED_SAUSAGE = 'SMOKED_SAUSAGE', _('Smoked Sausage') #smoked sausage
	I_SMOKED_SPANISH_PAPRIKA = 'SMOKED_SPANISH_PAPRIKA', _('Smoked Spanish Paprika') #smoked spanish paprika
	I_SMOKED_TROUT = 'SMOKED_TROUT', _('Smoked Trout') #smoked trout
	I_SMOKED_TURKEY = 'SMOKED_TURKEY', _('Smoked Turkey') #smoked turkey
	I_SMOKED_TURKEY_BREAST = 'SMOKED_TURKEY_BREAST', _('Smoked Turkey Breast') #smoked turkey breast
	I_SMOKED_TURKEY_SAUSAGE = 'SMOKED_TURKEY_SAUSAGE', _('Smoked Turkey Sausage') #smoked turkey sausage
	I_SMOOTH = 'SMOOTH', _('Smooth') #smooth
	I_SNAPPER_FILLETS = 'SNAPPER_FILLETS', _('Snapper Fillets') #snapper fillets
	I_SNOW_PEA_PODS = 'SNOW_PEA_PODS', _('Snow Pea Pods') #snow pea pods
	I_SNOW_PEAS = 'SNOW_PEAS', _('Snow Peas') #snow peas
	I_SOBA_NOODLES = 'SOBA_NOODLES', _('Soba Noodles') #soba noodles
	I_SODA = 'SODA', _('Soda') #soda
	I_SODA_WATER = 'SODA_WATER', _('Soda Water') #soda water
	I_SODIUM = 'SODIUM', _('Sodium') #sodium
	I_SOFRITO = 'SOFRITO', _('Sofrito') #sofrito
	I_SOFT = 'SOFT', _('Soft') #soft
	I_SOFT_CHEESE = 'SOFT_CHEESE', _('Soft Cheese') #soft cheese
	I_SOFT_MARGARINE = 'SOFT_MARGARINE', _('Soft Margarine') #soft margarine
	I_SOFT_TOFU = 'SOFT_TOFU', _('Soft Tofu') #soft tofu
	I_SOFTENED_BUTTER = 'SOFTENED_BUTTER', _('Softened Butter') #softened butter
	I_SOLE = 'SOLE', _('Sole') #sole
	I_SOLID_PACK_PUMPKIN = 'SOLID_PACK_PUMPKIN', _('Solid Pack Pumpkin') #solid pack pumpkin
	I_SOLID_WHITE_TUNA = 'SOLID_WHITE_TUNA', _('Solid White Tuna') #solid white tuna
	I_SOMEN = 'SOMEN', _('Somen') #somen
	I_SORBET = 'SORBET', _('Sorbet') #sorbet
	I_SORGHUM = 'SORGHUM', _('Sorghum') #sorghum
	I_SORGHUM_FLOUR = 'SORGHUM_FLOUR', _('Sorghum Flour') #sorghum flour
	I_SOUP = 'SOUP', _('Soup') #soup
	I_SOUP_MIX = 'SOUP_MIX', _('Soup Mix') #soup mix
	I_SOUR_CHERRIES = 'SOUR_CHERRIES', _('Sour Cherries') #sour cherries
	I_SOUR_CREAM = 'SOUR_CREAM', _('Sour Cream') #sour cream
	I_SOUR_MILK = 'SOUR_MILK', _('Sour Milk') #sour milk
	I_SOUR_MIX = 'SOUR_MIX', _('Sour Mix') #sour mix
	I_SOURDOUGH = 'SOURDOUGH', _('Sourdough') #sourdough
	I_SOURDOUGH_BREAD = 'SOURDOUGH_BREAD', _('Sourdough Bread') #sourdough bread
	I_SOURDOUGH_STARTER = 'SOURDOUGH_STARTER', _('Sourdough Starter') #sourdough starter
	I_SOUTHERN_COMFORT = 'SOUTHERN_COMFORT', _('Southern Comfort') #southern comfort
	I_SOY = 'SOY', _('Soy') #soy
	I_SOY_FLOUR = 'SOY_FLOUR', _('Soy Flour') #soy flour
	I_SOY_MILK = 'SOY_MILK', _('Soy Milk') #soy milk
	I_SOY_PROTEIN = 'SOY_PROTEIN', _('Soy Protein') #soy protein
	I_SOY_SAUCE = 'SOY_SAUCE', _('Soy Sauce') #soy sauce
	I_SOY_YOGURT = 'SOY_YOGURT', _('Soy Yogurt') #soy yogurt
	I_SOYA = 'SOYA', _('Soya') #soya
	I_SOYBEAN = 'SOYBEAN', _('Soybean') #soybean
	I_SOYBEAN_PASTE = 'SOYBEAN_PASTE', _('Soybean Paste') #soybean paste
	I_SOYBEANS = 'SOYBEANS', _('Soybeans') #soybeans
	I_SOYMILK = 'SOYMILK', _('Soymilk') #soymilk
	I_SPAGHETTI = 'SPAGHETTI', _('Spaghetti') #spaghetti
	I_SPAGHETTI_SQUASH = 'SPAGHETTI_SQUASH', _('Spaghetti Squash') #spaghetti squash
	I_SPAGHETTINI = 'SPAGHETTINI', _('Spaghettini') #spaghettini
	I_SPAM = 'SPAM', _('Spam') #spam
	I_SPANISH_CHORIZO = 'SPANISH_CHORIZO', _('Spanish Chorizo') #spanish chorizo
	I_SPANISH_OLIVES = 'SPANISH_OLIVES', _('Spanish Olives') #spanish olives
	I_SPANISH_ONION = 'SPANISH_ONION', _('Spanish Onion') #spanish onion
	I_SPANISH_PAPRIKA = 'SPANISH_PAPRIKA', _('Spanish Paprika') #spanish paprika
	I_SPANISH_SMOKED_PAPRIKA = 'SPANISH_SMOKED_PAPRIKA', _('Spanish Smoked Paprika') #spanish smoked paprika
	I_SPARERIBS = 'SPARERIBS', _('Spareribs') #spareribs
	I_SPARKLING_WINE = 'SPARKLING_WINE', _('Sparkling Wine') #sparkling wine
	I_SPEARMINT = 'SPEARMINT', _('Spearmint') #spearmint
	I_SPELT = 'SPELT', _('Spelt') #spelt
	I_SPELT_FLOUR = 'SPELT_FLOUR', _('Spelt Flour') #spelt flour
	I_SPICE = 'SPICE', _('Spice') #spice
	I_SPICE_BLEND = 'SPICE_BLEND', _('Spice Blend') #spice blend
	I_SPICE_CAKE_MIX = 'SPICE_CAKE_MIX', _('Spice Cake Mix') #spice cake mix
	I_SPICE_MIX = 'SPICE_MIX', _('Spice Mix') #spice mix
	I_SPICED_RUM = 'SPICED_RUM', _('Spiced Rum') #spiced rum
	I_SPICES = 'SPICES', _('Spices') #spices
	I_SPICY_BROWN_MUSTARD = 'SPICY_BROWN_MUSTARD', _('Spicy Brown Mustard') #spicy brown mustard
	I_SPICY_PORK_SAUSAGE = 'SPICY_PORK_SAUSAGE', _('Spicy Pork Sausage') #spicy pork sausage
	I_SPICY_SAUSAGE = 'SPICY_SAUSAGE', _('Spicy Sausage') #spicy sausage
	I_SPINACH = 'SPINACH', _('Spinach') #spinach
	I_SPINACH_LEAVES = 'SPINACH_LEAVES', _('Spinach Leaves') #spinach leaves
	I_SPLENDA = 'SPLENDA', _('Splenda') #splenda
	I_SPLENDA_BROWN_SUGAR_BLEND = 'SPLENDA_BROWN_SUGAR_BLEND', _('Splenda Brown Sugar Blend') #splenda brown sugar blend
	I_SPLENDA_GRANULAR = 'SPLENDA_GRANULAR', _('Splenda Granular') #splenda granular
	I_SPLIT_PEAS = 'SPLIT_PEAS', _('Split Peas') #split peas
	I_SPONGE = 'SPONGE', _('Sponge') #sponge
	I_SPONGE_CAKE = 'SPONGE_CAKE', _('Sponge Cake') #sponge cake
	I_SPRIG = 'SPRIG', _('Sprig') #sprig
	I_SPRING = 'SPRING', _('Spring') #spring
	I_SPRING_GREENS = 'SPRING_GREENS', _('Spring Greens') #spring greens
	I_SPRING_ONIONS = 'SPRING_ONIONS', _('Spring Onions') #spring onions
	I_SPRING_ROLL_WRAPPERS = 'SPRING_ROLL_WRAPPERS', _('Spring Roll Wrappers') #spring roll wrappers
	I_SPRING_WATER = 'SPRING_WATER', _('Spring Water') #spring water
	I_SPRINKLES = 'SPRINKLES', _('Sprinkles') #sprinkles
	I_SPRITE = 'SPRITE', _('Sprite') #sprite
	I_SPROUTS = 'SPROUTS', _('Sprouts') #sprouts
	I_SQUASH = 'SQUASH', _('Squash') #squash
	I_SQUID = 'SQUID', _('Squid') #squid
	I_SQUIRT = 'SQUIRT', _('Squirt') #squirt
	I_SRIRACHA = 'SRIRACHA', _('Sriracha') #sriracha
	I_ST = 'ST', _('St') #st
	I_STAR_ANISE = 'STAR_ANISE', _('Star Anise') #star anise
	I_STARCH = 'STARCH', _('Starch') #starch
	I_STEAK = 'STEAK', _('Steak') #steak
	I_STEAK_SAUCE = 'STEAK_SAUCE', _('Steak Sauce') #steak sauce
	I_STEAK_SEASONING = 'STEAK_SEASONING', _('Steak Seasoning') #steak seasoning
	I_STEAKS = 'STEAKS', _('Steaks') #steaks
	I_STEAMED_RICE = 'STEAMED_RICE', _('Steamed Rice') #steamed rice
	I_STEAMER = 'STEAMER', _('Steamer') #steamer
	I_STEEL_CUT_OATS = 'STEEL_CUT_OATS', _('Steel Cut Oats') #steel cut oats
	I_STEVIA = 'STEVIA', _('Stevia') #stevia
	I_STEW = 'STEW', _('Stew') #stew
	I_STEW_MEAT = 'STEW_MEAT', _('Stew Meat') #stew meat
	I_STEWED_TOMATOES = 'STEWED_TOMATOES', _('Stewed Tomatoes') #stewed tomatoes
	I_STEWING_BEEF = 'STEWING_BEEF', _('Stewing Beef') #stewing beef
	I_STICK_BUTTER = 'STICK_BUTTER', _('Stick Butter') #stick butter
	I_STICKY_RICE = 'STICKY_RICE', _('Sticky Rice') #sticky rice
	I_STILTON = 'STILTON', _('Stilton') #stilton
	I_STILTON_CHEESE = 'STILTON_CHEESE', _('Stilton Cheese') #stilton cheese
	I_STOCK = 'STOCK', _('Stock') #stock
	I_STONE_GROUND_MUSTARD = 'STONE_GROUND_MUSTARD', _('Stone Ground Mustard') #stone ground mustard
	I_STOUT = 'STOUT', _('Stout') #stout
	I_STRAW_MUSHROOMS = 'STRAW_MUSHROOMS', _('Straw Mushrooms') #straw mushrooms
	I_STRAWBERRIES = 'STRAWBERRIES', _('Strawberries') #strawberries
	I_STRAWBERRY = 'STRAWBERRY', _('Strawberry') #strawberry
	I_STRAWBERRY_FLAVOR = 'STRAWBERRY_FLAVOR', _('Strawberry Flavor') #strawberry flavor
	I_STRAWBERRY_GELATIN = 'STRAWBERRY_GELATIN', _('Strawberry Gelatin') #strawberry gelatin
	I_STRAWBERRY_JAM = 'STRAWBERRY_JAM', _('Strawberry Jam') #strawberry jam
	I_STRAWBERRY_PRESERVES = 'STRAWBERRY_PRESERVES', _('Strawberry Preserves') #strawberry preserves
	I_STRAWBERRY_YOGURT = 'STRAWBERRY_YOGURT', _('Strawberry Yogurt') #strawberry yogurt
	I_STREAKY_BACON = 'STREAKY_BACON', _('Streaky Bacon') #streaky bacon
	I_STRING_BEANS = 'STRING_BEANS', _('String Beans') #string beans
	I_STRING_CHEESE = 'STRING_CHEESE', _('String Cheese') #string cheese
	I_STRIP_STEAKS = 'STRIP_STEAKS', _('Strip Steaks') #strip steaks
	I_STRIPED_BASS = 'STRIPED_BASS', _('Striped Bass') #striped bass
	I_STRONG_WHITE_BREAD_FLOUR = 'STRONG_WHITE_BREAD_FLOUR', _('Strong White Bread Flour') #strong white bread flour
	I_STUFFING = 'STUFFING', _('Stuffing') #stuffing
	I_STUFFING_MIX = 'STUFFING_MIX', _('Stuffing Mix') #stuffing mix
	I_SUB_ROLLS = 'SUB_ROLLS', _('Sub Rolls') #sub rolls
	I_SUCANAT = 'SUCANAT', _('Sucanat') #sucanat
	I_SUET = 'SUET', _('Suet') #suet
	I_SUGAR = 'SUGAR', _('Sugar') #sugar
	I_SUGAR_BROWN_SUGAR = 'SUGAR_BROWN_SUGAR', _('Sugar Brown Sugar') #sugar brown sugar
	I_SUGAR_COOKIE_DOUGH = 'SUGAR_COOKIE_DOUGH', _('Sugar Cookie Dough') #sugar cookie dough
	I_SUGAR_COOKIE_MIX = 'SUGAR_COOKIE_MIX', _('Sugar Cookie Mix') #sugar cookie mix
	I_SUGAR_CUBES = 'SUGAR_CUBES', _('Sugar Cubes') #sugar cubes
	I_SUGAR_IN_THE_RAW = 'SUGAR_IN_THE_RAW', _('Sugar In The Raw') #sugar in the raw
	I_SUGAR_PEA = 'SUGAR_PEA', _('Sugar Pea') #sugar pea
	I_SUGAR_PUMPKIN = 'SUGAR_PUMPKIN', _('Sugar Pumpkin') #sugar pumpkin
	I_SUGAR_SUBSTITUTE = 'SUGAR_SUBSTITUTE', _('Sugar Substitute') #sugar substitute
	I_SUGAR_SYRUP = 'SUGAR_SYRUP', _('Sugar Syrup') #sugar syrup
	I_SULTANA = 'SULTANA', _('Sultana') #sultana
	I_SULTANAS = 'SULTANAS', _('Sultanas') #sultanas
	I_SUMAC = 'SUMAC', _('Sumac') #sumac
	I_SUMMER_SAVORY = 'SUMMER_SAVORY', _('Summer Savory') #summer savory
	I_SUMMER_SQUASH = 'SUMMER_SQUASH', _('Summer Squash') #summer squash
	I_SUN_DRIED_TOMATOES = 'SUN_DRIED_TOMATOES', _('Sun Dried Tomatoes') #sun dried tomatoes
	I_SUNDAE_SYRUP = 'SUNDAE_SYRUP', _('Sundae Syrup') #sundae syrup
	I_SUNDRIED_TOMATO = 'SUNDRIED_TOMATO', _('Sundried Tomato') #sundried tomato
	I_SUNDRIED_TOMATOES = 'SUNDRIED_TOMATOES', _('Sundried Tomatoes') #sundried tomatoes
	I_SUNFLOWER = 'SUNFLOWER', _('Sunflower') #sunflower
	I_SUNFLOWER_KERNELS = 'SUNFLOWER_KERNELS', _('Sunflower Kernels') #sunflower kernels
	I_SUNFLOWER_OIL = 'SUNFLOWER_OIL', _('Sunflower Oil') #sunflower oil
	I_SUNFLOWER_SEED = 'SUNFLOWER_SEED', _('Sunflower Seed') #sunflower seed
	I_SUNFLOWER_SEEDS = 'SUNFLOWER_SEEDS', _('Sunflower Seeds') #sunflower seeds
	I_SUPERFINE_SUGAR = 'SUPERFINE_SUGAR', _('Superfine Sugar') #superfine sugar
	I_SUSHI_RICE = 'SUSHI_RICE', _('Sushi Rice') #sushi rice
	I_SWANSON_CHICKEN_BROTH = 'SWANSON_CHICKEN_BROTH', _('Swanson Chicken Broth') #swanson chicken broth
	I_SWEDE = 'SWEDE', _('Swede') #swede
	I_SWEET_AND_SOUR_SAUCE = 'SWEET_AND_SOUR_SAUCE', _('Sweet And Sour Sauce') #sweet and sour sauce
	I_SWEET_BASIL = 'SWEET_BASIL', _('Sweet Basil') #sweet basil
	I_SWEET_BASIL_LEAVES = 'SWEET_BASIL_LEAVES', _('Sweet Basil Leaves') #sweet basil leaves
	I_SWEET_BUTTER = 'SWEET_BUTTER', _('Sweet Butter') #sweet butter
	I_SWEET_CHERRIES = 'SWEET_CHERRIES', _('Sweet Cherries') #sweet cherries
	I_SWEET_CHILI_SAUCE = 'SWEET_CHILI_SAUCE', _('Sweet Chili Sauce') #sweet chili sauce
	I_SWEET_CHOCOLATE = 'SWEET_CHOCOLATE', _('Sweet Chocolate') #sweet chocolate
	I_SWEET_CORN = 'SWEET_CORN', _('Sweet Corn') #sweet corn
	I_SWEET_CORN_KERNELS = 'SWEET_CORN_KERNELS', _('Sweet Corn Kernels') #sweet corn kernels
	I_SWEET_CREAM = 'SWEET_CREAM', _('Sweet Cream') #sweet cream
	I_SWEET_CREAM_BUTTER = 'SWEET_CREAM_BUTTER', _('Sweet Cream Butter') #sweet cream butter
	I_SWEET_ITALIAN_SAUSAGE = 'SWEET_ITALIAN_SAUSAGE', _('Sweet Italian Sausage') #sweet italian sausage
	I_SWEET_ONION = 'SWEET_ONION', _('Sweet Onion') #sweet onion
	I_SWEET_PAPRIKA = 'SWEET_PAPRIKA', _('Sweet Paprika') #sweet paprika
	I_SWEET_PEAS = 'SWEET_PEAS', _('Sweet Peas') #sweet peas
	I_SWEET_PEPPER = 'SWEET_PEPPER', _('Sweet Pepper') #sweet pepper
	I_SWEET_PEPPERS = 'SWEET_PEPPERS', _('Sweet Peppers') #sweet peppers
	I_SWEET_PICKLE = 'SWEET_PICKLE', _('Sweet Pickle') #sweet pickle
	I_SWEET_PICKLE_RELISH = 'SWEET_PICKLE_RELISH', _('Sweet Pickle Relish') #sweet pickle relish
	I_SWEET_PICKLES = 'SWEET_PICKLES', _('Sweet Pickles') #sweet pickles
	I_SWEET_POTATO = 'SWEET_POTATO', _('Sweet Potato') #sweet potato
	I_SWEET_POTATOES = 'SWEET_POTATOES', _('Sweet Potatoes') #sweet potatoes
	I_SWEET_RED_PEPPERS = 'SWEET_RED_PEPPERS', _('Sweet Red Peppers') #sweet red peppers
	I_SWEET_RELISH = 'SWEET_RELISH', _('Sweet Relish') #sweet relish
	I_SWEET_RICE = 'SWEET_RICE', _('Sweet Rice') #sweet rice
	I_SWEET_RICE_FLOUR = 'SWEET_RICE_FLOUR', _('Sweet Rice Flour') #sweet rice flour
	I_SWEET_RICE_WINE = 'SWEET_RICE_WINE', _('Sweet Rice Wine') #sweet rice wine
	I_SWEET_SHERRY = 'SWEET_SHERRY', _('Sweet Sherry') #sweet sherry
	I_SWEET_SOY = 'SWEET_SOY', _('Sweet Soy') #sweet soy
	I_SWEET_SOY_SAUCE = 'SWEET_SOY_SAUCE', _('Sweet Soy Sauce') #sweet soy sauce
	I_SWEET_VERMOUTH = 'SWEET_VERMOUTH', _('Sweet Vermouth') #sweet vermouth
	I_SWEET_WHITE_WINE = 'SWEET_WHITE_WINE', _('Sweet White Wine') #sweet white wine
	I_SWEETCORN = 'SWEETCORN', _('Sweetcorn') #sweetcorn
	I_SWEETENED = 'SWEETENED', _('Sweetened') #sweetened
	I_SWEETENED_COCONUT = 'SWEETENED_COCONUT', _('Sweetened Coconut') #sweetened coconut
	I_SWEETENED_COCONUT_FLAKES = 'SWEETENED_COCONUT_FLAKES', _('Sweetened Coconut Flakes') #sweetened coconut flakes
	I_SWEETENED_CONDENSED_MILK = 'SWEETENED_CONDENSED_MILK', _('Sweetened Condensed Milk') #sweetened condensed milk
	I_SWEETENED_DRIED_CRANBERRIES = 'SWEETENED_DRIED_CRANBERRIES', _('Sweetened Dried Cranberries') #sweetened dried cranberries
	I_SWEETENER = 'SWEETENER', _('Sweetener') #sweetener
	I_SWISS = 'SWISS', _('Swiss') #swiss
	I_SWISS_CHARD = 'SWISS_CHARD', _('Swiss Chard') #swiss chard
	I_SWISS_CHEESE = 'SWISS_CHEESE', _('Swiss Cheese') #swiss cheese
	I_SWORDFISH = 'SWORDFISH', _('Swordfish') #swordfish
	I_SWORDFISH_STEAKS = 'SWORDFISH_STEAKS', _('Swordfish Steaks') #swordfish steaks
	I_SYRUP = 'SYRUP', _('Syrup') #syrup
	I_SZECHWAN_PEPPERCORNS = 'SZECHWAN_PEPPERCORNS', _('Szechwan Peppercorns') #szechwan peppercorns
	I_TABASCO_PEPPER_SAUCE = 'TABASCO_PEPPER_SAUCE', _('Tabasco Pepper Sauce') #tabasco pepper sauce
	I_TABLE_CREAM = 'TABLE_CREAM', _('Table Cream') #table cream
	I_TABLE_SALT = 'TABLE_SALT', _('Table Salt') #table salt
	I_TACO_BELL_TACO_SEASONING_MIX = 'TACO_BELL_TACO_SEASONING_MIX', _('Taco Bell Taco Seasoning Mix') #taco bell taco seasoning mix
	I_TACO_SAUCE = 'TACO_SAUCE', _('Taco Sauce') #taco sauce
	I_TACO_SEASONING = 'TACO_SEASONING', _('Taco Seasoning') #taco seasoning
	I_TACO_SEASONING_MIX = 'TACO_SEASONING_MIX', _('Taco Seasoning Mix') #taco seasoning mix
	I_TACO_SHELLS = 'TACO_SHELLS', _('Taco Shells') #taco shells
	I_TAGLIATELLE = 'TAGLIATELLE', _('Tagliatelle') #tagliatelle
	I_TAHINI = 'TAHINI', _('Tahini') #tahini
	I_TAHINI_PASTE = 'TAHINI_PASTE', _('Tahini Paste') #tahini paste
	I_TALEGGIO = 'TALEGGIO', _('Taleggio') #taleggio
	I_TAMARI_SOY_SAUCE = 'TAMARI_SOY_SAUCE', _('Tamari Soy Sauce') #tamari soy sauce
	I_TAMARIND = 'TAMARIND', _('Tamarind') #tamarind
	I_TAMARIND_CONCENTRATE = 'TAMARIND_CONCENTRATE', _('Tamarind Concentrate') #tamarind concentrate
	I_TAMARIND_JUICE = 'TAMARIND_JUICE', _('Tamarind Juice') #tamarind juice
	I_TAMARIND_PASTE = 'TAMARIND_PASTE', _('Tamarind Paste') #tamarind paste
	I_TAMARIND_PULP = 'TAMARIND_PULP', _('Tamarind Pulp') #tamarind pulp
	I_TANGERINE = 'TANGERINE', _('Tangerine') #tangerine
	I_TANGERINE_JUICE = 'TANGERINE_JUICE', _('Tangerine Juice') #tangerine juice
	I_TANGERINE_ZEST = 'TANGERINE_ZEST', _('Tangerine Zest') #tangerine zest
	I_TAP_WATER = 'TAP_WATER', _('Tap Water') #tap water
	I_TAPENADE = 'TAPENADE', _('Tapenade') #tapenade
	I_TAPIOCA = 'TAPIOCA', _('Tapioca') #tapioca
	I_TAPIOCA_FLOUR = 'TAPIOCA_FLOUR', _('Tapioca Flour') #tapioca flour
	I_TAPIOCA_STARCH = 'TAPIOCA_STARCH', _('Tapioca Starch') #tapioca starch
	I_TARRAGON = 'TARRAGON', _('Tarragon') #tarragon
	I_TARRAGON_LEAVES = 'TARRAGON_LEAVES', _('Tarragon Leaves') #tarragon leaves
	I_TARRAGON_SPRIGS = 'TARRAGON_SPRIGS', _('Tarragon Sprigs') #tarragon sprigs
	I_TARRAGON_VINEGAR = 'TARRAGON_VINEGAR', _('Tarragon Vinegar') #tarragon vinegar
	I_TART = 'TART', _('Tart') #tart
	I_TART_APPLES = 'TART_APPLES', _('Tart Apples') #tart apples
	I_TART_CHERRIES = 'TART_CHERRIES', _('Tart Cherries') #tart cherries
	I_TART_SHELLS = 'TART_SHELLS', _('Tart Shells') #tart shells
	I_TARTAR_SAUCE = 'TARTAR_SAUCE', _('Tartar Sauce') #tartar sauce
	I_TASSO = 'TASSO', _('Tasso') #tasso
	I_TATER_TOTS = 'TATER_TOTS', _('Tater Tots') #tater tots
	I_TAWNY_PORT = 'TAWNY_PORT', _('Tawny Port') #tawny port
	I_TEA = 'TEA', _('Tea') #tea
	I_TEA_BAGS = 'TEA_BAGS', _('Tea Bags') #tea bags
	I_TEA_LEAVES = 'TEA_LEAVES', _('Tea Leaves') #tea leaves
	I_TEA_POWDER = 'TEA_POWDER', _('Tea Powder') #tea powder
	I_TEMPEH = 'TEMPEH', _('Tempeh') #tempeh
	I_TEMPERATURE = 'TEMPERATURE', _('Temperature') #temperature
	I_TEMPURA_BATTER = 'TEMPURA_BATTER', _('Tempura Batter') #tempura batter
	I_TENDERLOIN = 'TENDERLOIN', _('Tenderloin') #tenderloin
	I_TENDERLOIN_STEAKS = 'TENDERLOIN_STEAKS', _('Tenderloin Steaks') #tenderloin steaks
	I_TENTACLES = 'TENTACLES', _('Tentacles') #tentacles
	I_TEQUILA = 'TEQUILA', _('Tequila') #tequila
	I_TERIYAKI_MARINADE = 'TERIYAKI_MARINADE', _('Teriyaki Marinade') #teriyaki marinade
	I_TERIYAKI_SAUCE = 'TERIYAKI_SAUCE', _('Teriyaki Sauce') #teriyaki sauce
	I_THAI_BASIL = 'THAI_BASIL', _('Thai Basil') #thai basil
	I_THAI_CHILE = 'THAI_CHILE', _('Thai Chile') #thai chile
	I_THAI_CHILI_PASTE = 'THAI_CHILI_PASTE', _('Thai Chili Paste') #thai chili paste
	I_THAI_FISH_SAUCE = 'THAI_FISH_SAUCE', _('Thai Fish Sauce') #thai fish sauce
	I_THAI_GREEN_CURRY_PASTE = 'THAI_GREEN_CURRY_PASTE', _('Thai Green Curry Paste') #thai green curry paste
	I_THAI_RED_CURRY_PASTE = 'THAI_RED_CURRY_PASTE', _('Thai Red Curry Paste') #thai red curry paste
	I_THICKCUT_BACON = 'THICKCUT_BACON', _('Thick-Cut Bacon') #thick-cut bacon
	I_THIN_SPAGHETTI = 'THIN_SPAGHETTI', _('Thin Spaghetti') #thin spaghetti
	I_THOUSAND_ISLAND_DRESSING = 'THOUSAND_ISLAND_DRESSING', _('Thousand Island Dressing') #thousand island dressing
	I_THYME = 'THYME', _('Thyme') #thyme
	I_THYME_LEAVES = 'THYME_LEAVES', _('Thyme Leaves') #thyme leaves
	I_THYME_SPRIG = 'THYME_SPRIG', _('Thyme Sprig') #thyme sprig
	I_THYME_SPRIGS = 'THYME_SPRIGS', _('Thyme Sprigs') #thyme sprigs
	I_TILAPIA = 'TILAPIA', _('Tilapia') #tilapia
	I_TILAPIA_FILLETS = 'TILAPIA_FILLETS', _('Tilapia Fillets') #tilapia fillets
	I_TOAST = 'TOAST', _('Toast') #toast
	I_TOAST_POINTS = 'TOAST_POINTS', _('Toast Points') #toast points
	I_TOASTED = 'TOASTED', _('Toasted') #toasted
	I_TOASTED_ALMONDS = 'TOASTED_ALMONDS', _('Toasted Almonds') #toasted almonds
	I_TOASTED_BAGUETTE = 'TOASTED_BAGUETTE', _('Toasted Baguette') #toasted baguette
	I_TOASTED_COCONUT = 'TOASTED_COCONUT', _('Toasted Coconut') #toasted coconut
	I_TOASTED_PECANS = 'TOASTED_PECANS', _('Toasted Pecans') #toasted pecans
	I_TOASTED_PINE_NUTS = 'TOASTED_PINE_NUTS', _('Toasted Pine Nuts') #toasted pine nuts
	I_TOASTED_SESAME_OIL = 'TOASTED_SESAME_OIL', _('Toasted Sesame Oil') #toasted sesame oil
	I_TOASTED_SESAME_SEEDS = 'TOASTED_SESAME_SEEDS', _('Toasted Sesame Seeds') #toasted sesame seeds
	I_TOASTED_SLIVERED_ALMONDS = 'TOASTED_SLIVERED_ALMONDS', _('Toasted Slivered Almonds') #toasted slivered almonds
	I_TOASTED_WALNUTS = 'TOASTED_WALNUTS', _('Toasted Walnuts') #toasted walnuts
	I_TOASTED_WHEAT_GERM = 'TOASTED_WHEAT_GERM', _('Toasted Wheat Germ') #toasted wheat germ
	I_TOFFEE_BITS = 'TOFFEE_BITS', _('Toffee Bits') #toffee bits
	I_TOFU = 'TOFU', _('Tofu') #tofu
	I_TOGARASHI = 'TOGARASHI', _('Togarashi') #togarashi
	I_TOMATILLO = 'TOMATILLO', _('Tomatillo') #tomatillo
	I_TOMATILLO_SALSA = 'TOMATILLO_SALSA', _('Tomatillo Salsa') #tomatillo salsa
	I_TOMATILLOS = 'TOMATILLOS', _('Tomatillos') #tomatillos
	I_TOMATO = 'TOMATO', _('Tomato') #tomato
	I_TOMATO_JUICE = 'TOMATO_JUICE', _('Tomato Juice') #tomato juice
	I_TOMATO_KETCHUP = 'TOMATO_KETCHUP', _('Tomato Ketchup') #tomato ketchup
	I_TOMATO_PASTE = 'TOMATO_PASTE', _('Tomato Paste') #tomato paste
	I_TOMATO_PUREE = 'TOMATO_PUREE', _('Tomato Puree') #tomato puree
	I_TOMATO_SALSA = 'TOMATO_SALSA', _('Tomato Salsa') #tomato salsa
	I_TOMATO_SAUCE = 'TOMATO_SAUCE', _('Tomato Sauce') #tomato sauce
	I_TOMATO_SOUP = 'TOMATO_SOUP', _('Tomato Soup') #tomato soup
	I_TOMATOES = 'TOMATOES', _('Tomatoes') #tomatoes
	I_TOMATOES_WITH_JUICE = 'TOMATOES_WITH_JUICE', _('Tomatoes With Juice') #tomatoes with juice
	I_TONIC_WATER = 'TONIC_WATER', _('Tonic Water') #tonic water
	I_TOP_ROUND_STEAK = 'TOP_ROUND_STEAK', _('Top Round Steak') #top round steak
	I_TOP_SIRLOIN = 'TOP_SIRLOIN', _('Top Sirloin') #top sirloin
	I_TOP_SIRLOIN_STEAK = 'TOP_SIRLOIN_STEAK', _('Top Sirloin Steak') #top sirloin steak
	I_TOPPING = 'TOPPING', _('Topping') #topping
	I_TORTELLINI = 'TORTELLINI', _('Tortellini') #tortellini
	I_TORTILLA_CHIPS = 'TORTILLA_CHIPS', _('Tortilla Chips') #tortilla chips
	I_TORTILLA_SHELLS = 'TORTILLA_SHELLS', _('Tortilla Shells') #tortilla shells
	I_TORTILLA_WRAPS = 'TORTILLA_WRAPS', _('Tortilla Wraps') #tortilla wraps
	I_TORTILLAS = 'TORTILLAS', _('Tortillas') #tortillas
	I_TOSTADA_SHELLS = 'TOSTADA_SHELLS', _('Tostada Shells') #tostada shells
	I_TOSTADAS = 'TOSTADAS', _('Tostadas') #tostadas
	I_TOSTITOS = 'TOSTITOS', _('Tostitos') #tostitos
	I_TRANS_FAT = 'TRANS_FAT', _('Trans Fat') #trans fat
	I_TREACLE = 'TREACLE', _('Treacle') #treacle
	I_TRIPLE_SEC = 'TRIPLE_SEC', _('Triple Sec') #triple sec
	I_TROUT = 'TROUT', _('Trout') #trout
	I_TRUFFLE_OIL = 'TRUFFLE_OIL', _('Truffle Oil') #truffle oil
	I_TRUFFLES = 'TRUFFLES', _('Truffles') #truffles
	I_TUMERIC = 'TUMERIC', _('Tumeric') #tumeric
	I_TUNA = 'TUNA', _('Tuna') #tuna
	I_TUNA_DRAINED_AND_FLAKED = 'TUNA_DRAINED_AND_FLAKED', _('Tuna Drained And Flaked') #tuna drained and flaked
	I_TUNA_FISH = 'TUNA_FISH', _('Tuna Fish') #tuna fish
	I_TUNA_PACKED_IN_OLIVE_OIL = 'TUNA_PACKED_IN_OLIVE_OIL', _('Tuna Packed In Olive Oil') #tuna packed in olive oil
	I_TUNA_PACKED_IN_WATER = 'TUNA_PACKED_IN_WATER', _('Tuna Packed In Water') #tuna packed in water
	I_TUNA_STEAKS = 'TUNA_STEAKS', _('Tuna Steaks') #tuna steaks
	I_TURBINADO = 'TURBINADO', _('Turbinado') #turbinado
	I_TURBINADO_SUGAR = 'TURBINADO_SUGAR', _('Turbinado Sugar') #turbinado sugar
	I_TURKEY = 'TURKEY', _('Turkey') #turkey
	I_TURKEY_BACON = 'TURKEY_BACON', _('Turkey Bacon') #turkey bacon
	I_TURKEY_BREAST = 'TURKEY_BREAST', _('Turkey Breast') #turkey breast
	I_TURKEY_BROTH = 'TURKEY_BROTH', _('Turkey Broth') #turkey broth
	I_TURKEY_CARCASS = 'TURKEY_CARCASS', _('Turkey Carcass') #turkey carcass
	I_TURKEY_GRAVY = 'TURKEY_GRAVY', _('Turkey Gravy') #turkey gravy
	I_TURKEY_KIELBASA = 'TURKEY_KIELBASA', _('Turkey Kielbasa') #turkey kielbasa
	I_TURKEY_LEGS = 'TURKEY_LEGS', _('Turkey Legs') #turkey legs
	I_TURKEY_MEAT = 'TURKEY_MEAT', _('Turkey Meat') #turkey meat
	I_TURKEY_SAUSAGE = 'TURKEY_SAUSAGE', _('Turkey Sausage') #turkey sausage
	I_TURKEY_STOCK = 'TURKEY_STOCK', _('Turkey Stock') #turkey stock
	I_TURKISH = 'TURKISH', _('Turkish') #turkish
	I_TURKISH_BAY_LEAVES = 'TURKISH_BAY_LEAVES', _('Turkish Bay Leaves') #turkish bay leaves
	I_TURMERIC = 'TURMERIC', _('Turmeric') #turmeric
	I_TURMERIC_POWDER = 'TURMERIC_POWDER', _('Turmeric Powder') #turmeric powder
	I_TURNIP_GREENS = 'TURNIP_GREENS', _('Turnip Greens') #turnip greens
	I_TURNIPS = 'TURNIPS', _('Turnips') #turnips
	I_TWISTS = 'TWISTS', _('Twists') #twists
	I_UDON = 'UDON', _('Udon') #udon
	I_UMEBOSHI = 'UMEBOSHI', _('Umeboshi') #umeboshi
	I_UNBAKED_PIE_CRUSTS = 'UNBAKED_PIE_CRUSTS', _('Unbaked Pie Crusts') #unbaked pie crusts
	I_UNBAKED_PIE_SHELLS = 'UNBAKED_PIE_SHELLS', _('Unbaked Pie Shells') #unbaked pie shells
	I_UNBLEACHED = 'UNBLEACHED', _('Unbleached') #unbleached
	I_UNBLEACHED_CANE_SUGAR = 'UNBLEACHED_CANE_SUGAR', _('Unbleached Cane Sugar') #unbleached cane sugar
	I_UNBLEACHED_FLOUR = 'UNBLEACHED_FLOUR', _('Unbleached Flour') #unbleached flour
	I_UNBLEACHED_WHITE_FLOUR = 'UNBLEACHED_WHITE_FLOUR', _('Unbleached White Flour') #unbleached white flour
	I_UNCLE_BENS = 'UNCLE_BENS', _('Uncle Bens') #uncle bens
	I_UNFLAVORED_GELATIN = 'UNFLAVORED_GELATIN', _('Unflavored Gelatin') #unflavored gelatin
	I_UNREFINED = 'UNREFINED', _('Unrefined') #unrefined
	I_UNSALTED_ALMONDS = 'UNSALTED_ALMONDS', _('Unsalted Almonds') #unsalted almonds
	I_UNSALTED_BUTTER = 'UNSALTED_BUTTER', _('Unsalted Butter') #unsalted butter
	I_UNSALTED_CASHEWS = 'UNSALTED_CASHEWS', _('Unsalted Cashews') #unsalted cashews
	I_UNSALTED_CHICKEN_STOCK = 'UNSALTED_CHICKEN_STOCK', _('Unsalted Chicken Stock') #unsalted chicken stock
	I_UNSALTED_MARGARINE = 'UNSALTED_MARGARINE', _('Unsalted Margarine') #unsalted margarine
	I_UNSALTED_PISTACHIOS = 'UNSALTED_PISTACHIOS', _('Unsalted Pistachios') #unsalted pistachios
	I_UNSULFURED_MOLASSES = 'UNSULFURED_MOLASSES', _('Unsulfured Molasses') #unsulfured molasses
	I_UNSULPHURED_MOLASSES = 'UNSULPHURED_MOLASSES', _('Unsulphured Molasses') #unsulphured molasses
	I_UNSWEETENED = 'UNSWEETENED', _('Unsweetened') #unsweetened
	I_UNSWEETENED_ALMOND_MILK = 'UNSWEETENED_ALMOND_MILK', _('Unsweetened Almond Milk') #unsweetened almond milk
	I_UNSWEETENED_APPLE_JUICE = 'UNSWEETENED_APPLE_JUICE', _('Unsweetened Apple Juice') #unsweetened apple juice
	I_UNSWEETENED_APPLESAUCE = 'UNSWEETENED_APPLESAUCE', _('Unsweetened Applesauce') #unsweetened applesauce
	I_UNSWEETENED_BAKING_CHOCOLATE = 'UNSWEETENED_BAKING_CHOCOLATE', _('Unsweetened Baking Chocolate') #unsweetened baking chocolate
	I_UNSWEETENED_CHOCOLATE = 'UNSWEETENED_CHOCOLATE', _('Unsweetened Chocolate') #unsweetened chocolate
	I_UNSWEETENED_COCOA_POWDER = 'UNSWEETENED_COCOA_POWDER', _('Unsweetened Cocoa Powder') #unsweetened cocoa powder
	I_UNSWEETENED_COCONUT = 'UNSWEETENED_COCONUT', _('Unsweetened Coconut') #unsweetened coconut
	I_UNSWEETENED_COCONUT_FLAKES = 'UNSWEETENED_COCONUT_FLAKES', _('Unsweetened Coconut Flakes') #unsweetened coconut flakes
	I_UNSWEETENED_COCONUT_MILK = 'UNSWEETENED_COCONUT_MILK', _('Unsweetened Coconut Milk') #unsweetened coconut milk
	I_UNSWEETENED_DRIED_COCONUT = 'UNSWEETENED_DRIED_COCONUT', _('Unsweetened Dried Coconut') #unsweetened dried coconut
	I_UNSWEETENED_PINEAPPLE_JUICE = 'UNSWEETENED_PINEAPPLE_JUICE', _('Unsweetened Pineapple Juice') #unsweetened pineapple juice
	I_UNSWEETENED_SOYMILK = 'UNSWEETENED_SOYMILK', _('Unsweetened Soymilk') #unsweetened soymilk
	I_UNSWEETENED_VANILLA_ALMOND_MILK = 'UNSWEETENED_VANILLA_ALMOND_MILK', _('Unsweetened Vanilla Almond Milk') #unsweetened vanilla almond milk
	I_URAD_DAL = 'URAD_DAL', _('Urad Dal') #urad dal
	I_USUKUCHI_SOY_SAUCE = 'USUKUCHI_SOY_SAUCE', _('Usukuchi Soy Sauce') #usukuchi soy sauce
	I_VANILLA = 'VANILLA', _('Vanilla') #vanilla
	I_VANILLA_BEAN = 'VANILLA_BEAN', _('Vanilla Bean') #vanilla bean
	I_VANILLA_BEAN_ICE_CREAM = 'VANILLA_BEAN_ICE_CREAM', _('Vanilla Bean Ice Cream') #vanilla bean ice cream
	I_VANILLA_BEAN_PASTE = 'VANILLA_BEAN_PASTE', _('Vanilla Bean Paste') #vanilla bean paste
	I_VANILLA_BEAN_SEEDS = 'VANILLA_BEAN_SEEDS', _('Vanilla Bean Seeds') #vanilla bean seeds
	I_VANILLA_BEANS = 'VANILLA_BEANS', _('Vanilla Beans') #vanilla beans
	I_VANILLA_CAKE_MIX = 'VANILLA_CAKE_MIX', _('Vanilla Cake Mix') #vanilla cake mix
	I_VANILLA_ESSENCE = 'VANILLA_ESSENCE', _('Vanilla Essence') #vanilla essence
	I_VANILLA_EXTRACT = 'VANILLA_EXTRACT', _('Vanilla Extract') #vanilla extract
	I_VANILLA_FLAVOR = 'VANILLA_FLAVOR', _('Vanilla Flavor') #vanilla flavor
	I_VANILLA_FLAVORING = 'VANILLA_FLAVORING', _('Vanilla Flavoring') #vanilla flavoring
	I_VANILLA_FROSTING = 'VANILLA_FROSTING', _('Vanilla Frosting') #vanilla frosting
	I_VANILLA_FROZEN_YOGURT = 'VANILLA_FROZEN_YOGURT', _('Vanilla Frozen Yogurt') #vanilla frozen yogurt
	I_VANILLA_ICE_CREAM = 'VANILLA_ICE_CREAM', _('Vanilla Ice Cream') #vanilla ice cream
	I_VANILLA_INSTANT_PUDDING = 'VANILLA_INSTANT_PUDDING', _('Vanilla Instant Pudding') #vanilla instant pudding
	I_VANILLA_LOWFAT_YOGURT = 'VANILLA_LOWFAT_YOGURT', _('Vanilla Lowfat Yogurt') #vanilla lowfat yogurt
	I_VANILLA_POD = 'VANILLA_POD', _('Vanilla Pod') #vanilla pod
	I_VANILLA_PUDDING = 'VANILLA_PUDDING', _('Vanilla Pudding') #vanilla pudding
	I_VANILLA_SOY_MILK = 'VANILLA_SOY_MILK', _('Vanilla Soy Milk') #vanilla soy milk
	I_VANILLA_SUGAR = 'VANILLA_SUGAR', _('Vanilla Sugar') #vanilla sugar
	I_VANILLA_VODKA = 'VANILLA_VODKA', _('Vanilla Vodka') #vanilla vodka
	I_VANILLA_WAFER_CRUMBS = 'VANILLA_WAFER_CRUMBS', _('Vanilla Wafer Crumbs') #vanilla wafer crumbs
	I_VANILLA_WAFERS = 'VANILLA_WAFERS', _('Vanilla Wafers') #vanilla wafers
	I_VANILLA_YOGURT = 'VANILLA_YOGURT', _('Vanilla Yogurt') #vanilla yogurt
	I_VEAL = 'VEAL', _('Veal') #veal
	I_VEAL_CHOPS = 'VEAL_CHOPS', _('Veal Chops') #veal chops
	I_VEAL_CUTLETS = 'VEAL_CUTLETS', _('Veal Cutlets') #veal cutlets
	I_VEAL_LOIN = 'VEAL_LOIN', _('Veal Loin') #veal loin
	I_VEAL_SHANKS = 'VEAL_SHANKS', _('Veal Shanks') #veal shanks
	I_VEAL_SHOULDER = 'VEAL_SHOULDER', _('Veal Shoulder') #veal shoulder
	I_VEAL_STOCK = 'VEAL_STOCK', _('Veal Stock') #veal stock
	I_VEGAN = 'VEGAN', _('Vegan') #vegan
	I_VEGAN_BUTTER = 'VEGAN_BUTTER', _('Vegan Butter') #vegan butter
	I_VEGAN_CHOCOLATE_CHIPS = 'VEGAN_CHOCOLATE_CHIPS', _('Vegan Chocolate Chips') #vegan chocolate chips
	I_VEGAN_MARGARINE = 'VEGAN_MARGARINE', _('Vegan Margarine') #vegan margarine
	I_VEGAN_MAYONNAISE = 'VEGAN_MAYONNAISE', _('Vegan Mayonnaise') #vegan mayonnaise
	I_VEGETABLE = 'VEGETABLE', _('Vegetable') #vegetable
	I_VEGETABLE_BOUILLON = 'VEGETABLE_BOUILLON', _('Vegetable Bouillon') #vegetable bouillon
	I_VEGETABLE_BROTH = 'VEGETABLE_BROTH', _('Vegetable Broth') #vegetable broth
	I_VEGETABLE_JUICE = 'VEGETABLE_JUICE', _('Vegetable Juice') #vegetable juice
	I_VEGETABLE_OIL = 'VEGETABLE_OIL', _('Vegetable Oil') #vegetable oil
	I_VEGETABLE_OIL_COOKING_SPRAY = 'VEGETABLE_OIL_COOKING_SPRAY', _('Vegetable Oil Cooking Spray') #vegetable oil cooking spray
	I_VEGETABLE_OIL_SPRAY = 'VEGETABLE_OIL_SPRAY', _('Vegetable Oil Spray') #vegetable oil spray
	I_VEGETABLE_SHORTENING = 'VEGETABLE_SHORTENING', _('Vegetable Shortening') #vegetable shortening
	I_VEGETABLE_SOUP = 'VEGETABLE_SOUP', _('Vegetable Soup') #vegetable soup
	I_VEGETABLE_STOCK = 'VEGETABLE_STOCK', _('Vegetable Stock') #vegetable stock
	I_VEGETABLE_STOCK_POWDER = 'VEGETABLE_STOCK_POWDER', _('Vegetable Stock Powder') #vegetable stock powder
	I_VEGETABLES = 'VEGETABLES', _('Vegetables') #vegetables
	I_VEGETARIAN = 'VEGETARIAN', _('Vegetarian') #vegetarian
	I_VEGETARIAN_CHICKEN = 'VEGETARIAN_CHICKEN', _('Vegetarian Chicken') #vegetarian chicken
	I_VEGGIES = 'VEGGIES', _('Veggies') #veggies
	I_VELVEETA = 'VELVEETA', _('Velveeta') #velveeta
	I_VENISON = 'VENISON', _('Venison') #venison
	I_VERMICELLI = 'VERMICELLI', _('Vermicelli') #vermicelli
	I_VERMOUTH = 'VERMOUTH', _('Vermouth') #vermouth
	I_VIDALIA = 'VIDALIA', _('Vidalia') #vidalia
	I_VIDALIA_ONION = 'VIDALIA_ONION', _('Vidalia Onion') #vidalia onion
	I_VIDALIA_ONIONS = 'VIDALIA_ONIONS', _('Vidalia Onions') #vidalia onions
	I_VIETNAMESE_FISH_SAUCE = 'VIETNAMESE_FISH_SAUCE', _('Vietnamese Fish Sauce') #vietnamese fish sauce
	I_VINAIGRETTE = 'VINAIGRETTE', _('Vinaigrette') #vinaigrette
	I_VINAIGRETTE_DRESSING = 'VINAIGRETTE_DRESSING', _('Vinaigrette Dressing') #vinaigrette dressing
	I_VINE_RIPENED_TOMATOES = 'VINE_RIPENED_TOMATOES', _('Vine Ripened Tomatoes') #vine ripened tomatoes
	I_VINEGAR = 'VINEGAR', _('Vinegar') #vinegar
	I_VIRGIN_COCONUT_OIL = 'VIRGIN_COCONUT_OIL', _('Virgin Coconut Oil') #virgin coconut oil
	I_VIRGIN_OLIVE_OIL = 'VIRGIN_OLIVE_OIL', _('Virgin Olive Oil') #virgin olive oil
	I_VITAL_WHEAT_GLUTEN = 'VITAL_WHEAT_GLUTEN', _('Vital Wheat Gluten') #vital wheat gluten
	I_VODKA = 'VODKA', _('Vodka') #vodka
	I_WAFER = 'WAFER', _('Wafer') #wafer
	I_WAFER_COOKIES = 'WAFER_COOKIES', _('Wafer Cookies') #wafer cookies
	I_WAFFLE = 'WAFFLE', _('Waffle') #waffle
	I_WALNUT = 'WALNUT', _('Walnut') #walnut
	I_WALNUT_HALVES = 'WALNUT_HALVES', _('Walnut Halves') #walnut halves
	I_WALNUT_OIL = 'WALNUT_OIL', _('Walnut Oil') #walnut oil
	I_WALNUTS = 'WALNUTS', _('Walnuts') #walnuts
	I_WARM_WATER = 'WARM_WATER', _('Warm Water') #warm water
	I_WASABI = 'WASABI', _('Wasabi') #wasabi
	I_WASABI_PASTE = 'WASABI_PASTE', _('Wasabi Paste') #wasabi paste
	I_WASABI_POWDER = 'WASABI_POWDER', _('Wasabi Powder') #wasabi powder
	I_WATER = 'WATER', _('Water') #water
	I_WATER_CHESTNUTS = 'WATER_CHESTNUTS', _('Water Chestnuts') #water chestnuts
	I_WATERCRESS = 'WATERCRESS', _('Watercress') #watercress
	I_WATERCRESS_LEAVES = 'WATERCRESS_LEAVES', _('Watercress Leaves') #watercress leaves
	I_WATERMELON = 'WATERMELON', _('Watermelon') #watermelon
	I_WAX = 'WAX', _('Wax') #wax
	I_WAX_BEANS = 'WAX_BEANS', _('Wax Beans') #wax beans
	I_WAXY_POTATOES = 'WAXY_POTATOES', _('Waxy Potatoes') #waxy potatoes
	I_WHEAT = 'WHEAT', _('Wheat') #wheat
	I_WHEAT_BERRIES = 'WHEAT_BERRIES', _('Wheat Berries') #wheat berries
	I_WHEAT_BRAN = 'WHEAT_BRAN', _('Wheat Bran') #wheat bran
	I_WHEAT_BREAD = 'WHEAT_BREAD', _('Wheat Bread') #wheat bread
	I_WHEAT_CEREAL = 'WHEAT_CEREAL', _('Wheat Cereal') #wheat cereal
	I_WHEAT_CRACKERS = 'WHEAT_CRACKERS', _('Wheat Crackers') #wheat crackers
	I_WHEAT_FLOUR = 'WHEAT_FLOUR', _('Wheat Flour') #wheat flour
	I_WHEAT_GERM = 'WHEAT_GERM', _('Wheat Germ') #wheat germ
	I_WHEAT_GLUTEN = 'WHEAT_GLUTEN', _('Wheat Gluten') #wheat gluten
	I_WHEY_PROTEIN = 'WHEY_PROTEIN', _('Whey Protein') #whey protein
	I_WHIPPED_CREAM = 'WHIPPED_CREAM', _('Whipped Cream') #whipped cream
	I_WHIPPED_CREAM_CHEESE = 'WHIPPED_CREAM_CHEESE', _('Whipped Cream Cheese') #whipped cream cheese
	I_WHIPPED_DESSERT_TOPPING = 'WHIPPED_DESSERT_TOPPING', _('Whipped Dessert Topping') #whipped dessert topping
	I_WHIPPED_TOPPING = 'WHIPPED_TOPPING', _('Whipped Topping') #whipped topping
	I_WHIPPING_CREAM = 'WHIPPING_CREAM', _('Whipping Cream') #whipping cream
	I_WHISKEY = 'WHISKEY', _('Whiskey') #whiskey
	I_WHISKY = 'WHISKY', _('Whisky') #whisky
	I_WHITE = 'WHITE', _('White') #white
	I_WHITE_ASPARAGUS = 'WHITE_ASPARAGUS', _('White Asparagus') #white asparagus
	I_WHITE_BEANS = 'WHITE_BEANS', _('White Beans') #white beans
	I_WHITE_BREAD = 'WHITE_BREAD', _('White Bread') #white bread
	I_WHITE_BREAD_FLOUR = 'WHITE_BREAD_FLOUR', _('White Bread Flour') #white bread flour
	I_WHITE_BREAD_SLICES = 'WHITE_BREAD_SLICES', _('White Bread Slices') #white bread slices
	I_WHITE_BUTTON_MUSHROOMS = 'WHITE_BUTTON_MUSHROOMS', _('White Button Mushrooms') #white button mushrooms
	I_WHITE_CABBAGE = 'WHITE_CABBAGE', _('White Cabbage') #white cabbage
	I_WHITE_CAKE_MIX = 'WHITE_CAKE_MIX', _('White Cake Mix') #white cake mix
	I_WHITE_CHEDDAR_CHEESE = 'WHITE_CHEDDAR_CHEESE', _('White Cheddar Cheese') #white cheddar cheese
	I_WHITE_CHEESE = 'WHITE_CHEESE', _('White Cheese') #white cheese
	I_WHITE_CHOCOLATE = 'WHITE_CHOCOLATE', _('White Chocolate') #white chocolate
	I_WHITE_CHOCOLATE_CHIPS = 'WHITE_CHOCOLATE_CHIPS', _('White Chocolate Chips') #white chocolate chips
	I_WHITE_CORN = 'WHITE_CORN', _('White Corn') #white corn
	I_WHITE_CORN_SYRUP = 'WHITE_CORN_SYRUP', _('White Corn Syrup') #white corn syrup
	I_WHITE_CORNMEAL = 'WHITE_CORNMEAL', _('White Cornmeal') #white cornmeal
	I_WHITE_CREME_DE_CACAO = 'WHITE_CREME_DE_CACAO', _('White Creme De Cacao') #white creme de cacao
	I_WHITE_DISTILLED_VINEGAR = 'WHITE_DISTILLED_VINEGAR', _('White Distilled Vinegar') #white distilled vinegar
	I_WHITE_FLOUR = 'WHITE_FLOUR', _('White Flour') #white flour
	I_WHITE_GRANULATED_SUGAR = 'WHITE_GRANULATED_SUGAR', _('White Granulated Sugar') #white granulated sugar
	I_WHITE_GRAPE_JUICE = 'WHITE_GRAPE_JUICE', _('White Grape Juice') #white grape juice
	I_WHITE_HOMINY = 'WHITE_HOMINY', _('White Hominy') #white hominy
	I_WHITE_KIDNEY = 'WHITE_KIDNEY', _('White Kidney') #white kidney
	I_WHITE_KIDNEY_BEANS = 'WHITE_KIDNEY_BEANS', _('White Kidney Beans') #white kidney beans
	I_WHITE_MISO = 'WHITE_MISO', _('White Miso') #white miso
	I_WHITE_MUSHROOMS = 'WHITE_MUSHROOMS', _('White Mushrooms') #white mushrooms
	I_WHITE_ONION = 'WHITE_ONION', _('White Onion') #white onion
	I_WHITE_ONIONS = 'WHITE_ONIONS', _('White Onions') #white onions
	I_WHITE_PEPPER = 'WHITE_PEPPER', _('White Pepper') #white pepper
	I_WHITE_PEPPERCORNS = 'WHITE_PEPPERCORNS', _('White Peppercorns') #white peppercorns
	I_WHITE_RICE = 'WHITE_RICE', _('White Rice') #white rice
	I_WHITE_RICE_FLOUR = 'WHITE_RICE_FLOUR', _('White Rice Flour') #white rice flour
	I_WHITE_RICE_VINEGAR = 'WHITE_RICE_VINEGAR', _('White Rice Vinegar') #white rice vinegar
	I_WHITE_RUM = 'WHITE_RUM', _('White Rum') #white rum
	I_WHITE_SANDWICH_BREAD = 'WHITE_SANDWICH_BREAD', _('White Sandwich Bread') #white sandwich bread
	I_WHITE_SESAME_SEEDS = 'WHITE_SESAME_SEEDS', _('White Sesame Seeds') #white sesame seeds
	I_WHITE_SUGAR = 'WHITE_SUGAR', _('White Sugar') #white sugar
	I_WHITE_TEQUILA = 'WHITE_TEQUILA', _('White Tequila') #white tequila
	I_WHITE_TRUFFLE = 'WHITE_TRUFFLE', _('White Truffle') #white truffle
	I_WHITE_TRUFFLE_OIL = 'WHITE_TRUFFLE_OIL', _('White Truffle Oil') #white truffle oil
	I_WHITE_TUNA = 'WHITE_TUNA', _('White Tuna') #white tuna
	I_WHITE_VERMOUTH = 'WHITE_VERMOUTH', _('White Vermouth') #white vermouth
	I_WHITE_VINEGAR = 'WHITE_VINEGAR', _('White Vinegar') #white vinegar
	I_WHITE_WINE = 'WHITE_WINE', _('White Wine') #white wine
	I_WHITE_WINE_VINEGAR = 'WHITE_WINE_VINEGAR', _('White Wine Vinegar') #white wine vinegar
	I_WHITEFISH = 'WHITEFISH', _('Whitefish') #whitefish
	I_WHITING = 'WHITING', _('Whiting') #whiting
	I_WHOLE = 'WHOLE', _('Whole') #whole
	I_WHOLE_MILK = 'WHOLE_MILK', _('Whole Milk') #whole milk
	I_WHOLE_WHEAT = 'WHOLE_WHEAT', _('Whole Wheat') #whole wheat
	I_WHOLE_WHEAT_FLOUR = 'WHOLE_WHEAT_FLOUR', _('Whole Wheat Flour') #whole wheat flour
	I_WHOLEGRAIN_MUSTARD = 'WHOLEGRAIN_MUSTARD', _('Wholegrain Mustard') #wholegrain mustard
	I_WHOLEMEAL = 'WHOLEMEAL', _('Wholemeal') #wholemeal
	I_WHOLEWHEAT = 'WHOLEWHEAT', _('Wholewheat') #wholewheat
	I_WHOLEWHEAT_FLOUR = 'WHOLEWHEAT_FLOUR', _('Wholewheat Flour') #wholewheat flour
	I_WIDE_EGG_NOODLES = 'WIDE_EGG_NOODLES', _('Wide Egg Noodles') #wide egg noodles
	I_WIENERS = 'WIENERS', _('Wieners') #wieners
	I_WILD = 'WILD', _('Wild') #wild
	I_WILD_MUSHROOMS = 'WILD_MUSHROOMS', _('Wild Mushrooms') #wild mushrooms
	I_WILD_RICE = 'WILD_RICE', _('Wild Rice') #wild rice
	I_WILD_SALMON = 'WILD_SALMON', _('Wild Salmon') #wild salmon
	I_WINE = 'WINE', _('Wine') #wine
	I_WINE_VINEGAR = 'WINE_VINEGAR', _('Wine Vinegar') #wine vinegar
	I_WING_SAUCE = 'WING_SAUCE', _('Wing Sauce') #wing sauce
	I_WINTER_SQUASH = 'WINTER_SQUASH', _('Winter Squash') #winter squash
	I_WITH_SKIN = 'WITH_SKIN', _('With Skin') #with skin
	I_WON_TON_WRAPPERS = 'WON_TON_WRAPPERS', _('Won Ton Wrappers') #won ton wrappers
	I_WONDRA = 'WONDRA', _('Wondra') #wondra
	I_WONDRA_FLOUR = 'WONDRA_FLOUR', _('Wondra Flour') #wondra flour
	I_WONTON_SKINS = 'WONTON_SKINS', _('Wonton Skins') #wonton skins
	I_WONTON_WRAPPERS = 'WONTON_WRAPPERS', _('Wonton Wrappers') #wonton wrappers
	I_WORCESTERSHIRE_SAUCE = 'WORCESTERSHIRE_SAUCE', _('Worcestershire Sauce') #worcestershire sauce
	I_WORCHESTERSHIRE_SAUCE = 'WORCHESTERSHIRE_SAUCE', _('Worchestershire Sauce') #worchestershire sauce
	I_XANTHAN = 'XANTHAN', _('Xanthan') #xanthan
	I_XANTHAN_GUM = 'XANTHAN_GUM', _('Xanthan Gum') #xanthan gum
	I_YAMS = 'YAMS', _('Yams') #yams
	I_YEAST = 'YEAST', _('Yeast') #yeast
	I_YEAST_PACKET = 'YEAST_PACKET', _('Yeast Packet') #yeast packet
	I_YELLOW = 'YELLOW', _('Yellow') #yellow
	I_YELLOW_BELL_PEPPER = 'YELLOW_BELL_PEPPER', _('Yellow Bell Pepper') #yellow bell pepper
	I_YELLOW_BELL_PEPPERS = 'YELLOW_BELL_PEPPERS', _('Yellow Bell Peppers') #yellow bell peppers
	I_YELLOW_CAKE_MIX = 'YELLOW_CAKE_MIX', _('Yellow Cake Mix') #yellow cake mix
	I_YELLOW_CORN = 'YELLOW_CORN', _('Yellow Corn') #yellow corn
	I_YELLOW_CORN_MEAL = 'YELLOW_CORN_MEAL', _('Yellow Corn Meal') #yellow corn meal
	I_YELLOW_CORNMEAL = 'YELLOW_CORNMEAL', _('Yellow Cornmeal') #yellow cornmeal
	I_YELLOW_FOOD_COLORING = 'YELLOW_FOOD_COLORING', _('Yellow Food Coloring') #yellow food coloring
	I_YELLOW_MISO = 'YELLOW_MISO', _('Yellow Miso') #yellow miso
	I_YELLOW_MUSTARD = 'YELLOW_MUSTARD', _('Yellow Mustard') #yellow mustard
	I_YELLOW_MUSTARD_SEEDS = 'YELLOW_MUSTARD_SEEDS', _('Yellow Mustard Seeds') #yellow mustard seeds
	I_YELLOW_ONION = 'YELLOW_ONION', _('Yellow Onion') #yellow onion
	I_YELLOW_ONIONS = 'YELLOW_ONIONS', _('Yellow Onions') #yellow onions
	I_YELLOW_PEPPER = 'YELLOW_PEPPER', _('Yellow Pepper') #yellow pepper
	I_YELLOW_PEPPERS = 'YELLOW_PEPPERS', _('Yellow Peppers') #yellow peppers
	I_YELLOW_RICE = 'YELLOW_RICE', _('Yellow Rice') #yellow rice
	I_YELLOW_SPLIT_PEAS = 'YELLOW_SPLIT_PEAS', _('Yellow Split Peas') #yellow split peas
	I_YELLOW_SQUASH = 'YELLOW_SQUASH', _('Yellow Squash') #yellow squash
	I_YELLOW_SUMMER_SQUASH = 'YELLOW_SUMMER_SQUASH', _('Yellow Summer Squash') #yellow summer squash
	I_YELLOWTAIL = 'YELLOWTAIL', _('Yellowtail') #yellowtail
	I_YOGHURT = 'YOGHURT', _('Yoghurt') #yoghurt
	I_YOGURT = 'YOGURT', _('Yogurt') #yogurt
	I_YOGURT_CHEESE = 'YOGURT_CHEESE', _('Yogurt Cheese') #yogurt cheese
	I_YOLK = 'YOLK', _('Yolk') #yolk
	I_YUKON_GOLD = 'YUKON_GOLD', _('Yukon Gold') #yukon gold
	I_YUKON_GOLD_POTATOES = 'YUKON_GOLD_POTATOES', _('Yukon Gold Potatoes') #yukon gold potatoes
	I_YUZU = 'YUZU', _('Yuzu') #yuzu
	I_YUZU_JUICE = 'YUZU_JUICE', _('Yuzu Juice') #yuzu juice
	I_ZEST = 'ZEST', _('Zest') #zest
	I_ZESTY_ITALIAN_DRESSING = 'ZESTY_ITALIAN_DRESSING', _('Zesty Italian Dressing') #zesty italian dressing
	I_ZINFANDEL = 'ZINFANDEL', _('Zinfandel') #zinfandel
	I_ZITI = 'ZITI', _('Ziti') #ziti
	I_ZUCCHINI = 'ZUCCHINI', _('Zucchini') #zucchini
